linux-raspi (7.0.0-1014.14) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1014.14 -proposed tracker (LP: #2158618)

  [ Ubuntu: 7.0.0-27.27 ]

  * resolute/linux: 7.0.0-27.27 -proposed tracker (LP: #2157114)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
  * Ubuntu 26.04 linux kernel has non-functional nova-core GPU driver enabled,
    conflicting with nouveau (LP: #2150845)
    - [Config] Disable NOVA_CORE
  * CVE-2026-46316
    - KVM: arm64: vgic-its: Drop the translation cache reference only for the
      erased entry
  * CVE-2026-46244
    - netfilter: nft_inner: Fix IPv6 inner_thoff desync
  * CVE-2026-46137
    - mptcp: pm: ADD_ADDR rtx: allow ID 0
    - mptcp: pm: ADD_ADDR rtx: fix potential data-race
  * CVE-2026-46185
    - smb/client: fix out-of-bounds read in symlink_data()
  * CVE-2026-46195
    - smb: client: validate dacloffset before building DACL pointers
  * CVE-2026-46289
    - lib/scatterlist: fix length calculations in extract_kvec_to_sg
  * CVE-2026-46119
    - libceph: Fix slab-out-of-bounds access in auth message processing
  * CVE-2026-46135
    - nvmet-tcp: fix race between ICReq handling and queue teardown
  * CVE-2026-46155
    - smb/client: fix out-of-bounds read in smb2_compound_op()
  * CVE-2026-46115
    - block: add pgmap check to biovec_phys_mergeable
  * CVE-2026-46243
    - smb: client: reject userspace cifs.spnego descriptions

 -- Manuel Diewald <manuel.diewald@canonical.com>  Mon, 29 Jun 2026 14:25:28 +0200

linux-raspi (7.0.0-1012.12) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1012.12 -proposed tracker (LP: #2152021)

  * CONFIG_BPF_LSM not enabled in linux-raspi arm64 kernel (LP: #2150798)
    - [Config] raspi: Enable BPF_LSM

  [ Ubuntu: 7.0.0-26.26 ]

  * resolute/linux: 7.0.0-26.26 -proposed tracker (LP: #2154530)
  * Packaging resync (LP: #1786013)
    - Revert "UBUNTU: SAUCE: import Huawei ES3000_V2 (2.1.0.23)"
    - [Packaging] debian.master/dkms-versions -- remove dkms-versions
      (main/2026.05.18)
  * Fix mic mute  led on a HP EliteBook 6 G2a platform (LP: #2150065)
    - ALSA: hda/realtek: Add LED fixup for HP EliteBook 6 G2a Laptops
  * ov08x40 module mounted upside down on a certain DELL platforms
    (LP: #2146517)
    - SAUCE: media: ipu-bridge: Add DMI quirk for new Dell XPS laptops with
      upside down sensors
    - SAUCE: media: ipu-bridge: Add DMI quirk for Dell 14 laptops with upside
      down sensors
  * Support additional 2888x1808@30fps 900MHz for OVTI05C1 camera sensor
    (LP: #2147409)
    - SAUCE: media: ipu-bridge: Add 900MHz for OV05C10
    - SAUCE: platform/x86: int3472: increase handshake delay to 50ms for
      OV05C10
  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - SAUCE: media: ipu-bridge: Support s5k3j1 sensor
  * [SRU] ASoC: enable rt1320 speaker amp and DMIC on PTL SoundWire platforms
    (LP: #2150196)
    - ASoC: Intel: soc-acpi-intel-ptl-match: drop rt722 monolithic match
      tables
    - ASoC: SOF: Intel: Add a is_amp flag to fix the wrong name prefix
    - ASoC: sdw_utils: add rt1320 and rt1321 dmic dai in codec_info_list
  * powerpc-build in ubuntu_kernel_selftests fails to build due to
    uninitialized value (LP: #2129844)
    - selftests/powerpc: Suppress -Wmaybe-uninitialized with GCC 15
  * Ubuntu 26.04 linux kernel has non-functional nova-core GPU driver enabled,
    conflicting with nouveau (LP: #2150845)
    - [Config] Disable DRM_NOVA
  * Resolute update: v7.0.6 upstream stable release (LP: #2152558)
    - Linux 7.0.6
    - Upstream stable to v7.0.6
  * Resolute update: v7.0.5 upstream stable release (LP: #2152556)
    - Linux 7.0.5
    - Upstream stable to v7.0.5
  * Resolute update: v7.0.4 upstream stable release (LP: #2152552)
    - ALSA: usb-audio: stop parsing UAC2 rates at MAX_NR_RATES
    - ALSA: usb-audio: Avoid false E-MU sample-rate notifications
    - ALSA: usb-audio: Fix Audio Advantage Micro II SPDIF switch
    - usb: xhci: Make usb_host_endpoint.hcpriv survive endpoint_disable()
    - usb: chipidea: otg: not wait vbus drop if use role_switch
    - usb: chipidea: core: allow ci_irq_handler() handle both ID and VBUS
      change
    - ALSA: usb-audio: Evaluate packsize caps at the right place
    - LoongArch: Add spectre boundry for syscall dispatch table
    - drm/nouveau: fix u32 overflow in pushbuf reloc bounds check
    - leds: qcom-lpg: Check for array overflow when selecting the high
      resolution
    - greybus: gb-beagleplay: bound bootloader receive buffering
    - greybus: gb-beagleplay: fix sleep in atomic context in hdlc_tx_frames()
    - misc: ibmasm: fix OOB MMIO read in ibmasm_handle_mouse_interrupt()
    - ibmasm: fix OOB reads in command_file_write due to missing size checks
    - ibmasm: fix heap over-read in ibmasm_send_i2o_message()
    - sysfs: attribute_group: Respect is_visible_const() when changing owner
    - driver core: Don't let a device probe until it's ready
    - device property: Make modifications of fwnode "flags" thread safe
    - drm/nouveau: fix nvkm_device leak on aperture removal failure
    - rust: dma: remove DMA_ATTR_NO_KERNEL_MAPPING from public attrs
    - kbuild: rust: allow `clippy::uninlined_format_args`
    - fs: afs: revert mmap_prepare() change
    - firmware: google: framebuffer: Do not mark framebuffer as busy
    - lib: test_hmm: evict device pages on file close to avoid use-after-free
    - arm64/mm: Enable batched TLB flush in unmap_hotplug_range()
    - arm64: mm: Fix rodata=full block mapping support for realm guests
    - mm: migrate: requeue destination folio on deferred split queue
    - mm: prevent droppable mappings from being locked
    - mm: fix deferred split queue races during migration
    - ocfs2: split transactions in dio completion to avoid credit exhaustion
    - Input: edt-ft5x06 - fix use-after-free in debugfs teardown
    - zram: do not forget to endio for partial discard requests
    - wifi: rtw88: check for PCI upstream bridge existence
    - wifi: mwifiex: fix use-after-free in mwifiex_adapter_cleanup()
    - vfio: selftests: Fix VLA initialisation in vfio_pci_irq_set()
    - vfio/xe: Add a missing vfio_pci_core_release_dev()
    - vfio/virtio: Convert list_lock from spinlock to mutex
    - vfio/cdx: Serialize VFIO_DEVICE_SET_IRQS with a per-device mutex
    - vfio/cdx: Fix NULL pointer dereference in interrupt trigger path
    - um: drivers: call kernel_strrchr() explicitly in cow_user.c
    - thermal: core: Fix thermal zone governor cleanup issues
    - spi: imx: fix use-after-free on unbind
    - spi: ch341: fix memory leaks on probe failures
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: pcrypt - Fix handling of MAY_BACKLOG requests
    - dt-bindings: display: ti, am65x-dss: Fix AM62L DSS reg and clock
      constraints
    - of: unittest: fix use-after-free in of_unittest_changeset()
    - of: unittest: fix use-after-free in testdrv_probe()
    - hwmon: (powerz) Fix missing usb_kill_urb() on signal interrupt
    - EDAC/versalnet: Fix device_node leak in mc_probe()
    - PCI: imx6: Skip waiting for L2/L3 Ready on i.MX6SX
    - media: amphion: Fix race between m2m job_abort and device_run
    - ALSA: control: Validate buf_len before strnlen() in
      snd_ctl_elem_init_enum_names()
    - net: caif: clear client service pointer on teardown
    - net: strparser: fix skb_head leak in strp_abort_strp()
    - media: mtk-jpeg: fix use-after-free in release path due to uncancelled
      work
    - crypto: atmel-sha204a - Fix OTP sysfs read and error handling
    - PCI: endpoint: pci-epf-ntb: Remove duplicate resource teardown
    - Revert "ALSA: usb: Increase volume range that triggers a warning"
    - phy: qcom: m31-eusb2: clear PLL_EN during init
    - PCI: epf-mhi: Return 0, not remaining timeout, when eDMA ops complete
    - lib/ts_kmp: fix integer overflow in pattern length calculation
    - media: i2c: imx219: Check return value of devm_gpiod_get_optional() in
      imx219_probe()
    - net: qrtr: ns: Fix use-after-free in driver remove()
    - ext2: reject inodes with zero i_nlink and valid mode in ext2_iget()
    - mm/zsmalloc: copy KMSAN metadata in zs_page_migrate()
    - ALSA: aoa: i2sbus: clear stale prepared state
    - ALSA: aoa: i2sbus: fix OF node lifetime handling
    - ALSA: aoa: Skip devices with no codecs in i2sbus_resume()
    - ALSA: ctxfi: Add fallback to default RSR for S/PDIF
    - ALSA: seq_oss: return full count for successful SEQ_FULLSIZE writes
    - erofs: fix the out-of-bounds nameoff handling for trailing dirents
    - ipmi:ssif: Clean up kthread on errors
    - jbd2: fix deadlock in jbd2_journal_cancel_revoke()
    - KVM: selftests: Fix reserved value WRMSR testcase for multi-feature MSRs
    - md/raid10: fix deadlock with check operation and nowait requests
    - media: rc: igorplugusb: heed coherency rules
    - media: rockchip: rkcif: fix off by one bugs
    - media: rockchip: rkcif: comply with minimum number of buffers
      requirement
    - mfd: stpmic1: Attempt system shutdown twice in case PMIC is confused
    - mm/alloc_tag: clear codetag for pages allocated before page_ext
      initialization
    - mm/damon/core: fix damon_call() vs kdamond_fn() exit race
    - mm/damon/core: fix damos_walk() vs kdamond_fn() exit race
    - mm/hugetlb: fix early boot crash on parameters without '=' separator
    - mtd: docg3: fix use-after-free in docg3_release()
    - nvme-pci: add NVME_QUIRK_DISABLE_WRITE_ZEROES for Kingston OM3SGP4
    - nvme: respect NVME_QUIRK_DISABLE_WRITE_ZEROES when wzsl is set
    - parisc: _llseek syscall is only available for 32-bit userspace
    - parisc: Drop ip_fast_csum() inline assembly implementation
    - PCI: cadence: Use cdns_pcie_read_sz() for byte or word read access
    - PCI: imx6: Fix reference clock source selection for i.MX95
    - perf annotate: Use jump__delete when freeing LoongArch jumps
    - RDMA/mana_ib: Disable RX steering on RSS QP destroy
    - remoteproc: xlnx: Only access buffer information if IPI is buffered
    - reset: rzv2h-usb2phy: Keep PHY clock enabled for entire device lifetime
    - sched: Use u64 for bandwidth ratio calculations
    - selftests/mqueue: Fix incorrectly named file
    - landlock: Fix LOG_SUBDOMAINS_OFF inheritance across fork()
    - landlock: Allow TSYNC with LOG_SUBDOMAINS_OFF and fd=-1
    - selftests/landlock: Drain stale audit records on init
    - selftests/landlock: Fix format warning for __u64 in net_test
    - selftests/landlock: Fix snprintf truncation checks in audit helpers
    - selftests/landlock: Skip stale records in audit_match_record()
    - rbd: fix null-ptr-deref when device_add_disk() fails
    - mm/zone_device: do not touch device folio after calling ->folio_free()
    - block: fix zone write plugs refcount handling in
      disk_zone_wplug_schedule_bio_work()
    - io_uring/zcrx: return back two step unregistration
    - io_uring/timeout: check unused sqe fields
    - block: relax pgmap check in bio_add_page for compatible zone device
      pages
    - iio: adc: ti-ads7950: use iio_push_to_buffers_with_ts_unaligned()
    - io_uring/register: fix ring resizing with mixed/large SQEs/CQEs
    - io_uring/zcrx: fix user_struct uaf
    - io_uring/poll: fix signed comparison in io_poll_get_ownership()
    - io_uring/poll: ensure EPOLL_ONESHOT is propagated for EPOLL_URING_WAKE
    - module.lds,codetag: force 0 sh_addr for sections
    - module.lds.S: Fix modules on 32-bit parisc architecture
    - ALSA: core: Fix potential data race at fasync handling
    - ALSA: caiaq: Fix control_put() result and cache rollback
    - ALSA: caiaq: Handle probe errors properly
    - ALSA: 6fire: Fix input volume change detection
    - ALSA: hda/realtek - Add mute LED support for HP Victus 15-fa2xxx
    - ALSA: pcmtest: fix reference leak on failed device registration
    - ALSA: pcmtest: Fix resource leaks in module init error paths
    - iio: adc: ad7768-1: fix one-shot mode data acquisition
    - iio: adc: ad7768-1: remove switch to one-shot mode
    - rxrpc: Fix memory leaks in rxkad_verify_response()
    - rxrpc: Fix rxkad crypto unalignment handling
    - rxrpc: Fix error handling in rxgk_extract_token()
    - rxrpc: Fix re-decryption of RESPONSE packets
    - EDAC/versalnet: Fix memory leak in remove and probe error paths
    - tools/accounting: handle truncated taskstats netlink messages
    - net: txgbe: fix RTNL assertion warning when remove module
    - arm64: dts: marvell: uDPU: add ethernet aliases
    - net: qrtr: ns: Limit the maximum server registration per node
    - net: qrtr: ns: Limit the maximum number of lookups
    - net: qrtr: ns: Free the node during ctrl_cmd_bye()
    - net: qrtr: ns: Limit the total number of nodes
    - net: rds: fix MR cleanup on copy error
    - net: txgbe: fix firmware version check
    - net/smc: avoid early lgr access in smc_clc_wait_msg
    - net: ks8851: Reinstate disabling of BHs around IRQ handler
    - net: bridge: use a stable FDB dst snapshot in RCU readers
    - netconsole: avoid out-of-bounds access on empty string in trim_newline()
    - net: mctp: fix don't require received header reserved bits to be zero
    - net: ks8851: Avoid excess softirq scheduling
    - drm/arcpgu: fix device node leak
    - slub: fix data loss and overflow in krealloc()
    - tracing/fprobe: Reject registration of a registered fprobe before init
    - RDMA/rxe: Validate pad and ICRC before payload_size() in rxe_rcv
    - printf: Compile the kunit test with DISABLE_BRANCH_PROFILING
      DISABLE_BRANCH_PROFILING
    - ipv4: icmp: validate reply type before using icmp_pointers
    - libceph: Prevent potential null-ptr-deref in ceph_handle_auth_reply()
    - spi: fix resource leaks on device setup failure
    - extract-cert: Wrap key_pass with '#ifdef USE_PKCS11_ENGINE'
    - tpm: avoid -Wunused-but-set-variable
    - LoongArch: Make arch_irq_work_has_interrupt() true only if IPI HW exist
    - LoongArch: Show CPU vulnerabilites correctly
    - fbdev: defio: Disconnect deferred I/O from the lifetime of struct
      fb_info
    - power: supply: axp288_charger: Do not cancel work before initializing it
    - hwmon: (isl28022) Fix integer overflow in power calculation on 32-bit
    - hwmon: (powerz) Avoid cacheline sharing for DMA buffer
    - media: rzv2h-ivc: Revise default VBLANK formula
    - media: rzv2h-ivc: Fix AXIRX_VBLANK register write
    - fs: prepare for adding LSM blob to backing_file
    - lsm: add backing_file LSM hooks
    - selinux: fix overlayfs mmap() and mprotect() access checks
    - hwmon: (pt5161l) Fix bugs in pt5161l_read_block_data()
    - randomize_kstack: Maintain kstack_offset per task
    - mmc: block: use single block write in retry
    - mmc: sdhci-of-dwcmshc: Disable clock before DLL configuration
    - arm64: dts: ti: am62-verdin: Enable pullup for eMMC data pins
    - crypto: qat - fix IRQ cleanup on 6xxx probe failure
    - xfs: start gc on zonegc_low_space attribute updates
    - xfs: fix a resource leak in xfs_alloc_buftarg()
    - firmware: google: framebuffer: Do not unregister platform device
    - firmware: exynos-acpm: Drop fake 'const' on handle pointer
    - crypto: talitos - fix SEC1 32k ahash request limitation
    - crypto: talitos - rename first/last to first_desc/last_desc
    - pwm: imx-tpm: Count the number of enabled channels in probe
    - tpm2-sessions: Fix missing tpm_buf_destroy() in tpm2_read_public()
    - tpm: Fix auth session leak in tpm2_get_random() error path
    - tpm: Use kfree_sensitive() to free auth session in tpm_dev_release()
    - tpm: tpm_tis: add error logging for data transfer
    - tpm: tpm_tis: stop transmit if retries are exhausted
    - rtc: ntxec: fix OF node reference imbalance
    - mm/vmalloc: take vmap_purge_lock in shrinker
    - mm/memfd_luo: fix physical address conversion in put_folios cleanup
    - mm/mempolicy: fix memory leaks in weighted_interleave_auto_store()
    - mm/damon/stat: fix memory leak on damon_start() failure in
      damon_stat_start()
    - mm/damon/core: validate damos_quota_goal->nid for
      node_mem_{used,free}_bp
    - mm/damon/core: validate damos_quota_goal->nid for
      node_memcg_{used,free}_bp
    - mm/damon/core: use time_in_range_open() for damos quota window start
    - mm/damon/core: disallow time-quota setting zero esz
    - mm/damon/core: disallow non-power of two min_region_sz on damon_start()
    - userfaultfd: allow registration of ranges below mmap_min_addr
    - LoongArch: KVM: Use CSR_CRMD_PLV in kvm_arch_vcpu_in_kernel()
    - KVM: x86: Defer non-architectural deliver of exception payload to
      userspace read
    - KVM: nSVM: Mark all of vmcb02 dirty when restoring nested state
    - KVM: nSVM: Sync NextRIP to cached vmcb12 after VMRUN of L2
    - KVM: nSVM: Sync interrupt shadow to cached vmcb12 after VMRUN of L2
    - KVM: SVM: Inject #UD for INVLPGA if EFER.SVME=0
    - KVM: SVM: Explicitly mark vmcb01 dirty after modifying VMCB intercepts
    - KVM: nSVM: Ensure AVIC is inhibited when restoring a vCPU to guest mode
    - KVM: nSVM: Always use NextRIP as vmcb02's NextRIP after first L2 VMRUN
    - KVM: nSVM: Delay stuffing L2's current RIP into NextRIP until vCPU run
    - KVM: nSVM: Use vcpu->arch.cr2 when updating vmcb12 on nested #VMEXIT
    - KVM: arm64: Account for RESx bits in __compute_fgt()
    - KVM: nSVM: Avoid clearing VMCB_LBR in vmcb12
    - KVM: nSVM: Delay setting soft IRQ RIP tracking fields until vCPU run
    - KVM: SVM: Switch svm_copy_lbrs() to a macro
    - KVM: SVM: Add missing save/restore handling of LBR MSRs
    - KVM: nSVM: Always inject a #GP if mapping VMCB12 fails on nested VMRUN
    - KVM: nSVM: Refactor checking LBRV enablement in vmcb12 into a helper
    - KVM: nSVM: Refactor writing vmcb12 on nested #VMEXIT as a helper
    - KVM: nSVM: Triple fault if restore host CR3 fails on nested #VMEXIT
    - KVM: nSVM: Triple fault if mapping VMCB12 fails on nested #VMEXIT
    - KVM: nSVM: Clear GIF on nested #VMEXIT(INVALID)
    - KVM: nSVM: Clear EVENTINJ fields in vmcb12 on nested #VMEXIT
    - KVM: nSVM: Clear tracking of L1->L2 NMI and soft IRQ on nested #VMEXIT
    - KVM: nSVM: Add missing consistency check for EFER, CR0, CR4, and CS
    - KVM: nSVM: Drop the non-architectural consistency check for NP_ENABLE
    - KVM: nSVM: Add missing consistency check for nCR3 validity
    - KVM: nSVM: Raise #UD if unhandled VMMCALL isn't intercepted by L1
    - KVM: nSVM: Always intercept VMMCALL when L2 is active
    - ARM: 9472/1: fix race condition on PG_dcache_clean in
      __sync_icache_dcache()
    - ring-buffer: Do not double count the reader_page
    - ext4: fix bounds check in check_xattrs() to prevent out-of-bounds access
    - ext4: fix missing brelse() in ext4_xattr_inode_dec_ref_all()
    - udf: fix partition descriptor append bookkeeping
    - mtd: spi-nor: sst: Fix write enable before AAI sequence
    - mtd: spinand: winbond: Declare the QE bit on W25NxxJW
    - amdgpu/jpeg: fix deepsleep register for jpeg 5_0_0 and 5_0_2
    - md/md-llbitmap: skip reading rdevs that are not in_sync
    - md/md-llbitmap: raise barrier before state machine transition
    - md/raid5: fix soft lockup in retry_aligned_read()
    - md/raid5: validate payload size before accessing journal metadata
    - check-uapi: link into shared objects
    - mm, swap: speed up hibernation allocation and writeout
    - HID: apple: ensure the keyboard backlight is off if suspending
    - inotify: fix watch count leak when fsnotify_add_inode_mark_locked()
      fails
    - x86/cpu: Disable FRED when PTI is forced on
    - x86/shstk: Prevent deadlock during shstk sigreturn
    - wifi: rtl8xxxu: fix potential use of uninitialized value
    - tcp: call sk_data_ready() after listener migration
    - taskstats: set version in TGID exit notifications
    - mptcp: sync the msk->sndbuf at accept() time
    - mfd: core: Preserve OF node when ACPI handle is present
    - 9p: fix access mode flags being ORed instead of replaced
    - Bluetooth: hci_event: fix potential UAF in SSP passkey handlers
    - bus: mhi: host: pci_generic: Switch to async power up to avoid boot
      delays
    - can: ucan: fix devres lifetime
    - crypto: acomp - fix wrong pointer stored by acomp_save_req()
    - crypto: arm64/aes - Fix 32-bit aes_mac_update() arg treated as 64-bit
    - crypto: atmel-aes - Fix 3-page memory leak in atmel_aes_buff_cleanup
    - crypto: atmel-ecc - Release client on allocation failure
    - crypto: hisilicon - Fix dma_unmap_single() direction
    - crypto: ccree - fix a memory leak in cc_mac_digest()
    - crypto: atmel-tdes - fix DMA sync direction
    - crypto: atmel-sha204a - Fix error codes in OTP reads
    - crypto: atmel-sha204a - Fix potential UAF and memory leak in remove path
    - crypto: atmel-sha204a - Fix uninitialized data access on OTP read error
    - crypto: nx - fix bounce buffer leaks in nx842_crypto_{alloc,free}_ctx
    - crypto: nx - fix context leak in nx842_crypto_free_ctx
    - crypto: nx - Fix packed layout in struct nx842_crypto_header
    - dm mirror: fix integer overflow in create_dirty_log()
    - erofs: fix unsigned underflow in z_erofs_lz4_handle_overlap()
    - ceph: fix num_ops off-by-one when crypto allocation fails
    - ceph: only d_add() negative dentries when they are unhashed
    - gtp: disable BH before calling udp_tunnel_xmit_skb()
    - IB/core: Fix zero dmac race in neighbor resolution
    - ktest: Fix the month in the name of the failure directory
    - NFSv4.1: Apply session size limits on clone path
    - ntfs3: add buffer boundary checks to run_unpack()
    - ntfs3: fix integer overflow in run_unpack() volume boundary check
    - rtmutex: Use waiter::task instead of current in remove_waiter()
    - rxgk: Fix potential integer overflow in length check
    - sched_ext: Documentation: Clarify ops.dispatch() role in task lifecycle
    - scsi: sd: fix missing put_disk() when device_add(&disk_dev) fails
    - seg6: fix seg6 lwtunnel output redirect for L2 reduced encap mode
    - perf loongarch: Fix build failure with CONFIG_LIBDW_DWARF_UNWIND
    - iio: frequency: admv1013: add dev variable
    - iio: frequency: admv1013: fix NULL pointer dereference on str
    - wifi: mt76: mt792x: describe USB WFSYS reset with a descriptor
    - wifi: mt76: mt792x: fix mt7925u USB WFSYS reset handling
    - mm: various small mmap_prepare cleanups
    - mm: avoid deadlock when holding rmap on mmap_prepare error
    - mei: me: use PCI_DEVICE_DATA macro
    - mei: me: add nova lake point H DID
    - crypto: authencesn - reject short ahash digests during instance creation
    - driver core: Add kernel-doc for DEV_FLAG_COUNT enum value
    - ALSA: caiaq: Fix potentially leftover ep1_in_urb at error path
    - ALSA: caiaq: Don't abort when no input device is available
    - ipv6: rpl: reserve mac_len headroom when recompressed SRH grows
    - drm/amdgpu: fix zero-size GDS range init on RDNA4
    - drm/imagination: Fix segfault when updating ftrace mask
    - ALSA: caiaq: fix usb_dev refcount leak on probe failure
    - ALSA: aloop: Fix peer runtime UAF during format-change stop
    - vmalloc: fix buffer overflow in vrealloc_node_align()
    - mm/page_alloc: return NULL early from alloc_frozen_pages_nolock() in NMI
      on UP
    - mm/slab: return NULL early from kmalloc_nolock() in NMI on UP
    - net: ipv6: fix NOREF dst use in seg6 and rpl lwtunnels
    - netfilter: reject zero shift in nft_bitwise
    - ipmi:ssif: Remove unnecessary indention
    - ipmi:ssif: NULL thread on error
    - Linux 7.0.4
    - Upstream stable to v7.0.4
  * Resolute update: v7.0.3 upstream stable release (LP: #2152550)
    - Buffer overflow in drivers/xen/sys-hypervisor.c
    - xen/privcmd: fix double free via VMA splitting
    - Linux 7.0.3
    - Upstream stable to v7.0.3
  * Resolute update: v7.0.2 upstream stable release (LP: #2150553)
    - crypto: authencesn - Fix src offset when decrypting in-place
    - pwm: th1520: fix `CLIPPY=1` warning
    - drm/amdgpu: replace PASID IDR with XArray
    - crypto: krb5enc - fix sleepable flag handling in encrypt dispatch
    - crypto: krb5enc - fix async decrypt skipping hash verification
    - ksmbd: fix use-after-free in __ksmbd_close_fd() via durable scavenger
    - ksmbd: validate owner of durable handle on reconnect
    - scripts: generate_rust_analyzer.py: define scripts
    - scripts/dtc: Remove unused dts_version in dtc-lexer.l
    - fs/ntfs3: validate rec->used in journal-replay file record check
    - f2fs: fix to do sanity check on dcc->discard_cmd_cnt conditionally
    - f2fs: fix UAF caused by decrementing sbi->nr_pages[] in
      f2fs_write_end_io()
    - f2fs: fix to avoid memory leak in f2fs_rename()
    - f2fs: fix to avoid uninit-value access in f2fs_sanity_check_node_footer
    - fuse: reject oversized dirents in page cache
    - fuse: abort on fatal signal during sync init
    - fuse: Check for large folio with SPLICE_F_MOVE
    - fuse: quiet down complaints in fuse_conn_limit_write
    - fuse: fuse_dev_ioctl_clone() should wait for device file to be
      initialized
    - ksmbd: require minimum ACE size in smb_check_perm_dacl()
    - smb: server: fix active_num_conn leak on transport allocation failure
    - smb: client: fix dir separator in SMB1 UNIX mounts
    - smb: server: fix max_connections off-by-one in tcp accept path
    - smb: client: require a full NFS mode SID before reading mode bits
    - smb: client: validate the whole DACL before rewriting it in cifsacl
    - smb: client: fix OOB read in smb2_ioctl_query_info QUERY_INFO path
    - ksmbd: validate response sizes in ipc_validate_msg()
    - ksmbd: validate num_aces and harden ACE walk in smb_inherit_dacl()
    - ksmbd: fix out-of-bounds write in smb2_get_ea() EA alignment
    - ksmbd: use check_add_overflow() to prevent u16 DACL size overflow
    - ksmbd: reset rcount per connection in ksmbd_conn_wait_idle_sess_id()
    - writeback: Fix use after free in inode_switch_wbs_work_fn()
    - f2fs: fix use-after-free of sbi in f2fs_compress_write_end_io()
    - ALSA: usb-audio: apply quirk for MOONDROP JU Jiu
    - ALSA: hda/realtek: Add quirk for Legion S7 15IMH
    - ALSA: caiaq: take a reference on the USB device in create_card()
    - net/packet: fix TOCTOU race on mmap'd vnet_hdr in tpacket_snd()
    - crypto: ccp: Don't attempt to copy CSR to userspace if PSP command
      failed
    - crypto: ccp: Don't attempt to copy PDH cert to userspace if PSP command
      failed
    - crypto: ccp: Don't attempt to copy ID to userspace if PSP command failed
    - rxrpc: Fix missing validation of ticket length in non-XDR key preparsing
    - mshv_vtl: Fix vmemmap_shift exceeding MAX_FOLIO_ORDER
    - Linux 7.0.2
  * Resolute update: v7.0.1 upstream stable release (LP: #2150547)
    - Revert "UBUNTU: SAUCE: cdc-acm: Exclude Exar USB serial ports"
    - nfc: llcp: add missing return after LLCP_CLOSED checks
    - x86/CPU: Fix FPDSS on Zen1
    - can: raw: fix ro->uniq use-after-free in raw_rcv()
    - i2c: s3c24xx: check the size of the SMBUS message before using it
    - staging: rtl8723bs: initialize le_tmp64 in rtw_BIP_verify()
    - HID: alps: fix NULL pointer dereference in alps_raw_event()
    - HID: core: clamp report_size in s32ton() to avoid undefined shift
    - net: usb: cdc-phonet: fix skb frags[] overflow in rx_complete()
    - NFC: digital: Bounds check NFC-A cascade depth in SDD response handler
    - drm/vc4: platform_get_irq_byname() returns an int
    - bnge: return after auxiliary_device_uninit() in error path
    - ALSA: usx2y: us144mkii: fix NULL deref on missing interface 0
    - ALSA: fireworks: bound device-supplied status before string array lookup
    - fbdev: tdfxfb: avoid divide-by-zero on FBIOPUT_VSCREENINFO
    - usb: gadget: f_ncm: validate minimum block_len in ncm_unwrap_ntb()
    - usb: gadget: f_phonet: fix skb frags[] overflow in pn_rx_complete()
    - usb: gadget: renesas_usb3: validate endpoint index in standard request
      handlers
    - smb: client: fix off-by-8 bounds check in check_wsl_eas()
    - smb: client: fix OOB reads parsing symlink error response
    - ksmbd: validate EaNameLength in smb2_get_ea()
    - ksmbd: require 3 sub-authorities before reading sub_auth[2]
    - ksmbd: fix mechToken leak when SPNEGO decode fails after token alloc
    - smb: client: avoid double-free in smbd_free_send_io() after
      smbd_send_batch_flush()
    - smb: server: avoid double-free in smb_direct_free_sendmsg after
      smb_direct_flush_send_list()
    - usbip: validate number_of_packets in usbip_pack_ret_submit()
    - usb: typec: fusb302: Switch to threaded IRQ handler
    - usb: storage: Expand range of matched versions for VL817 quirks entry
    - USB: cdc-acm: Add quirks for Yoga Book 9 14IAH10 INGENIC touchscreen
    - usb: gadget: f_hid: don't call cdev_init while cdev in use
    - usb: port: add delay after usb_hub_set_port_power()
    - fbdev: udlfb: avoid divide-by-zero on FBIOPUT_VSCREENINFO
    - scripts/gdb/symbols: handle module path parameters
    - scripts: generate_rust_analyzer.py: avoid FD leak
    - wifi: rtw88: fix device leak on probe failure
    - staging: sm750fb: fix division by zero in ps_to_hz()
    - selftests/mm: hmm-tests: don't hardcode THP size to 2MB
    - USB: serial: option: add Telit Cinterion FN990A MBIM composition
    - Docs/admin-guide/mm/damon/reclaim: warn commit_inputs vs param updates
      race
    - Docs/admin-guide/mm/damon/lru_sort: warn commit_inputs vs param updates
      race
    - ALSA: ctxfi: Limit PTP to a single page
    - dcache: Limit the minimal number of bucket to two
    - vfio/xe: Reorganize the init to decouple migration from reset
    - arm64: mm: Handle invalid large leaf mappings correctly
    - media: vidtv: fix NULL pointer dereference in
      vidtv_channel_pmt_match_sections
    - ocfs2: fix possible deadlock between unlink and dio_end_io_write
    - ocfs2: fix use-after-free in ocfs2_fault() when VM_FAULT_RETRY
    - ocfs2: handle invalid dinode in ocfs2_group_extend
    - PCI: endpoint: pci-epf-vntb: Stop cmd_handler work in
      epf_ntb_epc_cleanup
    - PCI: endpoint: pci-epf-vntb: Remove duplicate resource teardown
    - KVM: selftests: Remove duplicate LAUNCH_UPDATE_VMSA call in SEV-ES
      migrate test
    - KVM: SEV: Reject attempts to sync VMSA of an already-launched/encrypted
      vCPU
    - KVM: SEV: Protect *all* of sev_mem_enc_register_region() with kvm->lock
    - KVM: SEV: Disallow LAUNCH_FINISH if vCPUs are actively being created
    - KVM: SEV: Lock all vCPUs when synchronzing VMSAs for SNP launch finish
    - KVM: SEV: Drop WARN on large size for KVM_MEMORY_ENCRYPT_REG_REGION
    - mm: call ->free_folio() directly in folio_unmap_invalidate()
    - checkpatch: add support for Assisted-by tag
    - x86-64: rename misleadingly named '__copy_user_nocache()' function
    - x86: rename and clean up __copy_from_user_inatomic_nocache()
    - x86-64/arm64/powerpc: clean up and rename __copy_from_user_flushcache
    - KVM: x86: Use scratch field in MMIO fragment to hold small write values
    - ASoC: qcom: q6apm: move component registration to unmanaged version
    - mm/kasan: fix double free for kasan pXds
    - mm: blk-cgroup: fix use-after-free in cgwb_release_workfn()
    - media: vidtv: fix nfeeds state corruption on start_streaming failure
    - media: mediatek: vcodec: fix use-after-free in encoder release path
    - media: em28xx: fix use-after-free in em28xx_v4l2_open()
    - hwmon: (powerz) Fix use-after-free on USB disconnect
    - ALSA: 6fire: fix use-after-free on disconnect
    - bcache: fix cached_dev.sb_bio use-after-free and crash
    - wireguard: device: use exit_rtnl callback instead of manual rtnl_lock in
      pre_exit
    - media: as102: fix to not free memory after the device is registered in
      as102_usb_probe()
    - nilfs2: fix NULL i_assoc_inode dereference in
      nilfs_mdt_save_to_shadow_map
    - media: vidtv: fix pass-by-value structs causing MSAN warnings
    - media: hackrf: fix to not free memory after the device is registered in
      hackrf_probe()
    - mm/userfaultfd: fix hugetlb fault mutex hash calculation
    - clockevents: Add missing resets of the next_event_forced flag
    - Linux 7.0.1
  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs
  * AppArmor Vulnerabilities  (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47327 //
    CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 02 Jun 2026 15:57:50 +0200

linux-raspi (7.0.0-1011.11) resolute; urgency=medium

  [ Ubuntu: 7.0.0-22.22 ]

  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs

  [ Ubuntu: 7.0.0-20.20 ]

  * apparmor (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * apparmor (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * apparmor (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * apparmor (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * apparmor (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * apparmor (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * apparmor (LP: #2151747) // CVE-2026-47327 // CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * apparmor (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer

  [ Ubuntu: 7.0.0-19.19 ]

  * resolute/linux: 7.0.0-19.19 -proposed tracker (LP: #2153786)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- remove dkms-versions
      (main/s2026.05.11)
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags

 -- Edoardo Canepa <edoardo.canepa@canonical.com>  Tue, 26 May 2026 14:28:41 +0200

linux-raspi (7.0.0-1010.10) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1010.10 -proposed tracker (LP: #2150654)

  [ Ubuntu: 7.0.0-15.15 ]

  * resolute/linux: 7.0.0-15.15 -proposed tracker (LP: #2148866)
  * Qualcomm X1E: Speaker overdrive causes hardware protection shutdown
    (LP: #2149808)
    - SAUCE: ASoC: qcom: x1e80100: limit speaker volumes
  * intel-ipu7 / intel-ipu7-isys modules are shipped unsigned in latest
    Resolute kernels, breaking Secure Boot systems  (LP: #2148718)
    - [packaging] add intel-ipu7 to signature inclusion list

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 29 Apr 2026 16:41:38 +0200

linux-raspi (7.0.0-1009.9) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1009.9 -proposed tracker (LP: #2148180)

  * Miscellaneous Ubuntu changes
    - SAUCE: Revert "gpio: Fix resource leaks on errors in
      gpiochip_add_data_with_key()"
    - [Packaging] raspi: Sync flavour control stubs from master

  * Miscellaneous upstream changes
    - gpiolib: Override gpiochip numbers with DT aliases

  [ Ubuntu: 7.0.0-14.14 ]

  * resolute/linux: 7.0.0-14.14 -proposed tracker (LP: #2148159)
  * support vflip/hflip for Sony IMX471 camera sensor (LP: #2138841)
    - SAUCE: media: ipu-bridge: add TBE20A0 ACPI id for Sony IMX471
  * AA: disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED (LP: #2147533)
    - [Config] disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
  * System doesn't response with mt76 call trace (LP: #2137448)
    - wifi: mt76: mt792x: Fix a potential deadlock in high-load situations
  * The second tbt storage plugged on the dock will not be recognized
    (LP: #2139572)
    - SAUCE: thunderbolt: Fix PCIe device enumeration with delayed rescan
  * dma-buf filesystem flags fix (LP: #2139656)
    - SAUCE: dma-buf: set SB_I_NOEXEC and SB_I_NODEV on dmabuf filesystem
  * Bluetooth device (MT7925) not detected on USB bus with linux-oem-6.17
    (LP: #2145164)
    - SAUCE: USB: hub: call ACPI _PRR reset during port power-cycle on
      enumeration failure
  * drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port during
    long HPD pulse (LP: #2143879)
    - SAUCE: drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port
      during long HPD pulse
  * i915 WARN_ON call trace during CB/WB on MTL/ARL platforms (LP: #2144537)
    - SAUCE: drm/i915/xelpdp/tc: Convert TCSS power check WARN to a debug
      message
  * Miscellaneous Ubuntu changes
    - [Packaging] Add support for per-flavour depends
    - [Packaging] Don't hard-code lmm zfs dependency
    - [Config] updateconfigs following v7.0 release

  [ Ubuntu: 7.0.0-13.13 ]

  * resolute/linux: 7.0.0-13.13 -proposed tracker (LP: #2147403)
  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh
  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
    - [Packaging] ensure our cert rollups are always fresh
  * On Dell system, the internal OLED display drops to a visibly low FPS after
    suspend/resume (LP: #2144712)
    - drm/i915/psr: Disable Panel Replay on Dell XPS 14 DA14260 as a quirk
    - drm/i915/psr: Fixes for Dell XPS DA14260 quirk
  * Realtek RTL8116AF SFP option module fails to get connected (LP: #2116144)
    - SAUCE: r8169: add quirk for RTL8116af SerDes
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v7.0-rc7 rebase

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 13 Apr 2026 16:57:27 +0200

linux-raspi (7.0.0-1008.8) resolute; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Add per-flavour depends
    - [Packaging] Add support for per-flavour depends

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 07 Apr 2026 13:16:27 +0200

linux-raspi (7.0.0-1007.7) resolute; urgency=medium

  [ Ubuntu: 7.0.0-12.12 ]

  * resolute/linux: 7.0.0-12.12 -proposed tracker (LP: #2146778)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * linux-generic does not run scripts in /usr/share/kernel/*.d (LP: #2147005)
    - [Packaging] templates: Use consistent indentation
    - [Packaging] templates: Run scripts in /usr/share/kernel/*.d too
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Enable COUNTER=m
    - [Config] riscv64: Use GENDWARFKSYMS like other architectures
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [30/57]: apparmor-next 7.1: aapparmor: use target
      task's context in apparmor_getprocattr()
    - SAUCE: apparmor5.0.0 [31/57]: apparmor-next 7.1: apparmor: return error
      on namespace mismatch in verify_header
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [34/57]: apparmor-next 7.1: apparmor: Replace
      memcpy + NUL termination with kmemdup_nul in do_setattr
    - SAUCE: apparmor5.0.0 [35/57]: apparmor-next 7.1: apparmor: Remove
      redundant if check in sk_peer_get_label
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [40/57]: apparmor-next 7.1: apparmor: Use
      sysfs_emit in param_get_{audit,mode}
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [46/57]: apparmor-next 7.1: apparmor: Fix string
      overrun due to missing termination
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Enable new Intel WCL soundwire support (LP: #2143301)
    - ASoC: sdw_utils: Add CS42L43B codec info
    - ASoC: dt-bindings: cirrus, cs42l43: Add CS42L43B variant
    - mfd: cs42l43: Add support for the B variant
    - ASoC: cs42l43: Add support for the B variant
  * Enable audio functions on Dell Huracan/Renegade platforms w/o built-in
    microphone (LP: #2143902)
    - ASoC: SDCA: Add default value for mipi-sdca-function-reset-max-delay
    - ASoC: SDCA: Update counting of SU/GE DAPM routes
    - ASoC: SDCA: Improve mapping of Q7.8 SDCA volumes
    - ASoC: SDCA: Pull the Q7.8 volume helpers out of soc-ops
    - ASoC: add snd_soc_lookup_component_by_name helper
    - ASoC: soc_sdw_utils: partial match the codec name
    - ASoC: soc_sdw_utils: remove index from sdca codec name
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Actually enable llvm for perf
  * Pull patch in qla2xxx to Resolute  (LP: #2144856)
    - scsi: qla2xxx: Add support to report MPI FW state
  * Ubuntu Resolute Desktop image arm64 - Boot on SC8280XP stalls with gpi-dma
    errors (LP: #2142403)
    - Revert "arm64: dts: qcom: sc8280xp: Enable GPI DMA"
  * 26.04 Snapdragon X Elite: Sync concept kernel changes  (LP: #2144643)
    - SAUCE: arm64: dts: add missing denali-oled.dtb to Makefile
    - SAUCE: dt-bindings: phy: qcom: Add CSI2 C-PHY/DPHY schema
    - SAUCE: phy: qcom-mipi-csi2: Add a CSI2 MIPI DPHY driver
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add simple-mfd
      compatible
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add optional PHY handle
      definitions
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add support for combo-
      mode endpoints
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Describe iommu entries
    - SAUCE: media: qcom: camss: Add legacy_phy flag to SoC definition
      structures
    - SAUCE: media: qcom: camss: Add support for PHY API devices
    - SAUCE: media: qcom: camss: Drop legacy PHY descriptions from x1e
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMCC block definition
    - SAUCE: arm64: dts: qcom: x1e80100: Add CCI definitions
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMSS block definition
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add pm8010 CRD pmic,id=m
      regulators
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add ov08x40 RGB sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add pm8010 camera PMIC with
      voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add on ov02c10 RGB sensor on
      CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add pm8010 camera
      PMIC with voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add l7b_2p8
      voltage regulator for RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add ov02c10 RGB
      sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-inspiron14-7441: Switch on CAMSS
      RGB sensor
    - SAUCE: arm64: dts: qcom: x1-asus-zenbook-a14: Add on OV02C10 RGB sensor
      on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: add camera support
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable camera privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: enable camera
      privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable camera privacy
      indicator
    - SAUCE: dt-bindings: arm: qcom: Add ASUS Vivobook X1P42100 variant
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: create a common dtsi for Hamoa
      and Purwa variants
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: add Purwa-compatible device
      tree
    - SAUCE: firmware: qcom: scm: allow QSEECOM on ASUS Vivobook X1P42100
      variant
    - SAUCE: arm64: dts: qcom: hamoa: Move PCIe PERST and Wake GPIOs to port
      nodes
    - SAUCE: arm64: dts: qcom: x1e-acer-swift-14: Move PCIe PERST and Wake
      GPIOs to port nodes
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
  * Miscellaneous Ubuntu changes
    - SAUCE: dt-bindings: arm: qcom: Document HP EliteBook 6 G1q
    - SAUCE: firmware: qcom: scm: Allow QSEECOM for HP EliteBook 6 G1q
    - SAUCE: arm64: dts: qcom: x1p42100-hp-elitebook-6-g1q: DT for HP
      EliteBook 6 G1q
    - [Config] PHY_QCOM_MIPI_CSI2=m
    - SAUCE: arm64: dts: x1e80100-lenovo-yoga-slim7x: Fix RGB camera supplies
    - [Config] toolchain version update
    - Update Changes.md after v7.0-rc5 rebase
    - [Packaging] update Ubuntu.md
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
    - [Packaging] Add linux-main-modules-zfs to linux-modules depends
  * Miscellaneous upstream changes
    - Revert "UBUNTU: SAUCE: Add Bluetooth support for the Lenovo Yoga Slim
      7x"

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 02 Apr 2026 15:48:26 +0200

linux-raspi (7.0.0-1006.6) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1006.6 -proposed tracker (LP: #2146987)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.raspi/dkms-versions -- remove dkms-versions
      (main/d2026.03.30)

  * Boot failure on Pi 3B+ (LP: #2146871)
    - [Config] raspi: Disable KEXEC_HANDOVER and LIVEUPDATE

  * Miscellaneous Ubuntu changes
    - [Config] raspi: Remove CMA_SIZE_MBYTES override
    - [Packaging] raspi: Make linux-modules depend on linux-main-modules-zfs
    - [Packaging] raspi: Remove obsolete do_zfs flag

  * Update to upstream raspberrypi rpi-7.0.y (2026-04-01)
    - clk: bcm: rpi: Manage clock rate in prepare/unprepare callbacks
    - drm/v3d: Use devm_reset_control_get_optional_exclusive()
    - [BACKPORTED] drm/v3d: Allocate all resources before enabling the clock
    - [BACKPORTED] drm/v3d: Introduce Runtime Power Management
    - net: cadence: macb: add EEE LPI statistics counters
    - net: cadence: macb: implement EEE TX LPI support
    - net: cadence: macb: add ethtool EEE support
    - net: cadence: macb: enable EEE for Raspberry Pi RP1
    - net: phy: broadcom: fix BCM54213PE per-PHY init never called
    - net: phy: broadcom: disable AutogrEEEn mode on BCM54xx
    - ARM: dts: bcm2712: re-enable EEE on Pi5 and CM5 PHY
    - ARM: dts: bcm2712: add eee dtparam for Pi5 and CM5
    - ARM: dts: bcm2711: replace genet.eee bootarg with eee-broken dtparam
    - input: goodix: Don't retry individual reads when polling
    - drm/vc4: plane: Add support for RGB[AX]8888 and BGR[AX]8888 formats
    - clk: bcm2835: Don't avoid PLLC on BCM2711
    - fixup! ARM: dts: Select the PL011 platform driver
    - clk: bcm: rpi: Mark VEC clock as critical
    - uapi: Provide DIV_ROUND_CLOSEST()
    - drm: Add CRTC background color property
    - drm/vc4: Remove duplicated defines for GEN_6D registers
    - drm/vc4: crtc: Add support for a custom background color
    - fw/btrfs/discard: Avoid uninitialized build error
    - drm/v3d: Increase the autosuspend delay
    - media: rp1: Add lane-polarity support to CFE driver
    - spi: rp2040-gpio-bridge: Add CRYPTO_HASH2 dependency

  [ Ubuntu: 7.0.0-11.11 ]

  * resolute/linux: 7.0.0-11.11 -proposed tracker (LP: #2146778)
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [30/57]: apparmor-next 7.1: aapparmor: use target
      task's context in apparmor_getprocattr()
    - SAUCE: apparmor5.0.0 [31/57]: apparmor-next 7.1: apparmor: return error
      on namespace mismatch in verify_header
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [34/57]: apparmor-next 7.1: apparmor: Replace
      memcpy + NUL termination with kmemdup_nul in do_setattr
    - SAUCE: apparmor5.0.0 [35/57]: apparmor-next 7.1: apparmor: Remove
      redundant if check in sk_peer_get_label
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [40/57]: apparmor-next 7.1: apparmor: Use
      sysfs_emit in param_get_{audit,mode}
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [46/57]: apparmor-next 7.1: apparmor: Fix string
      overrun due to missing termination
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Enable new Intel WCL soundwire support (LP: #2143301)
    - ASoC: sdw_utils: Add CS42L43B codec info
    - ASoC: dt-bindings: cirrus, cs42l43: Add CS42L43B variant
    - mfd: cs42l43: Add support for the B variant
    - ASoC: cs42l43: Add support for the B variant
  * Enable audio functions on Dell Huracan/Renegade platforms w/o built-in
    microphone (LP: #2143902)
    - ASoC: SDCA: Add default value for mipi-sdca-function-reset-max-delay
    - ASoC: SDCA: Update counting of SU/GE DAPM routes
    - ASoC: SDCA: Improve mapping of Q7.8 SDCA volumes
    - ASoC: SDCA: Pull the Q7.8 volume helpers out of soc-ops
    - ASoC: add snd_soc_lookup_component_by_name helper
    - ASoC: soc_sdw_utils: partial match the codec name
    - ASoC: soc_sdw_utils: remove index from sdca codec name
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Actually enable llvm for perf
  * BTF Generation Fails for Out-of-Tree Modules with Debuginfo Package
    (LP: #2133794)
    - [Packaging] add stripped-down vmlinux with only BTF sections to flavour
      headers package
  * Pull patch in qla2xxx to Resolute  (LP: #2144856)
    - scsi: qla2xxx: Add support to report MPI FW state
  * Ubuntu Resolute Desktop image arm64 - Boot on SC8280XP stalls with gpi-dma
    errors (LP: #2142403)
    - Revert "arm64: dts: qcom: sc8280xp: Enable GPI DMA"
  * 26.04 Snapdragon X Elite: Sync concept kernel changes  (LP: #2144643)
    - SAUCE: arm64: dts: add missing denali-oled.dtb to Makefile
    - SAUCE: dt-bindings: phy: qcom: Add CSI2 C-PHY/DPHY schema
    - SAUCE: phy: qcom-mipi-csi2: Add a CSI2 MIPI DPHY driver
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add simple-mfd
      compatible
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add optional PHY handle
      definitions
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add support for combo-
      mode endpoints
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Describe iommu entries
    - SAUCE: media: qcom: camss: Add legacy_phy flag to SoC definition
      structures
    - SAUCE: media: qcom: camss: Add support for PHY API devices
    - SAUCE: media: qcom: camss: Drop legacy PHY descriptions from x1e
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMCC block definition
    - SAUCE: arm64: dts: qcom: x1e80100: Add CCI definitions
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMSS block definition
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add pm8010 CRD pmic,id=m
      regulators
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add ov08x40 RGB sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add pm8010 camera PMIC with
      voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add on ov02c10 RGB sensor on
      CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add pm8010 camera
      PMIC with voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add l7b_2p8
      voltage regulator for RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add ov02c10 RGB
      sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-inspiron14-7441: Switch on CAMSS
      RGB sensor
    - SAUCE: arm64: dts: qcom: x1-asus-zenbook-a14: Add on OV02C10 RGB sensor
      on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: add camera support
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable camera privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: enable camera
      privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable camera privacy
      indicator
    - SAUCE: dt-bindings: arm: qcom: Add ASUS Vivobook X1P42100 variant
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: create a common dtsi for Hamoa
      and Purwa variants
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: add Purwa-compatible device
      tree
    - SAUCE: firmware: qcom: scm: allow QSEECOM on ASUS Vivobook X1P42100
      variant
    - SAUCE: arm64: dts: qcom: hamoa: Move PCIe PERST and Wake GPIOs to port
      nodes
    - SAUCE: arm64: dts: qcom: x1e-acer-swift-14: Move PCIe PERST and Wake
      GPIOs to port nodes
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
  * Miscellaneous Ubuntu changes
    - SAUCE: dt-bindings: arm: qcom: Document HP EliteBook 6 G1q
    - SAUCE: firmware: qcom: scm: Allow QSEECOM for HP EliteBook 6 G1q
    - SAUCE: arm64: dts: qcom: x1p42100-hp-elitebook-6-g1q: DT for HP
      EliteBook 6 G1q
    - [Config] PHY_QCOM_MIPI_CSI2=m
    - SAUCE: arm64: dts: x1e80100-lenovo-yoga-slim7x: Fix RGB camera supplies
    - [Config] toolchain version update
    - Update Changes.md after v7.0-rc5 rebase
    - [Packaging] update Ubuntu.md
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
  * Miscellaneous upstream changes
    - Revert "UBUNTU: SAUCE: Add Bluetooth support for the Lenovo Yoga Slim
      7x"
    - Revert "powerpc: fix KUAP warning in VMX usercopy path"

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 01 Apr 2026 14:01:29 +0200

linux-raspi (7.0.0-1005.5) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1005.5 -proposed tracker (LP: #2144921)

  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] raspi: Recommend dracut instead of initramfs-tools

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Sync packaging files from debian.master

  [ Ubuntu: 7.0.0-10.10 ]

  * resolute/linux: 7.0.0-10.10 -proposed tracker (LP: #2144865)
  * Miscellaneous upstream changes
    - Revert "powerpc: fix KUAP warning in VMX usercopy path"

  [ Ubuntu: 7.0.0-9.9 ]

  * resolute/linux: 7.0.0-9.9 -proposed tracker (LP: #2144735)
  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools
  * Miscellaneous Ubuntu changes
    - SAUCE: Change RISC-V target to RVA23 (riscv64a23-unknown-linux-gnu)

  [ Ubuntu: 7.0.0-8.8 ]

  * resolute/linux: 7.0.0-8.8 -proposed tracker (LP: #2144652)
  * UBUNTU: SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
    (LP: #2143197)
    - SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
  * [usrmerge] evaluate kernel owned packages for DEP17 compliance
    (LP: #2139276)
    - [Packaging] Install modules in /usr/lib/modules
  * Miscellaneous Ubuntu changes
    - [Config] hardening: enable LIST_HARDENED
    - [Config] hardening: disable LDISC_AUTOLOAD
    - [Config] hardening: disable LEGACY_PTYS
    - [Config] updateconfigs following v7.0-rc4 rebase

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 19 Mar 2026 17:13:36 +0100

linux-raspi (7.0.0-1004.4) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1004.4 -proposed tracker (LP: #2144559)

  * Miscellaneous Ubuntu changes
    - raspi: Update to upstream raspberrypi rpi-7.0.y (2026-03-11)

  * Miscellaneous upstream changes
    - configs: Update the defconfigs for 7.0
    - overlays: i2c-sensor: Fix sgp30 alphabetic order
    - overlays: i2c-sensor: Add sts3x support
    - overlays: i2c-sensor: Add sht85 support
    - overlays: pcf857x: Add support for pca8575, pca967x and max732x
    - overlays: README: add Pi4 and CM4 to eee dtparam description
    - overlays: mcp2515: Add support for spi3 and spi5
    - configs: enable CONFIG_HID_CP2112=m

  [ Ubuntu: 7.0.0-7.7 ]

  * resolute/linux: 7.0.0-7.7 -proposed tracker (LP: #2143974)
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/29]: apparmor: fix fine grained inet mediation
      sock_file_perm
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/29]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/29]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/29]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/29]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/29]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/29]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/29]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/29]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/29]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/29]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/29]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/29]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/29]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/29]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/29]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/29]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/29]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/29]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/29]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/29]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/29]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/29]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/29]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/29]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/29]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/29]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/29]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/29]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * NPU utilization on amdxdna is missing (LP: #2143243)
    - SAUCE: accel/amdxdna: Add IOCTL to retrieve realtime NPU power estimate
    - SAUCE: accel/amdxdna: Support sensors for column utilization
    - SAUCE: accel/amdxdna: Import AMD_PMF namespace
  * Adopting dark mode by default for OLED panel (LP: #2143203)
    - SAUCE: drm/connector: Add a new 'panel_type' property
    - SAUCE: drm/amd/display: Attach OLED property to eDP panels
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - [Config] Enable VIDEO_AMD_ISP4_CAPTURE
  * Miscellaneous Ubuntu changes
    - [Config] temporarily disable OBJTOOL_WERROR

  [ Ubuntu: 7.0.0-6.6 ]

  * resolute/linux: 7.0.0-6.6 -proposed tracker (LP: #2143745)
  * Miscellaneous Ubuntu changes
    - [Packaging] drop unstable suffix

  [ Ubuntu: 7.0.0-5.5 ]

  * resolute/linux-unstable: 7.0.0-5.5 -proposed tracker (LP: #2143700)
  * Resolute real-time patchset: 7.0-rc1-rt1 (LP: #2143181)
    - SAUCE: Reapply "serial: 8250: Switch to nbcon console"
    - SAUCE: Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - SAUCE: drm/i915: Use preempt_disable/enable_rt() where recommended
    - SAUCE: drm/i915: Don't disable interrupts on PREEMPT_RT during atomic
      updates
    - SAUCE: drm/i915: Disable tracing points on PREEMPT_RT
    - SAUCE: drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - SAUCE: drm/i915: Drop the irqs_disabled() check
    - SAUCE: drm/i915/guc: Consider also RCU depth in busy loop.
    - SAUCE: drm/i915: Consider RCU read section as atomic.
    - SAUCE: Revert "drm/i915: Depend on !PREEMPT_RT."
    - SAUCE: sysfs: Add /sys/kernel/realtime entry
    - Real-time patchset 7.0-rc1-rt1
  * Miscellaneous Ubuntu changes
    - [Config] rust toolchain version update

  [ Ubuntu-unstable: 7.0.0-4.4 ]

  * resolute/linux-unstable: 7.0.0-4.4 -proposed tracker (LP: #2143123)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] remove stale debian/dkms-versions
    - [Packaging] remove stale debian/dkms-versions scripting

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 16 Mar 2026 15:41:33 +0100

linux-raspi (7.0.0-1003.3) resolute; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] annotations script: Ignore Rust configs if disabled

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 05 Mar 2026 17:19:48 +0100

linux-raspi (7.0.0-1002.2) resolute; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 05 Mar 2026 11:14:04 +0100

linux-raspi (7.0.0-1001.1) resolute; urgency=medium

  * resolute/linux-raspi: 7.0.0-1001.1 -proposed tracker (LP: #2143053)

  * Packaging resync (LP: #1786013)
    - [Packaging] update update.conf
    - [Packaging] update Ubuntu.md

  * linux-raspi: kernel does not support memory limit capabilities
    (LP: #2137159)
    - SAUCE: ARM{,64}: dts: bcm27xx: Don't disable memory cgroup

  * Missing overlays/README (LP: #1954757)
    - SAUCE: (no-up) Install overlays/README

  * Add a realtime flavor (LP: #2138734)
    - [Packaging] raspi: Add raspi-realtime flavor
    - [Config] raspi: Add raspi-realtime flavor

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Initial import of debian.raspi from questing:linux-
      raspi (6.17.0-1008.8)
    - [Packaging] raspi: Initial version of resolute:linux-raspi
    - [Packaging] raspi: Sync packaging files from debian.master
    - [Packaging] raspi: Clean up Provides
    - [Packaging] raspi: Clean up Recommends
    - raspi: Update to upstream raspberrypi rpi-7.0.y (2026-02-24)
    - SAUCE: Revert "dts: remove README from Makefile"
    - SAUCE: (no-up) ARM: dts: Disable unsupported Raspberry Pi DTBs
    - SAUCE: dtoverlays: Remove fkms overlays
    - [Config] raspi: updateconfigs after rebase to Ubuntu-6.19.0-3.3
    - [Config] raspi: Remove non-critical parent overrides
    - [Config] raspi: Disable unsupported architectures
    - [Config] raspi: updateconfigs after rebase to Ubuntu-7.0.0-1.1
    - [Config] raspi: Update notes
    - [Config] raspi: Disable and modularize MFD devices
    - [Config] raspi: Set NR_CPUS=16
    - [Config] raspi: Set GPIO_PALMAS=m
    - [Config] raspi: Update notes to use keywords
    - [Packaging] raspi: Disable DKMS
    - [Config] raspi: updateconfigs after rebase to Ubuntu-unstable-7.0.0-3.3

  * Miscellaneous upstream changes
    - clk: bcm: rpi: Mark ISP clock as critical
    - [DNI] media: bcm2835-unicam: Add upstream compatible
    - [DNI] arm64: dts: broadcom: Add overlay for Raspberry Pi 4B IMX219
      camera
    - [DNI] arm64: dts: broadcom: Add overlay for RPi 4B OV5647 camera
    - media: i2c: ov5647: Fix v4l2-compliance failure subscribing to events
    - platform/raspberrypi: vchiq-mmal: Avoid use of bool in structures
    - platform/raspberrypi: vchiq-mmal: Add support for event callbacks.
    - platform/raspberrypi: vchiq-mmal: Support sending data to MMAL ports
    - platform/raspberrypi: vchiq-mmal: Fix client_component for 64 bit kernel
    - platform/raspberrypi: vchiq-mmal: Add in the bayer and gray formats
    - platform/raspberrypi: vchiq-mmal: Update video parameters
    - platform/raspberrypi: vchiq-mmal: Free the event context for control
      ports
    - platform/raspberrypi: vchiq-mmal: Fix memory leak in error path
    - platform/raspberrypi: Add new vc-sm-cma driver
    - platform/raspberrypi: vchiq-mmal: Use vc-sm-cma to support zero copy
    - platform/raspberrypi: vchiq-mmal: Reset buffers_with_vpu on port_enable
    - platform/raspberrypi: vchiq-mmal: Add defines for mmal_es_format flags
    - platform/raspberrypi: vchiq: Register vc-sm-cma as a platform driver
    - platform/raspberrypi: vchiq-mmal: Support ISP parameters and stats
    - platform/raspberrypi: vchiq-mmal: Support unpacked formats
    - media: platform: broadcom: Move unicam driver to subdir
    - media: platform: broadcom: Add bcm2835-isp driver
    - media: uapi: v4l-ctrls: Add CID base for the bcm2835-isp driver
    - uapi/v4l2-controls: Reset V4L2_CID_USER_BCM2835_ISP_BASE to same as 5.10
    - media: uapi: v4l2-core: Add sensor ancillary data V4L2 foucc type.
    - media: uapi: v4l2-core: Add ISP statistics output V4L2 fourcc type
    - media: videobuf2: Allow exporting of a struct dmabuf
    - staging: vc04_services: Add helpers for vchiq driver data
    - platform/raspberrypi: vchiq: Load bcm2835_isp driver from vchiq
    - staging: vchiq_arm: Set up dma ranges on child devices
    - fixup:staging: vchiq_arm: Set up dma ranges on child devices
    - docs: uapi: media: Document Raspberry Pi NV12 column format
    - media: ioctl: Add pixel formats NV12MT_COL128 and NV12MT_10_COL128
    - media: v4l2-common: Add pixel formats NV12MT_COL128 and NV12MT_10_COL128
    - docs: uapi: media: Clarify HEVC slice_param bit_size, data_byte_offset
    - dt-bindings: media: Add the Raspberry Pi HEVC decoder
    - media: platform: Add Raspberry Pi HEVC decoder driver
    - media: v4l2: Add single planar NV12 column formats
    - Revert "spi: spidev: Fix CS polarity if GPIO descriptors are used"
    - Revert "ARM: dts: bcm2711: Add BCM2711 xHCI support"
    - Revert "usb: phy: generic: Get the vbus supply"
    - Revert "PCI: Warn if no host bridge NUMA node info"
    - of: overlay: Correct symbol path fixups
    - module: Avoid ABI changes when debug info is disabled
    - dma-mapping: Use any dma_range_map for phys to DMA
    - raspberrypi-firmware: Update mailbox commands
    - drm/atomic: Don't fixup modes that haven't been reset
    - drm: Check whether the gamma lut has changed before updating
    - drm/dsi: Document the meaning and spec references for MIPI_DSI_MODE_*
    - drm/bridge: tc358762: Ignore EPROBE_DEFER when logging errors
    - drm: Add chroma siting properties
    - drm/atomic-helpers: remove legacy_cursor_update hacks
    - drm/atomic: If margins are updated, update all planes.
    - arm64: setup: Fix build warning
    - BCM2708: Add core Device Tree support
    - config: Add default configs
    - clk: clk-bcm2835: Register the clocks early during the boot process
    - clk-bcm2835: Mark used PLLs and dividers CRITICAL
    - clk-bcm2835: Add claim-clocks property
    - clk-bcm2835: Read max core clock from firmware
    - clk-bcm2835: Don't wait for pllh lock
    - clk: bcm2835: Add support for setting leaf clock rates while running.
    - clk: bcm2835: Allow reparenting leaf clocks while they're running.
    - clk-bcm2835: Avoid null pointer exception
    - clk-bcm2835: Disable v3d clock
    - clk-bcm2835: Use PLLD for DSI0 HS clock
    - smsc95xx: Experimental: Enable turbo_mode and packetsize=2560 by default
    - Allow mac address to be set in smsc95xx
    - Protect __release_resource against resources without parents
    - irq-bcm2836: Avoid "Invalid trigger warning"
    - irqchip: bcm2835: Add FIQ support
    - irqchip: irq-bcm2835: Add 2836 FIQ support
    - spi: spidev: Completely disable the spidev warning
    - dmaengine: bcm2835: Load driver early and support legacy API
    - rtc: Add SPI alias for pcf2123 driver
    - watchdog: bcm2835: Support setting reboot partition
    - reboot: Use power off rather than busy spinning when halt is requested
    - bcm2835-rng: Avoid initialising if already enabled
    - Update vfpmodule.c
    - i2c: bcm2835: Add debug support
    - irqchip: irq-bcm2836: Remove regmap and syscon use
    - amba_pl011: Insert mb() for correct FIFO handling
    - amba_pl011: Add cts-event-workaround DT property
    - tty: amba-pl011: Avoid rare write-when-full error
    - Main bcm2708/bcm2709 linux port
    - Add dwc_otg driver
    - bcm2708_fb: Add framebuffer driver
    - dmaengine: Add support for BCM2708
    - mmc: bcm2835-mmc: added alternative MMC driver
    - mmc: block: Don't do single-sector reads during recovery
    - vc_mem: Add vc_mem driver for querying firmware memory addresses
    - Add SMI driver
    - Add Chris Boot's i2c driver
    - char: Add broadcom char drivers back to build files
    - char: broadcom: Add vcio module
    - drivers: char: add generic gpiomem driver
    - firmware: bcm2835: Support ARCH_BCM270x
    - leds: Add the "input" trigger, for pwr_led
    - Added Device IDs for August DVB-T 205
    - Improve __copy_to_user and __copy_from_user performance
    - mfd: Add Raspberry Pi Sense HAT core driver
    - drivers/mfd: sensehat: Add Raspberry Pi Sense HAT to simple_mfd_i2c
    - Input: sensehat-joystick : Revert to downstream keymap
    - ASoC: Add support for all the downstream rpi sound card drivers
    - rpi_display: add backlight driver and overlay
    - bcm2835-virtgpio: Virtual GPIO driver
    - OF: DT-Overlay configfs interface
    - brcm: adds support for BCM43341 wifi
    - hci_h5: Don't send conf_req when ACTIVE
    - ARM64: Round-Robin dispatch IRQs between CPUs.
    - ARM64: Force hardware emulation of deprecated instructions.
    - AXI performance monitor driver (#2222)
    - ARM: bcm2835: Set Serial number and Revision
    - dwc-otg: FIQ: Fix "bad mode in data abort handler"
    - ARM: Activate FIQs to avoid __irq_startup warnings
    - i2c-gpio: Also set bus numbers from reg property
    - added capture_clear option to pps-gpio via dtoverlay (#2433)
    - hid: Reduce default mouse polling interval to 60Hz
    - firmware/raspberrypi: Notify firmware of a reboot
    - irqchip: irq-bcm2835: Calc. FIQ_START at boot-time
    - cxd2880: CXD2880_SPI_DRV should select DVB_CXD2880 with
      MEDIA_SUBDRV_AUTOSELECT
    - firmware: raspberrypi: Report the fw variant during probe
    - net: lan78xx: Disable TCP Segmentation Offload (TSO)
    - net: lan78xx: Support auto-downshift to 100Mb/s
    - lan78xx: Debounce link events to minimize poll storm
    - Patching lan78xx for SOF_TIMESTAMPING_TX_SOFTWARE support
    - media: adv7180: Default to the first valid input
    - media: adv7180: Add YPrPb support for ADV7282M
    - media: videodev2: Add helper defines for printing FOURCCs
    - dt-bindings: Document BCM283x CSI2/CCP2 receiver
    - staging: mmal-vchiq: Free the event context for control ports
    - w1: w1-gpio: Make GPIO an output for strong pullup
    - arm: bcm2835: Fix FIQ early ioremap
    - arm: bcm2835: DMA can only address 1GB
    - hwrng: iproc-rng200: Add BCM2838 support
    - bcmgenet: constrain max DMA burst length
    - bcmgenet: Better coalescing parameter defaults
    - net: genet: enable link energy detect powerdown for external PHYs
    - usb: add plumbing for updating interrupt endpoint interval state
    - xhci: implement xhci_fixup_endpoint for interval adjustments
    - usb: xhci: workaround for bogus SET_DEQ_PENDING endpoint state
    - usb: xhci: drop and add the endpoint context in xhci_fixup_endpoint()
    - ARM: bcm: Backport BCM2711 support from upstream
    - i2c: bcm2835: Set clock-stretch timeout to 35ms
    - hid: usb: Add device quirks for Freeway Airmouse T3 and MX3
    - net: bcmgenet: Workaround #2 for Pi4 Ethernet fail
    - arch/arm: Add model string to cpuinfo
    - arch/arm64: Add Revision, Serial, Model to cpuinfo
    - media: i2c: imx477: Support for the Sony IMX477 sensor
    - drivers: media: imx296: Disable 2x2 binned mode
    - drivers: media: imx296: Updated imx296 driver for external trigger
    - drivers: media: i2c: imx296: Configure tigger_mode every time
    - media: i2c: imx296: Updated register setting to fix Fast Trigger
    - media: i2c: imx296: Get sensor crop working
    - media: i2c: imx296: Add helper for hblank control
    - media: i2c: imx296: Set a 1 frame gain delay
    - media: i2c: imx296: Add horizontal/vertical flip support
    - media: i2c: imx296: Adjust cropping limits
    - media: i2c: imx296: Add OF option for vsync sink for XTRIG
    - media: i2c: imx519: Support for the Sony IMX519 sensor
    - Documentation: devicetree: Add documentation for imx378 sensor
    - v4l2: Add a Greyworld AWB mode.
    - media: v4l2: Add Greyworld AWB control name
    - dt-bindings: Add binding for the Infineon IRS1125 sensor
    - media: i2c: Add a driver for the Infineon IRS1125 depth sensor
    - net: phy: broadcom: Allow ethernet LED mode to be set via device tree
    - phy: broadcom: split out the BCM54213PE from the BCM54210E IDs
    - phy: broadcom: Add bcm54213pe configuration
    - net: phy: broadcom: optionally enable link-down powersave based on DT
    - net: phy: Populate phy driver block for BCM54213PE
    - net: phy: BCM54210PE does not support PTP
    - net: phy: broadcom: Handle irqs on BCM54213PE
    - net: phy: broadcom: Preserve LED4 settings
    - net: phy: broadcom: Remove conflicting ECR global interrupt mask in
      config_init
    - net: phy: broadcom: Add led-swap property support
    - staging: vchiq_arm: Set up dma ranges on child devices
    - staging: vchiq_arm: Usa a DMA pool for small bulks
    - pinctrl: bcm2835: Remove gpiochip on error
    - dt-bindings: pci: Add DT docs for Brcmstb PCIe device
    - bcmgenet: Disable skip_umac_reset by default
    - media: dt-bindings: media: Add binding for the Raspberry PI HEVC decoder
    - spi: Force CS_HIGH if GPIO descriptors are used
    - media: uapi: Add MEDIA_BUS_FMT_SENSOR_DATA media bus format
    - gpiolib: Don't prevent IRQ usage of output GPIOs
    - brcmfmac: Prefer a ccode from OTP over nvram file
    - media: bcm2835-unicam: Driver for CCP2/CSI2 camera interface
    - serial: 8250: bcm2835aux - defer if clock is zero
    - leds: Add the actpwr trigger
    - staging/fbtft: Add support for display variants
    - brcmfmac: Increase power saving delay to 2s
    - gpio: Add gpio-fsm driver
    - watchdog: bcm2835: Ignore params after the partition number
    - firmware: raspberrypi: Add support for tryonce reboot flag
    - Input: edt-ft5x06: Poll the device if no interrupt is configured.
    - dt-bindings: Add compatible for BCM2711 DSI1
    - staging/vc04_services: Add additional unpacked raw formats
    - spi: bcm2835: Workaround/fix for zero-length transfers
    - staging: fbtft: Add minipitft13 variant
    - media: i2c: ov7251: Add fwnode properties controls
    - drm/panel/raspberrypi-touchscreen: Use independent I2C actions with
      delay.
    - drm/panel-simple: Add a timing for the Raspberry Pi 7" panel
    - drm/panel: jdi-lt070me05000: Use gpiod_set_value_cansleep
    - Extending ili9881c driver support for nwe080 panel
    - dt-bindings: ili9881c: add compatible string for new panels
    - drm/panel: Add panel driver for TDO Y17B based panels
    - drm/panel: Add panel driver for Waveshare DSI touchscreens
    - drivers/regulator : Add a regulator to Waveshare DSI-TOUCH series panels
    - dt-bindings: vendor-prefixes: Add Geekworm
    - dt-bindings: display: simple: add Geekworm MZP280 Panel
    - dt-bindings: display: panel-dsi bindings
    - staging/vchiq-mmal: Add buffer flags for interlaced video
    - staging/vchiq-mmal: Add parameters for interlaced video support
    - staging/vchiq-mmal: Add the deinterlace image effects enums
    - Add Raspberry Pi PoE+ HAT support
    - mfd: simple-mfd-i2c: Add configuration for RPi POE HAT
    - pwm: raspberrypi-poe: Add option of being created by MFD or FW
    - staging/mmal-vchiq: Add module parameter to enable logging.
    - hwmon: (pwm-fan) Add fan speed register support
    - brcmfmac: Don't promote INFO logging to ERR
    - spi: spidev: Restore loading from Device Tree
    - regulator/rpi-panel-attiny: Don't read the LCD power status
    - rtc: pcf8523: Fix oscillator stop bit handling
    - media: i2c: ov7251: Make the enable GPIO optional.
    - bindings: Add sck-idle-input to spi-gpio
    - spi: gpio: Add sck-idle-input property
    - media: i2c: ov7251: Reinstate setting ov7251_global_init_setting
    - media/i2c: Add driver for Omnivision OV2311
    - dt-bindings: media: i2c: Add binding for ad5398 VCM
    - media: i2c: Add driver for AD5398 VCM lens driver
    - mm,page_alloc,cma: introduce a customisable threshold for allocating
      pages in cma
    - tpm_tis_spi_main: Force probe routine to run synchronously with driver
      and device registration when IMA is enabled
    - dt-bindings: vendor-prefixes: Add Arducam
    - media: dt-bindings: media: i2c: Add Arducam Pivariety Series CMOS sensor
      binding
    - media: i2c: Add driver of Arducam Pivariety series camera
    - thermal: broadcom: Use dev_err_probe to suppress defer errors
    - hwmon: emc2305: fixups for driver submitted to mailing lists
    - random: do not use jump labels before they are initialized
    - media: dt-bindings: media: i2c: Add Arducam 64MP CMOS sensor binding
    - media: i2c: Add driver of Arducam 64MP camera
    - Add HDMI1 facility to the driver.
    - media: video-mux: Read CSI2 config from FW, and pass to receiver
    - media: adv7180: Nasty hack to allow input selection.
    - media: i2c: ov7251: Add module param to select ext trig mode
    - net: bcmgenet: Add 'eee' module parameter
    - media: dt-bindings: Add DW9817 to DW9807 binding
    - media: dw9807-vcm: Add support for DW9817 bidirectional VCM driver
    - media: dt-bindings: Add regulator to dw9807-vcm
    - media: dw9807-vcm: Add regulator support to the driver
    - media: dw9807-vcm: Smooth the first user movement of the lens
    - dtbindings: media: i2c: Add IMX708 CMOS sensor binding
    - dt-bindings: media: i2c: Replace IMX708 sensor binding documentation
      file
    - media/i2c: Add a driver for the Sony IMX708 image sensor
    - iio: adc: mcp3422: Add correct compatible strings
    - gpio: pca953x: Add ti,tca9554 compatible string
    - hwmon: (aht10): Add DT compatible string
    - hwmon: (ds1621) Add DT compatible strings
    - rtc: ds3232: Add DT compatible string for ds3234
    - hwmon: (sht3x) Add DT compatible string
    - iio: light: tsl4531: Add DT compatible string
    - hwrng: bcm2835 - sleep more intelligently
    - fbdev: Don't cancel deferred work if pagelist empty
    - serial: 8250: Add NOMSI bug for bcm2835aux
    - Bluetooth: hci_sync: Add fallback-bd-address prop
    - Bluetooth: hci_bcm: Add more invalid BDADDRs
    - pinctrl: bcm2835: Workaround for edge IRQ loss
    - mmc: bcm2835: Use phys addresses for slave DMA config
    - spi: bcm2835: Use phys addresses for slave DMA config
    - pps: Compatibility hack should be X86-specific
    - serial: sc16is7xx: Read modem line state at startup
    - xhci: add quirk for host controllers that don't update endpoint DCS
    - xhci: quirks: add link TRB quirk for VL805
    - usb: xhci: add VLI_SS_BULK_OUT_BUG quirk
    - usb: xhci: add XHCI_VLI_HUB_TT_QUIRK
    - cfg80211: ship debian certificates as hex files
    - drm/ili9486: Resolve clash in spi_device_id names
    - rtc: rv3028: Add backup switchover mode support
    - gpio_brcmstb: Allow to build for ARCH_BCM2835
    - sdhci: Add SD Express hook
    - reset: reset-brcmstb-rescal: Support shared use
    - net: macb: Also set DMA coherent mask
    - usb: dwc3: Set DMA and coherent masks early
    - dt-binding: mfd: Add binding for Raspberry Pi RP1
    - mfd: Add rp1 driver
    - dt-bindings: pinctrl: Add bindings for Raspberry Pi RP1
    - serial: pl011: rp1 uart support
    - mmc: sdhci-of-dwcmshc: define sdio timeout clocks
    - clk: rp1: Add sdio-clk driver
    - i2c: designware: Add SMBUS quick command support
    - dmaengine: dw-axi-dmac: Fixes for RP1
    - spi: dw: Handle combined tx and rx messages
    - pwm: Add support for RP1 PWM
    - drm: Add RP1 DSI driver
    - drm: Add RP1 DPI driver
    - drm: Add RP1 VEC driver
    - nvmem: raspberrypi: Add nvmem driver for accessing OTP data
    - dt-bindings: net: cdns,macb: AXI tuning properties
    - hwmon: Add RP1 ADC and temperature driver
    - spi: gpio: Fix spi-gpio to correctly implement sck-idle-input
    - spi: spi-gpio: Implement spidelay when requested bit rate <= 1 Mbps
    - dt-bindings: gpu: v3d: Add BCM2712 to compatibility list
    - dmaengine: bcm2835: Add BCM2712 support
    - dmaengine: bcm2835: HACK: Support DMA-Lite channels
    - dmaengine: bcm2835: Rename to_bcm2711_cbaddr to to_40bit_cbaddr
    - drivers: iommu: Add BCM2712 IOMMU
    - rtc: rtc-rpi: Add simple RTC driver for Raspberry Pi
    - dt-bindings: rtc: new binding for Raspberry Pi RTC driver
    - media: i2c: ov9282: Read chip ID via 2 reads
    - media: i2c: ov9282: Add external FSIN trigger snapshot mode
    - fbdev: Allow client to request a particular /dev/fbN node
    - drm/fb-helper: Look up preferred fbdev node number from DT
    - drivers: mmc: sdhci: add SPURIOUS_INT_RESP quirk
    - dt-bindings: mmc: sdhci-of-dwcmhsc: Add Raspberry Pi RP1 support
    - Add ability to export gpio used by gpio-poweroff
    - gpio-poweroff: Disable the WARN
    - w1: Disable kernel log spam
    - xhci: Use more event ring segment table entries
    - media/i2c: ov7251: Switch from V4L2_CID_GAIN to V4L2_CID_ANALOGUE_GAIN
    - drm/bridge: display-connector: Select DRM_KMS_HELPER
    - dtc update
    - media: dt-bindings: i2c: Add Rohm BU64754 bindings
    - media: i2c: Add ROHM BU64754 Camera Autofocus Actuator
    - firmware/psci: Pass given partition number through
    - media: i2c: adv7180: Use MEDIA_BUS_FMT_UYVY8_1X16 for CSI2 output
    - media: i2c: adv7180: Add support for V4L2_CID_LINK_FREQ
    - spi: bcm2835: Support spi0-0cs and SPI_NO_CS mode
    - dt-bindings: usb: update dwc3 bindings for parkmode-disable quirks
    - drivers: usb: dwc3: add FS/LS bus instance parkmode disable bit
    - i2c: designware: Use SCL rise and fall times in DT
    - i2c: designware: Support non-standard bus speeds
    - serial: sc16is7xx: Don't spin if no data received
    - arm64/Kconfig: Don't set DMA_BOUNCE_UNALIGNED_KMALLOC
    - Bluetooth: btbcm: Add entry for BCM43439 UART BT
    - i2c: mux: Add support for generic base-nr property
    - non-upstream: support DS1 exit firmware re-download
    - brcmfmac: Fix interoperating DPP and other encryption network access
    - brcmfmac: Fix 802.1x
    - drivers: mmc: add SD support for Command Queueing
    - drivers: mmc: preallocate a block for SD extension register accesses
    - drivers: mmc: trigger activity LED when CQE is active
    - drivers: sdhci-brcmstb: work around mystery CQE CMD_IDLE_TIMER trampling
    - drivers: mmc: cqhci: clear CQHCI_CTL if halt fails
    - drivers: mmc: export SD extension register read/write functions
    - drivers: mmc: be more cautious when manipulating Command Queue enable
    - drivers: mmc: add debugfs entries for SD extension registers
    - drivers: mmc: handle 1024-byte SD General Info lengths
    - mmc: sdhci-brcmstb: add hs400_downgrade callback for bcm2712
    - mmc: sdhci: extend maximum ADMA transfer length to 4MiB
    - drivers: mmc: sdhci-brcmstb: improve bcm2712 card removal handling
    - drivers: mmc: core: handle card-removal when running CQE recovery
    - mmc: restrict posted write counts for SD cards in CQ mode
    - mmc: don't reference requests after finishing them
    - drivers: mmc: disable write-caching on Samsung 2023 model year SD cards
    - mmc: quirks: disable cache on more known-bad Sandisk card date ranges
    - mmc: block: disable CQ on SD cards when doing non-Discard erase
    - mmc: quirks: add MMC_QUIRK_BROKEN_ERASE for Phison/Integral cards
    - i2c: designware: Add support for bus clear feature
    - i2c: designware: Make the SDA hold time half LCNT
    - dw-axi-dmac-platform: Avoid trampling with zero length buffer
    - drm/panel: Add and initialise an orientation field to drm_panel from OF
    - drm/bridge: tc358762: Program the DPI mode into the chip
    - drm/bridge: tc358762: revert move ops to enable
    - pinctrl: bcm2835: Persist outputs by default
    - spi: dw: Handle any number of gpiod CS lines
    - backlight: Add a display name to the core, and a function to set it
    - drm/bridge: panel: Name an associated backlight device
    - media: pisp_be: Re-introduce video node offset
    - spi: dt-bindings: Add RPI RP2040 GPIO Bridge
    - spi: Add a driver for the RPI RP2040 GPIO bridge
    - dmaengine: dw-axi-dmac: Honour snps,block-size
    - brcmfmac: Only match complete feature names
    - brcmfmac: Add "extsae" as an alias for "sae_ext"
    - brcmfmac: support extsae with psk / 1x offloading
    - spi: dw: Save bandwidth with the TMOD_TO feature
    - spi: dw: Save bandwidth with the TMOD_RO feature
    - spi: dw: don't immediately kill DMA transfers if an error occurs
    - drivers: dw-axi-dmac: make more sensible choices about memory accesses
    - DT: bindings: add a dma-maxburst property to snps,designware-i2s
    - spi: dw: Fix non-DMA transmit-only transfers
    - spi: dw: Clamp the minimum clock speed
    - gpiolib: Override gpiochip numbers with DT aliases
    - Bluetooth: hci_sync: Fix crash on NULL parent
    - rtc: pcf8523: Fix oscillator stop bit handling reading from Control_1
    - media: dt-bindings: i2c: Add Sony IMX500
    - media: i2c: Add driver for Sony IMX500 sensor
    - lib: earlycpio: export symbol find_cpio_data()
    - NotForUpstream: media: video-mux: Propagate controls to source
    - dma-buf: system_heap: Allow specifying maximum allocation order
    - mm/numa: Allow override of kernel's default NUMA policy
    - numa/emulation: Check emulated zones around the CMA window
    - iommu/dma: Add ability to configure NUMA allocation policy for remapped
      allocations
    - mm/mempolicy: Add MPOL_RANDOM
    - mm/mempolicy: Ignore runtime policy changes when set through cmdline
    - mm/vmscan: Maintain TLB coherency in LRU code
    - mmc: quirks: add more broken Kingston Canvas Go! SD card date ranges
    - dt-bindings: usb: snps,dwc3: add FS/HS periodic NAK polling quirk
    - usb: dwc3: core: add support for setting NAK enhancement bits for FS/HS
    - drivers: usb: xhci: prevent a theoretical race on non-coherent platforms
    - iio: humidity: dht11: Allow non-zero decimals
    - drm: Set non-desktop property to true for writeback and virtual
      connectors
    - drm: Increase plane_mask to 64bit.
    - drm: Add a DRM_MODE_TRANSPOSE option to the DRM rotation property
    - drm: Add a rotation parameter to connectors.
    - dmaengine: dw-axi-dmac: Allow client-chosen width
    - spi: dw: Let the DMAC set the transfer widths
    - drivers: usb: xhci: set HID bit in streaming endpoint contexts
    - dmaengine: dw-axi-dmac: Only start idle channels
    - mailbox: Add RP1 mailbox support
    - firmware: Add an RP1 firmware interface over mbox
    - misc: Add RP1 PIO driver
    - pwm: Add pwm-pio-rp1 driver
    - misc: Add ws2812-pio-rp1 driver
    - drm/connector: Initialise max_bpc to the minimum value supported
    - drm: vc4: dsi: Handle the different command FIFO widths
    - drm/vc4: hvs: Defer dlist slots deallocation
    - drm/vc4: Add hvs_dlist_allocs debugfs function.
    - drm/vc4: Disable overrun interrupts
    - drm: vc4: Block swiotlb bounce buffers being imported as dmabuf
    - drm/vc4: Add option to call from crtc to encoder on vblank
    - drm: vc4: dsi: Clocks should be running before reset
    - drm: vc4: Reset DSI AFE on disable
    - drm/vc4: Ensure DSI is enabled for FIFO resets
    - drm/vc4: Add vblank callback to DSI0 to reset FIFO
    - drm/vc4: Fixup mode for 7inch panel on DSI0
    - drm/vc4: dsi: Don't reset the host until post_disable
    - drm: vc4: dsi: enable video and then retry failed transfers
    - drm/vc4: Allow setting the TV norm via module parameter
    - drm/vc4: Initialise the tv_mode property default from cmdline_mode.
    - drm/vc4_hdmi: Allow hotplug detect to be forced
    - vc4/hdmi: Ignore hotplug interrupt with force_hotplug
    - drm/vc4: Add a delay after disabling hdmi phy output
    - drm/vc4: Implement vc6_hdmi_phy_disable
    - drm/vc4: Also power down the PLL core when resetting PHY
    - drm/vc4: dpi: Add override for RGB order
    - vc4/drm:plane: Make use of chroma siting parameter
    - drm/vc4: Add support for per plane scaling filter selection
    - drm/vc4: Use the TPZ scaling filter for 1x1 source images
    - drm/vc4: hvs: Defer updating the enable_bg_fill until vblank
    - drm/vc4: Increase number of overlay planes from 16 to 48
    - drm/vc4: Assign 32 overlay planes to writeback only
    - drm/vc4: Do not include writeback conn load in load tracker
    - drm/vc4: Drop panic priority for writeback connector
    - drm/vc4: txp: Add a rotation property to the writeback connector
    - drm/vc4: Remove request for min clocks when hdmi output is disabled
    - drm/vc4: Disable the 2pixel/clock odd timings workaround for interlaced
    - drm/vc4: fkms: Add firmware-kms mode
    - drm/vc4: tests: Switch generation mockup to a switch
    - drm/vc4: tests: Drop drm parameter for vc4_find_crtc_for_encoder
    - drm/vc4: tests: Return the allocated output
    - drm/vc4: tests: Add BCM2712 mock driver
    - drm/vc4: tests: Add tests for BCM2712 PixelValve Muxing
    - drm/vc4: tests: Use custom plane state for mock
    - drm/vc4: tests: Add function to lookup a plane for a CRTC
    - drm/vc4: tests: Add helper to add a new plane to a state
    - drm/vc4: tests: Support a few more plane formats
    - drm/vc4: tests: Introduce a test for LBM buffer size
    - drm/vc4: tests: Update pv muxing tests now DSI1 is more flexible
    - drm/vc4: tests: Fix up vc4_test_lbm_size
    - drm/vc4: backport 27e0a194a256 and b3bf19552ea3
    - drm/vc4: Cache LBM allocations to avoid double-buffering
    - vc4: Add jack detection to HDMI audio driver
    - drm/vc4: Use phys addresses for slave DMA config
    - drm/vc4: PV1 can be driven via any HVS channel, so adapt to allow it
    - drm/edid: When reset, assume HDMI displays support RGB444
    - drm/vc4: Correct one logging message that got promoted from dbg to err
    - drm: vc4: hvs: Fix vc6_hvs_debugfs_dlist state lookup
    - drm/vc4: Add algorithmic handling for SAND
    - drm: vc4: plane: Avoid using pitch in calculating UBM for SAND
    - drm/vc4: Correct arithmetic for shifting between columns of SAND images
    - drm/vc4: plane: Correct SAND30 word sizing for cropping on BCM2712
    - drm/vc4: plane: Ensure fetch_count is sufficient for hw in SAND mode
    - drm/vc4: plane: Increase UPM allocation size for YUV444
    - drm/vc4: plane: Enable scaler for YUV444 on GEN6
    - drm/vc4: plane: Use nearest neighbour filter with YUV444 workaround
    - drm/vc4: plane: Fix incorrect handling of GEN_6_D in
      vc4_plane_async_set_fb
    - drm/vc4: tests: Use the correct return type in
      vc4_mock_atomic_add_output()
    - drm/vc4: plane: Add support for P01[026] and Q01[026] formats
    - drm/vc4: hvs: Populate YUV to RGB matrices for GEN_6D
    - drm/vc4: plane: Swap Cb/Cr pointers for YVU formats
    - drm/modes: Handle reflect_[xy] in the middle of the cmd line
    - drm/tests: Add cmd line test for reflect_[xy] not being last param
    - serial: core: Add the Raspberry Pi firmware UART id
    - serial: tty: Add a driver for the RPi firmware UART
    - cgroup: Add cgroup_enable option
    - drm: bridge: panel: Connector to allow interlaced modes
    - docs: pcm3168a: Add DT bindings to force clock consumer mode
    - media: imx290: Add module parameter to allow selection of HCG mode
    - mmc: sd: filter card CQ support based on an allow-list
    - mmc: set MMC_QUIRK_KNOWN_WORKING_SD_CQ on Raspberry Pi class A2 cards
    - mmc: use downstream DT property to modify CQE and/or SD CQ behaviour
    - media: rp1: Add downstream CFE (Camera Front End) driver
    - mmc: bcm2835: Add downstream overclocking support
    - drivers: media: pisp_be: Add support for YUV422 planar format
    - drivers: media: pisp_be: Remove unused fields in struct pisp_be_config
    - dmaengine: bcm2835: Fix a build warning
    - spi: dw: Wait for idle after TX
    - drm/framebuffer: Pitch checks aren't valid for non-linear modifiers
    - PCI: brcmstb: set BCM7712/2712-specific AXI bridge handling behaviours
    - PCI: brcmstb: Enable CRS software visibility after linkup
    - PCI: brcmstb: add NO_SSC quirk for BCM2712
    - dt-bindings: pci: pcie-brcmstb: add BCM2712-specific properties
    - PCI: brcmstb: add support for BCM2712 priority forwarding
    - dt-bindings: pci: pcie-brcmstb: add optional brcm,tperst-clk-ms property
    - PCI: pcie-brcmstb: optionally extend Tperst_clk time
    - dt-bindings: PCI: brcmstb: add optional property - "brcm,tperst-clk-ms"
    - drm/panel: Add panel driver for Ilitek ILI9806E panel
    - dmaengine: dw-axi-dmac: Improve axi_desc_put
    - dmaengine: dw-axi-dmac: Fix alignment checks
    - PCI: brcmstb: Add link statistics debug features
    - PCI: pcie-brcmstb: add more safeguards for clkreq "safe" mode
    - PCI: quirks: work around VL805 firmware ASPM meddling
    - usb: xhci: default to Intel scheme for calculating U1/U2 timeouts
    - hwmon: aht10: Fix AHT20 initialization
    - watchdog: Reduce severity of release without stop
    - wifi: brcmfmac: Include modinfo for 43456 CLM blob
    - usb: xhci: set Input Slot Context bit in xhci_fixup_endpoint
    - firmware/raspberrypi: raise timeout to 3s
    - gpiolib: Avoid the hotplug performance reduction
    - media/i2c: Add driver for ams Mira220
    - drivers: irq-bcm2836: preserve unrelated bits in LOCAL_GPU_ROUTING
    - drivers: irq-bcm283x: swizzle interrupts on ARMv7 too
    - usb: dwc2: return correct frame counts with high-speed host
    - usb: dwc2: limit "maximum packet size" for split-IN transfers
    - drivers: dwc2: don't use shifted frame number internally
    - drivers: dwc2: better handle hardware length & alignment issues
    - usb: dwc2: masquerade split-interrupt transfers
    - brcmfmac: On RPi, 43430 and 43455 are CYW parts
    - drm/probe-helper: Ensure cmdline mode matches interlace mode
    - clk: clk-gpio: Support acquire/release semantics
    - dt-bindings: clock: Add gpio-gate-clock-releasing
    - drivers: meida: pisp_be: Rename format align field
    - drivers: media: pisp_be: Add minimal alinment to the format structure
    - arm64/dma-mapping: Fix arch_sync_dma_for_device to respect dir parameter
    - media: pisp_be: Re-introduce multi-context support
    - net: lan78xx: Ack pending PHY ints when resetting
    - lan78xx: Enable LEDs and auto-negotiation
    - lan78xx: Read initial EEE status from DT
    - lan78xx: Return tx_lpi_timer even if disabled
    - PCI: pcie-brcmstb: fake MSIx support on internal MSI target
    - drm/connector: hdmi: Attempt YUV422 output if RGB isn't supported
    - pinctrl: Reinstate the downstream pinctrl-rp1 driver
    - config: Allow MFD_RP1 as well as MISC_RP1
    - dmaengine: dw-axi-dmac: Per-channel burst limits
    - Fullscreen Splash Images
    - drivers: thermal: step_wise: add support for hysteresis
    - media: uapi: Clarify MBUS color component order for serial buses
    - media: tc358743: Fix the RGB MBUS format
    - video: fbdev: simplefb: Add b8g8r8 and b5g6r5 formats
    - drm/panel: st7701: Add support for Pimoroni HyperPixel 2.1 Round
    - staging: vchiq_arm: Register bcm2835-codec as a platform driver
    - staging: vchiq_arm: Register bcm2835-camera as a platform driver
    - staging: vc04_services: bcm2835-camera: Add back the downstream driver
    - staging: vc04_services: Add a V4L2 M2M codec driver
    - media: platform: Move bcm2835-unicam compatible to downstream driver
    - mfd: bcm2835-pm: Add support for BCM2712
    - irqchip/irq-brcmstb-l2: Add config for 2711 controller
    - mmc: brcmstb: add support for BCM2712
    - drm/vc4: plane: Remove dead channels_scaled code
    - drm/vc4: plane: TPZ scaling modes cannot reduce lbm size when alpha-less
    - clk: rp1: Allow audio out to use PLL_AUDIO_SEC; workaround rounding
      error
    - clk: rp1: Correct declarations of divider parents
    - clk: rp1: Bug fix! Set correct value for PLL_CS_REFDIV_MASK
    - clk: rp1: Fix rp1_pll_divider_determine_rate
    - drm/vc4: Correct buffer address on async commit when vertically flipped
    - ASoC:Add Hifiberry Studio DAC8x soundcard driver
    - media: hevc_dec: Add in downstream single planar SAND variant
    - media: hevc_dec: Add module parameter for video_nr
    - drivers: media: pispbe: Add V4L2_PIX_FMT_NV12MT_COL128 format support
    - pcie-brcmstb: move the unilateral disable of CLKREQ# before link-up
    - media: pisp_be: Add support for the NV12MT_10_COL128 format
    - gpu/drm: panel: Add panel driver for Ilitek 79600A based panels
    - input: touch: Add a driver for the Ilitek V3 touch controllers
    - regulator/rpi-panel-v2: Disable the PWM when off
    - Revert "media: i2c: ov5647: Fix v4l2-compliance failure subscribing to
      events"

  [ Ubuntu-unstable: 7.0.0-3.3 ]

  * resolute/linux-unstable: 7.0.0-3.3 -proposed tracker (LP: #2143020)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig after rebase to v7.0-rc2
    - [Config] switch to PREEMPT_LAZY

  [ Ubuntu-unstable: 7.0.0-2.2 ]

  * resolute/linux-unstable: 7.0.0-2.2 -proposed tracker (LP: #2142764)

  [ Ubuntu-unstable: 7.0.0-1.1 ]

  * resolute/linux-unstable: 7.0.0-1.1 -proposed tracker (LP: #2142402)
  * Miscellaneous Ubuntu changes
    - [packaging] rename to linux-unstable
    - [Config] updateconfig after rebase to v7.0-rc1
    - Update Changes.md
    - [Packaging] add libbpf-dev to Build-Depends
    - [Config] disable AMD_ISP4, FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove evdi FTBFS
    - [Config] updateconfig after rebase to v7.0-rc1
    - [Config] update toolchain version

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 03 Mar 2026 07:36:36 +0100

linux-raspi (7.0.0-1000.0) resolute; urgency=medium

  * Initial version of resolute:linux-raspi

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 10 Feb 2026 17:37:16 +0100

linux-raspi (6.17.0-1008.8) questing; urgency=medium

  * questing/linux-raspi: 6.17.0-1008.8 -proposed tracker (LP: #2137837)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/2026.01.12)

  * Missing power LED on earlier models (LP: #2060942)
    - [Configs] raspi: Set LEDS_TRIGGER_ACTPWR=y and LEDS_TRIGGER_INPUT=y

  * linux-raspi: kernel does not support memory limit capabilities
    (LP: #2137159)
    - SAUCE: ARM{,64}: dts: bcm27xx: Don't disable memory cgroup

  * RP1's sdio controller requires sdhci-of-dwcmshc driver (LP: #2136415)
    - [Config] raspi: Don't disable MMC_SDHCI_OF_DWCMSHC

  * Missing CONFIG_R8169 in linux-raspi (6.17.0-1003-raspi) (LP: #2137042)
    - [Config] raspi: Don't disable NET_VENDOR_REALTEK

  [ Ubuntu: 6.17.0-14.14 ]

  * questing/linux: 6.17.0-14.14 -proposed tracker (LP: #2137849)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2026.01.12)
  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh
  * ubuntu_blktrace_smoke_test fails on questing with rust coreutils
    (LP: #2137698)
    - SAUCE: Revert "ext4: fail unaligned direct IO write with EINVAL"
  * bareudp.sh in ubuntu_kselftests_net fails because of dash default shell
    (LP: #2129812)
    - selftests: net: use BASH for bareudp testing
  * CVE-2025-40256
    - xfrm: also call xfrm_state_delete_tunnel at destroy time for states that
      were never added
  * Enable PMF on AMD HPT/STX/KRK (LP: #2125022)
    - platform/x86/amd/pmf: Add support for adjusting PMF PPT and PPT APU
      thresholds
    - platform/x86/amd/pmf: Extend custom BIOS inputs for more policies
    - platform/x86/amd/pmf: Update ta_pmf_action structure member
    - platform/x86/amd/pmf: Add helper to verify BIOS input notifications are
      enable/disable
    - platform/x86/amd/pmf: Add custom BIOS input support for AMD_CPU_ID_PS
    - platform/x86/amd/pmf: Preserve custom BIOS inputs for evaluating the
      policies
    - platform/x86/amd/pmf: Call enact function sooner to process early
      pending requests
    - platform/x86/amd/pmf: Add debug logs for pending requests and custom
      BIOS inputs
  * Questing update: v6.17.8 upstream stable release (LP: #2136850)
    - iommufd/selftest: Fix ioctl return value in _test_cmd_trigger_vevents()
    - drm/mediatek: Add pm_runtime support for GCE power control
    - drm/i915: Fix conversion between clock ticks and nanoseconds
    - drm/amdgpu: set default gfx reset masks for gfx6-8
    - drm/amd/display: Don't stretch non-native images by default in eDP
    - smb: client: fix refcount leak in smb2_set_path_attr
    - iommufd: Make vfio_compat's unmap succeed if the range is already empty
    - futex: Optimize per-cpu reference counting
    - drm/amd: Fix suspend failure with secure display TA
    - drm/xe: Move declarations under conditional branch
    - drm/xe: Do clean shutdown also when using flr
    - drm/amd/display: Add pixel_clock to amd_pp_display_configuration
    - drm/amd/pm: Use pm_display_cfg in legacy DPM (v2)
    - drm/amd/display: Disable fastboot on DCE 6 too
    - drm/amd/pm: Disable MCLK switching on SI at high pixel clocks
    - drm/amd: Disable ASPM on SI
    - arm64: kprobes: check the return value of set_memory_rox()
    - compiler_types: Move unused static inline functions warning to W=2
    - riscv: Build loader.bin exclusively for Canaan K210
    - RISC-V: clear hot-unplugged cores from all task mm_cpumasks to avoid
      rfence errors
    - riscv: acpi: avoid errors caused by probing DT devices when ACPI is used
    - fs: return EOPNOTSUPP from file_setattr/file_getattr syscalls
    - ASoC: nau8821: Avoid unnecessary blocking in IRQ handler
    - NFS4: Fix state renewals missing after boot
    - drm/amdkfd: fix suspend/resume all calls in mes based eviction path
    - NFS4: Apply delay_retrans to async operations
    - HID: intel-thc-hid: intel-quickspi: Add ARL PCI Device Id's
    - HID: quirks: avoid Cooler Master MM712 dongle wakeup bug
    - ixgbe: handle IXGBE_VF_GET_PF_LINK_STATE mailbox operation
    - HID: nintendo: Wait longer for initial probe
    - NFS: check if suid/sgid was cleared after a write as needed
    - HID: quirks: Add ALWAYS_POLL quirk for VRS R295 steering wheel
    - io_uring: fix unexpected placement on same size resizing
    - HID: logitech-hidpp: Add HIDPP_QUIRK_RESET_HI_RES_SCROLL
    - ASoC: max98090/91: fixed max98091 ALSA widget powering up/down
    - ALSA: hda/realtek: Fix mute led for HP Omen 17-cb0xxx
    - ixgbe: handle IXGBE_VF_FEATURES_NEGOTIATE mbox cmd
    - wifi: ath11k: zero init info->status in wmi_process_mgmt_tx_comp()
    - selftests: net: local_termination: Wait for interfaces to come up
    - net: fec: correct rx_bytes statistic for the case SHIFT16 is set
    - net: phy: micrel: Introduce lanphy_modify_page_reg
    - net: phy: micrel: Replace hardcoded pages with defines
    - net: phy: micrel: lan8814 fix reset of the QSGMII interface
    - rust: Add -fno-isolate-erroneous-paths-dereference to
      bindgen_skip_c_flags
    - NFSD: Skip close replay processing if XDR encoding fails
    - Bluetooth: 6lowpan: fix BDADDR_LE vs ADDR_LE_DEV address type confusion
    - Bluetooth: 6lowpan: Don't hold spin lock over sleeping functions
    - Bluetooth: hci_conn: Fix not cleaning up PA_LINK connections
    - net: dsa: tag_brcm: do not mark link local traffic as offloaded
    - net/smc: fix mismatch between CLC header and proposal
    - net/handshake: Fix memory leak in tls_handshake_accept()
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify/response timeout
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify retry mechanism
    - net: mdio: fix resource leak in mdiobus_register_device()
    - wifi: mac80211: skip rate verification for not captured PSDUs
    - Bluetooth: hci_event: Fix not handling PA Sync Lost event
    - net/mlx5e: Fix missing error assignment in mlx5e_xfrm_add_state()
    - net/mlx5e: Fix maxrate wraparound in threshold between units
    - net/mlx5e: Fix wraparound in rate limiting for values above 255 Gbps
    - net/mlx5e: Fix potentially misleading debug message
    - net/mlx5: Fix typo of MLX5_EQ_DOORBEL_OFFSET
    - net/mlx5: Store the global doorbell in mlx5_priv
    - net/mlx5e: Prepare for using different CQ doorbells
    - net_sched: limit try_bulk_dequeue_skb() batches
    - wifi: iwlwifi: mvm: fix beacon template/fixed rate
    - wifi: iwlwifi: mld: always take beacon ies in link grading
    - virtio-net: fix incorrect flags recording in big mode
    - hsr: Fix supervision frame sending on HSRv0
    - hsr: Follow standard for HSRv0 supervision frames
    - ACPI: CPPC: Detect preferred core availability on online CPUs
    - ACPI: CPPC: Check _CPC validity for only the online CPUs
    - ACPI: CPPC: Perform fast check switch only for online CPUs
    - ACPI: CPPC: Limit perf ctrs in PCC check only to online CPUs
    - cpufreq: intel_pstate: Check IDA only before MSR_IA32_PERF_CTL writes
    - Bluetooth: L2CAP: export l2cap_chan_hold for modules
    - io_uring/rsrc: don't use blk_rq_nr_phys_segments() as number of bvecs
    - acpi,srat: Fix incorrect device handle check for Generic Initiator
    - regulator: fixed: fix GPIO descriptor leak on register failure
    - ASoC: cs4271: Fix regulator leak on probe failure
    - ASoC: codecs: va-macro: fix resource leak in probe error path
    - drm/vmwgfx: Restore Guest-Backed only cursor plane support
    - ASoC: tas2781: fix getting the wrong device number
    - pnfs: Fix TLS logic in _nfs4_pnfs_v3_ds_connect()
    - pnfs: Fix TLS logic in _nfs4_pnfs_v4_ds_connect()
    - pnfs: Set transport security policy to RPC_XPRTSEC_NONE unless using TLS
    - simplify nfs_atomic_open_v23()
    - NFSv2/v3: Fix error handling in nfs_atomic_open_v23()
    - NFS: sysfs: fix leak when nfs_client kobject add fails
    - NFSv4: Fix an incorrect parameter when calling nfs4_call_sync()
    - drm/amd/amdgpu: Ensure isp_kernel_buffer_alloc() creates a new BO
    - acpi/hmat: Fix lockdep warning for hmem_register_resource()
    - ASoC: rsnd: fix OF node reference leak in rsnd_ssiu_probe()
    - drm/client: fix MODULE_PARM_DESC string for "active"
    - irqchip/riscv-intc: Add missing free() callback in riscv_intc_domain_ops
    - lib/crypto: arm/curve25519: Disable on CPU_BIG_ENDIAN
    - hostfs: Fix only passing host root in boot stage with new mount
    - afs: Fix dynamic lookup to fail on cell lookup failure
    - mtd: onenand: Pass correct pointer to IRQ handler
    - virtio-fs: fix incorrect check for fsvq->kobj
    - fs/namespace: correctly handle errors returned by grab_requested_mnt_ns
    - perf header: Write bpf_prog (infos|btfs)_cnt to data file
    - perf build: Don't fail fast path feature detection when binutils-devel
      is not available
    - perf lock: Fix segfault due to missing kernel map
    - perf test shell lock_contention: Extra debug diagnostics
    - perf test: Fix lock contention test
    - arm64: dts: rockchip: Set correct pinctrl for I2S1 8ch TX on odroid-m1
    - arm64: dts: rockchip: Fix PCIe power enable pin for BigTreeTech CB2 and
      Pi2
    - arm64: dts: rockchip: Make RK3588 GPU OPP table naming less generic
    - ARM: dts: imx6ull-engicam-microgea-rmm: fix report-rate-hz value
    - ARM: dts: imx51-zii-rdu1: Fix audmux node names
    - arm64: dts: imx8-ss-img: Avoid gpio0_mipi_csi GPIOs being deferred
    - arm64: dts: imx8mp-kontron: Fix USB OTG role switching
    - HID: hid-ntrig: Prevent memory leak in ntrig_report_version()
    - ARM: dts: BCM53573: Fix address of Luxul XAP-1440's Ethernet PHY
    - arm64: dts: rockchip: Fix USB power enable pin for BTT CB2 and Pi2
    - arm64: dts: rockchip: drop reset from rk3576 i2c9 node
    - pwm: adp5585: Correct mismatched pwm chip info
    - HID: playstation: Fix memory leak in dualshock4_get_calibration_data()
    - HID: uclogic: Fix potential memory leak in error path
    - LoongArch: KVM: Restore guest PMU if it is enabled
    - LoongArch: KVM: Add delay until timer interrupt injected
    - LoongArch: KVM: Fix max supported vCPUs set with EIOINTC
    - KVM: arm64: Make all 32bit ID registers fully writable
    - KVM: SVM: Mark VMCB_LBR dirty when MSR_IA32_DEBUGCTLMSR is updated
    - KVM: nSVM: Always recalculate LBR MSR intercepts in svm_update_lbrv()
    - KVM: nSVM: Fix and simplify LBR virtualization handling with nested
    - KVM: VMX: Fix check for valid GVA on an EPT violation
    - nfsd: add missing FATTR4_WORD2_CLONE_BLKSIZE from supported attributes
    - gcov: add support for GCC 15
    - kho: warn and exit when unpreserved page wasn't preserved
    - strparser: Fix signed/unsigned mismatch bug
    - dma-mapping: benchmark: Restore padding to ensure uABI remained
      consistent
    - maple_tree: fix tracepoint string pointers
    - LoongArch: Consolidate early_ioremap()/ioremap_prot()
    - LoongArch: Use correct accessor to read FWPC/MWPC
    - LoongArch: Let {pte,pmd}_modify() record the status of _PAGE_DIRTY
    - mm/damon/sysfs: change next_update_jiffies to a global variable
    - selftests/tracing: Run sample events to clear page cache events
    - wifi: mac80211: reject address change while connecting
    - mm/huge_memory: preserve PG_has_hwpoisoned if a folio is split to >0
      order
    - mm/mm_init: fix hash table order logging in alloc_large_system_hash()
    - mm/damon/stat: change last_refresh_jiffies to a global variable
    - mm/kmsan: fix kmsan kmalloc hook when no stack depots are allocated yet
    - mm/shmem: fix THP allocation and fallback loop
    - mm/mremap: honour writable bit in mremap pte batching
    - mm/huge_memory: fix folio split check for anon folios in swapcache
    - mmc: sdhci-of-dwcmshc: Change DLL_STRBIN_TAPNUM_DEFAULT to 0x4
    - mmc: pxamci: Simplify pxamci_probe() error handling using devm APIs
    - mmc: dw_mmc-rockchip: Fix wrong internal phase calculate
    - ASoC: sdw_utils: fix device reference leak in is_sdca_endpoint_present()
    - crypto: hisilicon/qm - Fix device reference leak in qm_get_qos_value
    - smb: client: fix cifs_pick_channel when channel needs reconnect
    - spi: Try to get ACPI GPIO IRQ earlier
    - x86/microcode/AMD: Add Zen5 model 0x44, stepping 0x1 minrev
    - x86/CPU/AMD: Add additional fixed RDSEED microcode revisions
    - selftests/user_events: fix type cast for write_index packed member in
      perf_test
    - gendwarfksyms: Skip files with no exports
    - ftrace: Fix BPF fexit with livepatch
    - LoongArch: Consolidate max_pfn & max_low_pfn calculation
    - LoongArch: Use physical addresses for CSR_MERRENTRY/CSR_TLBRENTRY
    - EDAC/altera: Handle OCRAM ECC enable after warm reset
    - EDAC/altera: Use INTTEST register for Ethernet and USB SBE injection
    - PM: hibernate: Emit an error when image writing fails
    - PM: hibernate: Use atomic64_t for compressed_size variable
    - btrfs: zoned: fix conventional zone capacity calculation
    - btrfs: zoned: fix stripe width calculation
    - btrfs: scrub: put bio after errors in scrub_raid56_parity_stripe()
    - btrfs: do not update last_log_commit when logging inode due to a new
      name
    - btrfs: release root after error in data_reloc_print_warning_inode()
    - drm/amdkfd: relax checks for over allocation of save area
    - drm/amdgpu: disable peer-to-peer access for DCC-enabled GC12 VRAM
      surfaces
    - drm/i915/psr: fix pipe to vblank conversion
    - drm/xe/xe3lpg: Extend Wa_15016589081 for xe3lpg
    - drm/xe/xe3: Extend wa_14023061436
    - drm/xe/xe3: Add WA_14024681466 for Xe3_LPG
    - pmdomain: imx: Fix reference count leak in imx_gpc_remove
    - pmdomain: samsung: plug potential memleak during probe
    - pmdomain: samsung: Rework legacy splash-screen handover workaround
    - selftests: mptcp: connect: fix fallback note due to OoO
    - selftests: mptcp: join: rm: set backup flag
    - selftests: mptcp: join: endpoints: longer transfer
    - selftests: mptcp: connect: trunc: read all recv data
    - selftests: mptcp: join: userspace: longer transfer
    - selftests: mptcp: join: properly kill background tasks
    - mm/huge_memory: do not change split_huge_page*() target order silently
    - mm/memory: do not populate page table entries beyond i_size
    - scripts/decode_stacktrace.sh: symbol: avoid trailing whitespaces
    - scripts/decode_stacktrace.sh: symbol: preserve alignment
    - scripts/decode_stacktrace.sh: fix build ID and PC source parsing
    - ASoC: da7213: Convert to DEFINE_RUNTIME_DEV_PM_OPS()
    - ASoC: da7213: Use component driver suspend/resume
    - KVM: x86: Rename local "ecx" variables to "msr" and "pmc" as appropriate
    - KVM: x86: Add support for RDMSR/WRMSRNS w/ immediate on Intel
    - KVM: VMX: Inject #UD if guest tries to execute SEAMCALL or TDCALL
    - isdn: mISDN: hfcsusb: fix memory leak in hfcsusb_probe()
    - net: phy: micrel: Fix lan8814_config_init
    - Linux 6.17.9
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68204
    - pmdomain: arm: scmi: Fix genpd leak on provider registration failure
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68203
    - drm/amdgpu: fix lock warning in amdgpu_userq_fence_driver_process
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40267
    - io_uring/rw: ensure allocated iovec gets cleared for early failure
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68198
    - crash: fix crashkernel resource shrink
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68199
    - codetag: debug: handle existing CODETAG_EMPTY in mark_objexts_empty for
      slabobj_ext
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40268
    - cifs: client: fix memory leak in smb3_fs_context_parse_param
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40269
    - ALSA: usb-audio: Fix potential overflow of PCM transfer buffer
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68205
    - ALSA: hda/hdmi: Fix breakage at probing nvhdmi-mcp driver
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40270
    - mm, swap: fix potential UAF issue for VMA readahead
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40271
    - fs/proc: fix uaf in proc_readdir_de()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40272
    - mm/secretmem: fix use-after-free race in fault handler
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68245
    - net: netpoll: fix incorrect refcount handling causing incorrect cleanup
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68240
    - nilfs2: avoid having an active sc_timer before freeing sci
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68241
    - ipv4: route: Prevent rt_bind_exception() from rebinding stale fnhe
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68211
    - ksm: use range-walk function to jump over holes in
      scan_get_next_rmap_item
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68246
    - ksmbd: close accepted socket when per-IP limit rejects connection
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40273
    - NFSD: free copynotify stateid in nfs4_free_ol_stateid()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40212
    - nfsd: fix refcount leak in nfsd_set_fh_dentry()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40274
    - KVM: guest_memfd: Remove bindings on memslot deletion when gmem is dying
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68202
    - sched_ext: Fix unsafe locking in the scx_dump_state()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68239
    - binfmt_misc: restore write access before closing files opened by
      open_exec()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68247
    - posix-timers: Plug potential memory leak in do_timer_create()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68208
    - bpf: account for current allocated stack depth in
      widen_imprecise_scalars()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68200
    - bpf: Add bpf_prog_run_data_pointers()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40275
    - ALSA: usb-audio: Fix NULL pointer dereference in
      snd_usb_mixer_controls_badd
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68242
    - NFS: Fix LTP test failures when timestamps are delegated
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68243
    - NFS: Check the TLS certificate fields in nfs_match_client()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40276
    - drm/panthor: Flush shmem writes before mapping buffers CPU-uncached
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40277
    - drm/vmwgfx: Validate command header size against SVGA_CMD_MAX_DATASIZE
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68206
    - netfilter: nft_ct: add seqadj extension for natted connections
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68209
    - mlx5: Fix default values in create CQ
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40278
    - net: sched: act_ife: initialize struct tc_ife to fix KMSAN kernel-
      infoleak
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40279
    - net: sched: act_connmark: initialize struct tc_ife to fix kernel leak
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40280
    - tipc: Fix use-after-free in tipc_mon_reinit_self().
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40281
    - sctp: prevent possible shift-out-of-bounds in sctp_transport_update_rto
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40282
    - Bluetooth: 6lowpan: reset link-local header on ipv6 recv path
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40283
    - Bluetooth: btusb: reorder cleanup in btusb_disconnect to avoid UAF
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40284
    - Bluetooth: MGMT: cancel mesh send timer when hdev removed
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68210
    - erofs: avoid infinite loop due to incomplete zstd-compressed data
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40285
    - smb/server: fix possible refcount leak in smb2_sess_setup()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40286
    - smb/server: fix possible memory leak in smb2_read()
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40287
    - exfat: fix improper check of dentry.stream.valid_size
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40288
    - drm/amdgpu: Fix NULL pointer dereference in VRAM logic for APU devices
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40289
    - drm/amdgpu: hide VRAM sysfs attributes on GPUs without VRAM
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68201
    - drm/amdgpu: remove two invalid BUG_ON()s
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68207
    - drm/xe/guc: Synchronize Dead CT worker with unbind
  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68244
    - drm/i915: Avoid lock inversion when pinning to GGTT on CHV/BXT+VTD
  * Questing update: v6.17.8 upstream stable release (LP: #2136833)
    - Revert "Bluetooth: L2CAP: convert timeouts to secs_to_jiffies()"
    - sched_ext: Mark scx_bpf_dsq_move_set_[slice|vtime]() with KF_RCU
    - net: usb: asix_devices: Check return value of usbnet_get_endpoints
    - fbdev: atyfb: Check if pll_ops->init_pll failed
    - ACPI: button: Call input_free_device() on failing input device
      registration
    - ACPI: fan: Use platform device for devres-related actions
    - virtio-net: drop the multi-buffer XDP packet in zerocopy
    - batman-adv: Release references to inactive interfaces
    - Bluetooth: rfcomm: fix modem control handling
    - net: phy: dp83867: Disable EEE support as not implemented
    - fbdev: pvr2fb: Fix leftover reference to ONCHIP_NR_DMA_CHANNELS
    - fbdev: valkyriefb: Fix reference count leak in valkyriefb_init
    - mptcp: drop bogus optimization in __mptcp_check_push()
    - mptcp: restore window probe
    - ASoC: qdsp6: q6asm: do not sleep while atomic
    - ASoC: renesas: rz-ssi: Use proper dma_buffer_pos after resume
    - s390/pci: Restore IRQ unconditionally for the zPCI device
    - x86/build: Disable SSE4a
    - wifi: ath10k: Fix memory leak on unsupported WMI command
    - wifi: ath11k: Add missing platform IDs for quirk table
    - wifi: ath12k: free skb during idr cleanup callback
    - wifi: ath11k: avoid bit operation on key flags
    - drm/msm/a6xx: Fix GMU firmware parser
    - ALSA: usb-audio: fix control pipe direction
    - ASoC: cs-amp-lib-test: Fix missing include of kunit/test-bug.h
    - wifi: mac80211: reset FILS discovery and unsol probe resp intervals
    - wifi: mac80211: fix key tailroom accounting leak
    - wifi: nl80211: call kfree without a NULL check
    - kunit: test_dev_action: Correctly cast 'priv' pointer to long*
    - scsi: ufs: core: Initialize value of an attribute returned by uic cmd
    - scsi: core: Fix the unit attention counter implementation
    - bpf: Do not audit capability check in do_jit()
    - nvmet-auth: update sc_c in host response
    - crypto: s390/phmac - Do not modify the req->nbytes value
    - ASoC: Intel: avs: Unprepare a stream when XRUN occurs
    - ASoC: fsl_sai: fix bit order for DSD format
    - ASoC: fsl_micfil: correct the endian format for DSD
    - libbpf: Fix powerpc's stack register definition in bpf_tracing.h
    - ASoC: mediatek: Fix double pm_runtime_disable in remove functions
    - Bluetooth: ISO: Fix BIS connection dst_type handling
    - Bluetooth: btmtksdio: Add pmctrl handling for BT closed state during
      reset
    - Bluetooth: HCI: Fix tracking of advertisement set/instance 0x00
    - Bluetooth: ISO: Fix another instance of dst_type handling
    - Bluetooth: btintel_pcie: Fix event packet loss issue
    - Bluetooth: hci_conn: Fix connection cleanup with BIG with 2 or more BIS
    - Bluetooth: hci_core: Fix tracking of periodic advertisement
    - bpf: Conditionally include dynptr copy kfuncs
    - drm/msm: Ensure vm is created in VM_BIND ioctl
    - ALSA: usb-audio: add mono main switch to Presonus S1824c
    - ALSA: usb-audio: don't log messages meant for 1810c when initializing
      1824c
    - ACPI: MRRM: Check revision of MRRM table
    - drm/etnaviv: fix flush sequence logic
    - tools: ynl: fix string attribute length to include null terminator
    - net: hns3: return error code when function fails
    - sfc: fix potential memory leak in efx_mae_process_mport()
    - tools: ynl: avoid print_field when there is no reply
    - dpll: spec: add missing module-name and clock-id to pin-get reply
    - ASoC: fsl_sai: Fix sync error in consumer mode
    - ASoC: soc_sdw_utils: remove cs42l43 component_name
    - drm/amd/pm: fix smu table id bound check issue in smu_cmn_update_table()
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Fiji
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Iceland
    - drm/amdgpu: fix SPDX headers on amdgpu_cper.c/h
    - drm/amdgpu: fix SPDX header on amd_cper.h
    - drm/amdgpu: fix SPDX header on irqsrcs_vcn_5_0.h
    - ACPI: fan: Use ACPI handle when retrieving _FST
    - block: fix op_is_zone_mgmt() to handle REQ_OP_ZONE_RESET_ALL
    - block: make REQ_OP_ZONE_OPEN a write operation
    - dma-fence: Fix safe access wrapper to call timeline name method
    - kbuild: align modinfo section for Secureboot Authenticode EDK2 compat
    - regmap: irq: Correct documentation of wake_invert flag
    - [Config] Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP for s390x
    - s390/mm: Fix memory leak in add_marker() when kvrealloc() fails
    - drm/xe: Do not wake device during a GT reset
    - drm/sched: avoid killing parent entity on child SIGKILL
    - drm/sched: Fix race in drm_sched_entity_select_rq()
    - drm/nouveau: Fix race in nouveau_sched_fini()
    - drm/i915/dmc: Clear HRR EVT_CTL/HTP to zero on ADL-S
    - drm/ast: Clear preserved bits from register output value
    - drm/amd: Check that VPE has reached DPM0 in idle handler
    - drm/amd/display: Fix incorrect return of vblank enable on unconfigured
      crtc
    - drm/amd/display: Don't program BLNDGAM_MEM_PWR_FORCE when CM low-power
      is disabled on DCN30
    - drm/amd/display: Add HDR workaround for a specific eDP
    - mptcp: leverage skb deferral free
    - mptcp: fix MSG_PEEK stream corruption
    - cpuidle: governors: menu: Rearrange main loop in menu_select()
    - cpuidle: governors: menu: Select polling state in some more cases
    - PM: hibernate: Combine return paths in power_down()
    - PM: sleep: Allow pm_restrict_gfp_mask() stacking
    - mfd: kempld: Switch back to earlier ->init() behavior
    - soc: aspeed: socinfo: Add AST27xx silicon IDs
    - firmware: qcom: scm: preserve assign_mem() error return value
    - soc: qcom: smem: Fix endian-unaware access of num_entries
    - spi: loopback-test: Don't use %pK through printk
    - spi: spi-qpic-snand: handle 'use_ecc' parameter of
      qcom_spi_config_cw_read()
    - soc: ti: pruss: don't use %pK through printk
    - bpf: Don't use %pK through printk
    - mmc: sdhci: Disable SD card clock before changing parameters
    - pinctrl: single: fix bias pull up/down handling in pin_config_set
    - mmc: host: renesas_sdhi: Fix the actual clock
    - memstick: Add timeout to prevent indefinite waiting
    - cpufreq: ti: Add support for AM62D2
    - bpf: Use tnums for JEQ/JNE is_branch_taken logic
    - firmware: ti_sci: Enable abort handling of entry to LPM
    - firewire: ohci: move self_id_complete tracepoint after validating
      register
    - irqchip/sifive-plic: Respect mask state when setting affinity
    - irqchip/loongson-eiointc: Route interrupt parsed from bios table
    - ACPI: sysfs: Use ACPI_FREE() for freeing an ACPI object
    - ACPI: video: force native for Lenovo 82K8
    - libbpf: Fix USDT SIB argument handling causing unrecognized register
      error
    - selftests/bpf: Fix bpf_prog_detach2 usage in test_lirc_mode2
    - arm64: versal-net: Update rtc calibration value
    - Revert "UBUNTU: SAUCE: firmware: qcom: scm: Allow QSEECOM on Dell
      Inspiron 7441 / Latitude 7455"
    - firmware: qcom: scm: Allow QSEECOM on Dell Inspiron 7441 / Latitude 7455
    - kselftest/arm64: tpidr2: Switch to waitpid() over wait4()
    - arc: Fix __fls() const-foldability via __builtin_clzl()
    - selftests/bpf: Upon failures, exit with code 1 in test_xsk.sh
    - irqchip/gic-v2m: Handle Multiple MSI base IRQ Alignment
    - ACPI: PRM: Skip handlers with NULL handler_address or NULL VA
    - ACPI: resource: Skip IRQ override on ASUS Vivobook Pro N6506CU
    - ACPI: scan: Add Intel CVS ACPI HIDs to acpi_ignore_dep_ids[]
    - thermal: gov_step_wise: Allow cooling level to be reduced earlier
    - thermal: intel: selftests: workload_hint: Mask unsupported types
    - power: supply: qcom_battmgr: add OOI chemistry
    - hwmon: (k10temp) Add thermal support for AMD Family 1Ah-based models
    - hwmon: (k10temp) Add device ID for Strix Halo
    - hwmon: (lenovo-ec-sensors) Update P8 supprt
    - hwmon: (sbtsi_temp) AMD CPU extended temperature range support
    - pinctrl: renesas: rzg2l: Add suspend/resume support for Schmitt control
      registers
    - pinctrl: keembay: release allocated memory in detach path
    - power: supply: sbs-charger: Support multiple devices
    - io_uring/rsrc: respect submitter_task in io_register_clone_buffers()
    - hwmon: sy7636a: add alias
    - selftests/bpf: Fix incorrect array size calculation
    - block: check for valid bio while splitting
    - irqchip/loongson-pch-lpc: Use legacy domain for PCH-LPC IRQ controller
    - cpufreq: ondemand: Update the efficient idle check for Intel extended
      Families
    - arm64: zynqmp: Disable coresight by default
    - arm64: zynqmp: Revert usb node drive strength and slew rate for zcu106
    - soc/tegra: fuse: Add Tegra114 nvmem cells and fuse lookups
    - ARM: tegra: p880: set correct touchscreen clipping
    - ARM: tegra: transformer-20: add missing magnetometer interrupt
    - ARM: tegra: transformer-20: fix audio-codec interrupt
    - firmware: qcom: tzmem: disable sc7180 platform
    - soc: ti: k3-socinfo: Add information for AM62L SR1.1
    - mmc: sdhci-msm: Enable tuning for SDR50 mode for SD card
    - pwm: pca9685: Use bulk write to atomicially update registers
    - ACPICA: dispatcher: Use acpi_ds_clear_operands() in
      acpi_ds_call_control_method()
    - tee: allow a driver to allocate a tee_device without a pool
    - kunit: Enable PCI on UML without triggering WARN()
    - selftests/bpf: Fix arena_spin_lock selftest failure
    - bpf: Do not limit bpf_cgroup_from_id to current's namespace
    - i3c: mipi-i3c-hci-pci: Add support for Intel Wildcat Lake-U I3C
    - rust: kunit: allow `cfg` on `test`s
    - video: backlight: lp855x_bl: Set correct EPROM start for LP8556
    - i3c: dw: Add shutdown support to dw_i3c_master driver
    - io_uring/zcrx: check all niovs filled with dma addresses
    - tools/cpupower: fix error return value in cpupower_write_sysfs()
    - io_uring/zcrx: account niov arrays to cgroup
    - pmdomain: apple: Add "apple,t8103-pmgr-pwrstate"
    - power: supply: qcom_battmgr: handle charging state change notifications
    - bpftool: Fix -Wuninitialized-const-pointer warnings with clang >= 21
    - cpuidle: Fail cpuidle device registration if there is one already
    - selftests/bpf: Fix selftest verifier_arena_large failure
    - selftests: ublk: fix behavior when fio is not installed
    - spi: rpc-if: Add resume support for RZ/G3E
    - ACPI: SPCR: Support Precise Baud Rate field
    - clocksource/drivers/vf-pit: Replace raw_readl/writel to readl/writel
    - clocksource/drivers/timer-rtl-otto: Work around dying timers
    - clocksource/drivers/timer-rtl-otto: Do not interfere with interrupts
    - riscv: bpf: Fix uninitialized symbol 'retval_off'
    - bpf: Clear pfmemalloc flag when freeing all fragments
    - selftests: drv-net: Pull data before parsing headers
    - nvme: Use non zero KATO for persistent discovery connections
    - uprobe: Do not emulate/sstep original instruction when ip is changed
    - hwmon: (asus-ec-sensors) increase timeout for locking ACPI mutex
    - hwmon: (dell-smm) Remove Dell Precision 490 custom config data
    - hwmon: (dell-smm) Add support for Dell OptiPlex 7040
    - tools/cpupower: Fix incorrect size in cpuidle_state_disable()
    - selftests/bpf: Fix flaky bpf_cookie selftest
    - tools/power turbostat: Fix incorrect sorting of PMT telemetry
    - tools/power x86_energy_perf_policy: Fix incorrect fopen mode usage
    - tools/power x86_energy_perf_policy: Enhance HWP enable
    - tools/power x86_energy_perf_policy: Prefer driver HWP limits
    - mfd: simple-mfd-i2c: Add compatible strings for Layerscape QIXIS FPGA
    - mfd: stmpe: Remove IRQ domain upon removal
    - mfd: stmpe-i2c: Add missing MODULE_LICENSE
    - mfd: qnap-mcu: Handle errors returned from qnap_mcu_write
    - mfd: qnap-mcu: Include linux/types.h in qnap-mcu.h shared header
    - mfd: madera: Work around false-positive -Wininitialized warning
    - mfd: da9063: Split chip variant reading in two bus transactions
    - mfd: macsmc: Add "apple,t8103-smc" compatible
    - mfd: core: Increment of_node's refcount before linking it to the
      platform device
    - mfd: cs42l43: Move IRQ enable/disable to encompass force suspend
    - mfd: intel-lpss: Add Intel Wildcat Lake LPSS PCI IDs
    - drm/xe/ptl: Apply Wa_16026007364
    - drm/xe/configfs: Enforce canonical device names
    - drm/amd/display: Update tiled to tiled copy command
    - drm/amd/display: fix condition for setting timing_adjust_pending
    - drm/amd/display: ensure committing streams is seamless
    - drm/amdgpu: add range check for RAS bad page address
    - drm/amdgpu: Check vcn sram load return value
    - drm/amd/display: Remove check DPIA HPD status for BW Allocation
    - drm/amd/display: Increase AUX Intra-Hop Done Max Wait Duration
    - drm/amd/display: Fix dmub_cmd header alignment
    - drm/xe/guc: Add more GuC load error status codes
    - drm/xe/pf: Don't resume device from restart worker
    - drm/amdgpu: Fix build error when CONFIG_SUSPEND is disabled
    - drm/amdgpu: Update IPID value for bad page threshold CPER
    - drm/amdgpu: Avoid rma causes GPU duplicate reset
    - drm/amdgpu: Effective health check before reset
    - drm/amd/amdgpu: Release xcp drm memory after unplug
    - drm/amdgpu: Fix vcn v5.0.1 poison irq call trace
    - drm/xe: Extend wa_13012615864 to additional Xe2 and Xe3 platforms
    - drm/amdgpu: Skip poison aca bank from UE channel
    - drm/amd/display: add more cyan skillfish devices
    - drm/amdgpu: Initialize jpeg v5_0_1 ras function
    - drm/amdgpu: skip mgpu fan boost for multi-vf
    - drm/amd/display: fix dmub access race condition
    - drm/amd/display: update dpp/disp clock from smu clock table
    - drm/amd/pm: Use cached metrics data on aldebaran
    - drm/amd/pm: Use cached metrics data on arcturus
    - accel/amdxdna: Unify pm and rpm suspend and resume callbacks
    - drm/amdgpu/jpeg: Hold pg_lock before jpeg poweroff
    - drm/xe/pf: Program LMTT directory pointer on all GTs within a tile
    - drm/nouveau: replace snprintf() with scnprintf() in nvkm_snprintbf()
    - ASoC: tas2781: Add keyword "init" in profile section
    - ASoC: mediatek: Use SND_JACK_AVOUT for HDMI/DP jacks
    - drm/amd/display: Reset apply_eamless_boot_optimization when dpms_off
    - drm/amdgpu: add to custom amdgpu_drm_release drm_dev_enter/exit
    - drm/amd/display: Wait until OTG enable state is cleared
    - drm/xe: rework PDE PAT index selection
    - docs: kernel-doc: avoid script crash on ancient Python
    - drm/sharp-memory: Do not access GEM-DMA vaddr directly
    - PCI: Disable MSI on RDC PCI to PCIe bridges
    - drm/nouveau: always set RMDevidCheckIgnore for GSP-RM
    - drm/panel-edp: Add SHP LQ134Z1 panel for Dell XPS 9345
    - selftests/net: Replace non-standard __WORDSIZE with sizeof(long) * 8
    - selftests/net: Ensure assert() triggers in psock_tpacket.c
    - wifi: rtw89: print just once for unknown C2H events
    - wifi: rtw88: sdio: use indirect IO for device registers before power-on
    - wifi: rtw89: add dummy C2H handlers for BCN resend and update done
    - drm/amdkfd: return -ENOTTY for unsupported IOCTLs
    - selftests: drv-net: devmem: add / correct the IPv6 support
    - selftests: drv-net: devmem: flip the direction of Tx tests
    - media: pci: ivtv: Don't create fake v4l2_fh
    - media: amphion: Delete v4l2_fh synchronously in .release()
    - drm/tidss: Use the crtc_* timings when programming the HW
    - drm/bridge: cdns-dsi: Fix REG_WAKEUP_TIME value
    - drm/bridge: cdns-dsi: Don't fail on MIPI_DSI_MODE_VIDEO_BURST
    - drm/tidss: Set crtc modesetting parameters with adjusted mode
    - drm/tidss: Remove early fb
    - RDMA/mana_ib: Drain send wrs of GSI QP
    - media: i2c: Kconfig: Ensure a dependency on HAVE_CLK for
      VIDEO_CAMERA_SENSOR
    - PCI/ERR: Update device error_state already after reset
    - x86/vsyscall: Do not require X86_PF_INSTR to emulate vsyscall
    - net: stmmac: Check stmmac_hw_setup() in stmmac_resume()
    - ice: Don't use %pK through printk or tracepoints
    - thunderbolt: Use is_pciehp instead of is_hotplug_bridge
    - ASoC: es8323: enable DAPM power widgets for playback DAC and output
    - powerpc/eeh: Use result of error_detected() in uevent
    - s390/pci: Use pci_uevent_ers() in PCI recovery
    - bridge: Redirect to backup port when port is administratively down
    - selftests: drv-net: wait for carrier
    - net: phy: mscc: report and configure in-band auto-negotiation for
      SGMII/QSGMII
    - scsi: ufs: host: mediatek: Fix auto-hibern8 timer configuration
    - scsi: ufs: host: mediatek: Fix PWM mode switch issue
    - scsi: ufs: host: mediatek: Assign power mode userdata before FASTAUTO
      mode change
    - scsi: ufs: host: mediatek: Change reset sequence for improved stability
    - scsi: ufs: host: mediatek: Fix invalid access in vccqx handling
    - gpu: nova-core: register: allow fields named `offset`
    - drm/panthor: Serialize GPU cache flush operations
    - HID: pidff: Use direction fix only for conditional effects
    - HID: pidff: PERMISSIVE_CONTROL quirk autodetection
    - drm/bridge: display-connector: don't set OP_DETECT for DisplayPorts
    - drm/amdkfd: Handle lack of READ permissions in SVM mapping
    - drm/amdgpu: refactor bad_page_work for corner case handling
    - hwrng: timeriomem - Use us_to_ktime() where appropriate
    - iio: adc: spear_adc: mask SPEAR_ADC_STATUS channel and avg sample before
      setting register
    - iio: adc: imx93_adc: load calibrated values even calibration failed
    - usb: gadget: f_ncm: Fix MAC assignment NCM ethernet
    - ASoC: es8323: remove DAC enablement write from es8323_probe
    - ASoC: es8323: add proper left/right mixer controls via DAPM
    - ASoC: codecs: wsa883x: Handle shared reset GPIO for WSA883x speakers
    - drm/xe: Make page size consistent in loop
    - wifi: rtw89: wow: remove notify during WoWLAN net-detect
    - wifi: rtw89: fix BSSID comparison for non-transmitted BSSID
    - wifi: rtw89: 8851b: rfk: update IQK TIA setting
    - dm error: mark as DM_TARGET_PASSES_INTEGRITY
    - char: misc: Make misc_register() reentry for miscdevice who wants
      dynamic minor
    - char: misc: Does not request module for miscdevice with dynamic minor
    - net: When removing nexthops, don't call synchronize_net if it is not
      necessary
    - net: Call trace_sock_exceed_buf_limit() for memcg failure with
      SK_MEM_RECV.
    - dmaengine: idxd: Add a new IAA device ID for Wildcat Lake family
      platforms
    - PCI/P2PDMA: Fix incorrect pointer usage in devm_kfree() call
    - bnxt_en: Add Hyper-V VF ID
    - tty: serial: Modify the use of dev_err_probe()
    - ALSA: usb-audio: Add validation of UAC2/UAC3 effect units
    - Octeontx2-af: Broadcast XON on all channels
    - idpf: do not linearize big TSO packets
    - drm/xe/pcode: Initialize data0 for pcode read routine
    - drm/panel: ilitek-ili9881c: turn off power-supply when init fails
    - drm/panel: ilitek-ili9881c: move display_on/_off dcs calls to
      (un-)prepare
    - rds: Fix endianness annotation for RDS_MPATH_HASH
    - net: wangxun: limit tx_max_coalesced_frames_irq
    - iio: imu: bmi270: Match PNP ID found on newer GPD firmware
    - media: ipu6: isys: Set embedded data type correctly for metadata formats
    - rpmsg: char: Export alias for RPMSG ID rpmsg-raw from table
    - net: ipv4: allow directed broadcast routes to use dst hint
    - scsi: mpi3mr: Fix device loss during enclosure reboot due to zero link
      speed
    - wifi: rtw89: coex: Limit Wi-Fi scan slot cost to avoid A2DP glitch
    - scsi: mpi3mr: Fix I/O failures during controller reset
    - scsi: mpi3mr: Fix controller init failure on fault during queue creation
    - scsi: pm80xx: Fix race condition caused by static variables
    - extcon: adc-jack: Fix wakeup source leaks on device unbind
    - extcon: fsa9480: Fix wakeup source leaks on device unbind
    - extcon: axp288: Fix wakeup source leaks on device unbind
    - drm/xe: Set GT as wedged before sending wedged uevent
    - remoteproc: wkup_m3: Use devm_pm_runtime_enable() helper
    - drm/xe/wcl: Extend L3bank mask workaround
    - net: phy: fixed_phy: let fixed_phy_unregister free the phy_device
    - selftests: drv-net: hds: restore hds settings
    - fuse: zero initialize inode private data
    - virtio_fs: fix the hash table using in virtio_fs_enqueue_req()
    - selftests: pci_endpoint: Skip IRQ test if IRQ is out of range.
    - drm/xe: Ensure GT is in C0 during resumes
    - misc: pci_endpoint_test: Skip IRQ tests if irq is out of range
    - drm/amdgpu: Correct the loss of aca bank reg info
    - drm/amdgpu: Correct the counts of nr_banks and nr_errors
    - drm/amdkfd: fix vram allocation failure for a special case
    - drm/amd/display: Support HW cursor 180 rot for any number of pipe splits
    - drm/amdkfd: Tie UNMAP_LATENCY to queue_preemption
    - drm/amd/display: wait for otg update pending latch before clock
      optimization
    - drm/amd/display: Consider sink max slice width limitation for dsc
    - drm/amdgpu/vpe: cancel delayed work in hw_fini
    - drm/xe: Cancel pending TLB inval workers on teardown
    - net: Prevent RPS table overwrite of active flows
    - eth: fbnic: Reset hw stats upon PCI error
    - wifi: iwlwifi: mld: trigger mlo scan only when not in EMLSR
    - platform/x86/intel-uncore-freq: Fix warning in partitioned system
    - drm/msm/dpu: Filter modes based on adjusted mode clock
    - drm/msm: Use of_reserved_mem_region_to_resource() for "memory-region"
    - selftests: drv-net: rss_ctx: fix the queue count check
    - media: fix uninitialized symbol warnings
    - media: pci: mgb4: Fix timings comparison in VIDIOC_S_DV_TIMINGS
    - ASoC: SOF: ipc4-pcm: Add fixup for channels
    - drm/amdgpu: Notify pmfw bad page threshold exceeded
    - drm/amd/display: Increase minimum clock for TMDS 420 with pipe splitting
    - drm/amdgpu: Avoid jpeg v5.0.1 poison irq call trace on sriov guest
    - drm/amd/display: incorrect conditions for failing dto calculations
    - drm/amdgpu: Avoid vcn v5.0.1 poison irq call trace on sriov guest
    - drm/amdgpu: Respect max pixel clock for HDMI and DVI-D (v2)
    - mips: lantiq: danube: add missing properties to cpu node
    - mips: lantiq: danube: add model to EASY50712 dts
    - mips: lantiq: danube: add missing device_type in pci node
    - mips: lantiq: xway: sysctrl: rename stp clock
    - mips: lantiq: danube: rename stp node on EASY50712 reference board
    - inet_diag: annotate data-races in inet_diag_bc_sk()
    - microchip: lan865x: add ndo_eth_ioctl handler to enable PHY ioctl
      support
    - crypto: qat - use kcalloc() in qat_uclo_map_objs_from_mof()
    - scsi: pm8001: Use int instead of u32 to store error codes
    - iio: adc: ad7124: do not require mclk
    - scsi: ufs: exynos: fsd: Gate ref_clk and put UFS device in reset on
      suspend
    - media: imx-mipi-csis: Only set clock rate when specified in DT
    - wifi: iwlwifi: pcie: remember when interrupts are disabled
    - drm/st7571-i2c: add support for inverted pixel format
    - ptp: Limit time setting of PTP clocks
    - dmaengine: sh: setup_xref error handling
    - dmaengine: mv_xor: match alloc_wc and free_wc
    - dmaengine: dw-edma: Set status for callback_result
    - netfilter: nf_tables: all transaction allocations can now sleep
    - drm/msm/dsi/phy: Toggle back buffer resync after preparing PLL
    - drm/msm/dsi/phy_7nm: Fix missing initial VCO rate
    - drm/amdgpu: Allow kfd CRIU with no buffer objects
    - drm/xe/guc: Increase GuC crash dump buffer size
    - drm/amd/pm: Increase SMC timeout on SI and warn (v3)
    - move_mount(2): take sanity checks in 'beneath' case into do_lock_mount()
    - selftests: drv-net: rss_ctx: make the test pass with few queues
    - ipv6: Add sanity checks on ipv6_devconf.rpl_seg_enabled
    - drm/xe: Extend Wa_22021007897 to Xe3 platforms
    - wifi: mac80211: count reg connection element in the size
    - drm/panthor: check bo offset alignment in vm bind
    - drm: panel-backlight-quirks: Make EDID match optional
    - ixgbe: reduce number of reads when getting OROM data
    - netlink: specs: fou: change local-v6/peer-v6 check
    - net: nfc: nci: Increase NCI_DATA_TIMEOUT to 3000 ms
    - media: adv7180: Add missing lock in suspend callback
    - media: adv7180: Do not write format to device in set_fmt
    - media: adv7180: Only validate format in querystd
    - media: verisilicon: Explicitly disable selection api ioctls for decoders
    - wifi: mac80211: Fix 6 GHz Band capabilities element advertisement in
      lower bands
    - platform/x86: think-lmi: Add extra TC BIOS error messages
    - platform/x86/intel-uncore-freq: Present unique domain ID per package
    - ALSA: usb-audio: apply quirk for MOONDROP Quark2
    - PCI: imx6: Enable the Vaux supply if available
    - drm/xe/guc: Set upper limit of H2G retries over CTB
    - net: call cond_resched() less often in __release_sock()
    - smsc911x: add second read of EEPROM mac when possible corruption seen
    - drm/xe: improve dma-resv handling for backup object
    - iommu/amd: Add support to remap/unmap IOMMU buffers for kdump
    - iommu/amd: Skip enabling command/event buffers for kdump
    - iommu/amd: Reuse device table for kdump
    - crypto: ccp: Skip SEV and SNP INIT for kdump boot
    - iommu/apple-dart: Clear stream error indicator bits for T8110 DARTs
    - bus: mhi: host: pci_generic: Add support for all Foxconn T99W696 SKU
      variants
    - drm/amdgpu: Correct info field of bad page threshold exceed CPER
    - drm/amd: add more cyan skillfish PCI ids
    - drm/amdgpu: don't enable SMU on cyan skillfish
    - drm/amdgpu: add support for cyan skillfish gpu_info
    - drm/amd/display: Fix pbn_div Calculation Error
    - drm/amd/display: dont wait for pipe update during medupdate/highirq
    - drm/amd/pm: refine amdgpu pm sysfs node error code
    - drm/amd/display: Indicate when custom brightness curves are in use
    - selftests: ncdevmem: don't retry EFAULT
    - net: dsa: felix: support phy-mode = "10g-qxgmii"
    - usb: gadget: f_hid: Fix zero length packet transfer
    - serial: qcom-geni: Add DFS clock mode support to GENI UART driver
    - serdev: Drop dev_pm_domain_detach() call
    - tty/vt: Add missing return value for VT_RESIZE in vt_ioctl()
    - eeprom: at25: support Cypress FRAMs without device ID
    - drm/msm/adreno: Add speedbins for A663 GPU
    - drm/msm: Fix 32b size truncation
    - dt-bindings: display/msm/gmu: Update Adreno 623 bindings
    - drm/msm: make sure to not queue up recovery more than once
    - char: Use list_del_init() in misc_deregister() to reinitialize list
      pointer
    - drm/msm/adreno: Add speedbin data for A623 GPU
    - drm/msm/adreno: Add fenced regwrite support
    - drm/msm/a6xx: Switch to GMU AO counter
    - idpf: link NAPIs to queues
    - selftests: net: make the dump test less sensitive to mem accounting
    - PCI: endpoint: pci-epf-test: Limit PCIe BAR size for fixed BARs
    - wifi: rtw89: Add USB ID 2001:332a for D-Link AX9U rev. A1
    - wifi: rtw89: Add USB ID 2001:3327 for D-Link AX18U rev. A1
    - wifi: iwlwifi: fw: Add ASUS to PPAG and TAS list
    - drm/xe/i2c: Enable bus mastering
    - media: ov08x40: Fix the horizontal flip control
    - media: i2c: og01a1b: Specify monochrome media bus format instead of
      Bayer
    - media: qcom: camss: csiphy-3ph: Add CSIPHY 2ph DPHY v2.0.1 init sequence
    - drm/bridge: write full Audio InfoFrame
    - drm/xe/guc: Always add CT disable action during second init step
    - f2fs: fix wrong layout information on 16KB page
    - selftests: mptcp: join: allow more time to send ADD_ADDR
    - scsi: ufs: host: mediatek: Enhance recovery on resume failure
    - scsi: ufs: ufs-qcom: Align programming sequence of Shared ICE for UFS
      controller v5
    - scsi: ufs: host: mediatek: Fix unbalanced IRQ enable issue
    - scsi: ufs: host: mediatek: Enhance recovery on hibernation exit failure
    - net: phy: marvell: Fix 88e1510 downshift counter errata
    - scsi: ufs: host: mediatek: Correct system PM flow
    - scsi: ufs: host: mediatek: Disable auto-hibern8 during power mode
      changes
    - scsi: ufs: host: mediatek: Fix adapt issue after PA_Init
    - wifi: cfg80211: update the time stamps in hidden ssid
    - wifi: mac80211: Fix HE capabilities element check
    - fbcon: Use screen info to find primary device
    - phy: cadence: cdns-dphy: Enable lower resolutions in dphy
    - Fix access to video_is_primary_device() when compiled without
      CONFIG_VIDEO
    - phy: renesas: r8a779f0-ether-serdes: add new step added to latest
      datasheet
    - phy: rockchip: phy-rockchip-inno-csidphy: allow writes to grf register 0
    - drm/msm/registers: Generate _HI/LO builders for reg64
    - net: sh_eth: Disable WoL if system can not suspend
    - selftests: net: replace sleeps in fcnal-test with waits
    - media: redrat3: use int type to store negative error codes
    - platform/x86/amd/pmf: Fix the custom bios input handling mechanism
    - selftests: traceroute: Use require_command()
    - selftests: traceroute: Return correct value on failure
    - openrisc: Add R_OR1K_32_PCREL relocation type module support
    - netfilter: nf_reject: don't reply to icmp error messages
    - x86/kvm: Prefer native qspinlock for dedicated vCPUs irrespective of
      PV_UNHALT
    - x86/virt/tdx: Use precalculated TDVPR page physical address
    - selftests: Disable dad for ipv6 in fcnal-test.sh
    - eth: 8139too: Make 8139TOO_PIO depend on !NO_IOPORT_MAP
    - [Config] No longer enable `CONFIG_8139TOO_PIO` for armhf
    - selftests: Replace sleep with slowwait
    - net: devmem: expose tcp_recvmsg_locked errors
    - selftests: net: lib.sh: Don't defer failed commands
    - HID: asus: add Z13 folio to generic group for multitouch to work
    - watchdog: s3c2410_wdt: Fix max_timeout being calculated larger
    - crypto: sun8i-ce - remove channel timeout field
    - PCI: dwc: Verify the single eDMA IRQ in dw_pcie_edma_irq_verify()
    - crypto: ccp - Fix incorrect payload size calculation in
      psp_poulate_hsti()
    - crypto: caam - double the entropy delay interval for retry
    - can: rcar_canfd: Update bit rate constants for RZ/G3E and R-Car Gen4
    - net: mana: Reduce waiting time if HWC not responding
    - ionic: use int type for err in ionic_get_module_eeprom_by_page
    - net/cls_cgroup: Fix task_get_classid() during qdisc run
    - wifi: mt76: mt7921: Add 160MHz beamformee capability for mt7922 device
    - wifi: mt76: mt7925: add pci restore for hibernate
    - wifi: mt76: mt7996: Fix mt7996_reverse_frag0_hdr_trans for MLO
    - wifi: mt76: mt7996: Set def_wcid pointer in mt7996_mac_sta_init_link()
    - wifi: mt76: mt7996: Temporarily disable EPCS
    - wifi: mt76: mt7996: support writing MAC TXD for AddBA Request
    - wifi: mt76: mt76_eeprom_override to int
    - ALSA: serial-generic: remove shared static buffer
    - wifi: mt76: mt7996: fix memory leak on mt7996_mcu_sta_key_tlv error
    - wifi: mt76: mt7996: disable promiscuous mode by default
    - wifi: mt76: use altx queue for offchannel tx on connac+
    - wifi: mt76: improve phy reset on hw restart
    - drm/amdgpu: Use memdup_array_user in amdgpu_cs_wait_fences_ioctl
    - drm/amdgpu: Release hive reference properly
    - drm/amd/display: Fix DMCUB loading sequence for DCN3.2
    - drm/amd/display: Set up pixel encoding for YCBCR422
    - drm/amd/display: fix dml ms order of operations
    - drm/amd/display: Don't use non-registered VUPDATE on DCE 6
    - drm/amd/display: Keep PLL0 running on DCE 6.0 and 6.4
    - drm/amd/display: Fix DVI-D/HDMI adapters
    - drm/amd/display: Disable VRR on DCE 6
    - drm/amd/display/dml2: Guard dml21_map_dc_state_into_dml_display_cfg with
      DC_FP_START
    - net: phy: clear EEE runtime state in PHY_HALTED/PHY_ERROR
    - ethernet: Extend device_get_mac_address() to use NVMEM
    - scsi: ufs: ufs-qcom: Disable lane clocks during phy hibern8
    - HID: i2c-hid: Resolve touchpad issues on Dell systems during S4
    - hinic3: Queue pair endianness improvements
    - hinic3: Fix missing napi->dev in netif_queue_set_napi
    - tools: ynl-gen: validate nested arrays
    - drm/xe/guc: Return an error code if the GuC load fails
    - drm/amdgpu: reject gang submissions under SRIOV
    - selftests/Makefile: include $(INSTALL_DEP_TARGETS) in clean target to
      clean net/lib dependency
    - scsi: ufs: core: Disable timestamp functionality if not supported
    - scsi: lpfc: Clean up allocated queues when queue setup mbox commands
      fail
    - scsi: lpfc: Decrement ndlp kref after FDISC retries exhausted
    - scsi: lpfc: Check return status of lpfc_reset_flush_io_context during
      TGT_RESET
    - scsi: lpfc: Remove ndlp kref decrement clause for F_Port_Ctrl in
      lpfc_cleanup
    - scsi: lpfc: Define size of debugfs entry for xri rebalancing
    - scsi: lpfc: Ensure PLOGI_ACC is sent prior to PRLI in Point to Point
      topology
    - allow finish_no_open(file, ERR_PTR(-E...))
    - usb: mon: Increase BUFF_MAX to 64 MiB to support multi-MB URBs
    - usb: xhci: plat: Facilitate using autosuspend for xhci plat devices
    - wifi: rtw89: disable RTW89_PHYSTS_IE09_FTR_0 for ppdu status
    - wifi: rtw89: obtain RX path from ppdu status IE00
    - wifi: rtw89: renew a completion for each H2C command waiting C2H event
    - usb: xhci-pci: add support for hosts with zero USB3 ports
    - ipv6: np->rxpmtu race annotation
    - RDMA/irdma: Update Kconfig
    - IB/ipoib: Ignore L3 master device
    - bnxt_en: Add fw log trace support for 5731X/5741X chips
    - mei: make a local copy of client uuid in connect
    - ASoC: qcom: sc8280xp: explicitly set S16LE format in
      sc8280xp_be_hw_params_fixup()
    - net: phy: clear link parameters on admin link down
    - net: ethernet: microchip: sparx5: make it selectable for ARCH_LAN969X
    - bus: mhi: core: Improve mhi_sync_power_up handling for SYS_ERR state
    - iommu/vt-d: Replace snprintf with scnprintf in dmar_latency_snapshot()
    - wifi: ath10k: Fix connection after GTK rekeying
    - iommu/vt-d: Remove LPIG from page group response descriptor
    - wifi: mac80211: Get the correct interface for non-netdev skb status
    - wifi: mac80211: Track NAN interface start/stop
    - net: intel: fm10k: Fix parameter idx set but not used
    - sparc/module: Add R_SPARC_UA64 relocation handling
    - sparc64: fix prototypes of reads[bwl]()
    - vfio: return -ENOTTY for unsupported device feature
    - ptp_ocp: make ptp_ocp driver compatible with PTP_EXTTS_REQUEST2
    - crypto: hisilicon/qm - invalidate queues in use
    - crypto: hisilicon/qm - clear all VF configurations in the hardware
    - ASoC: ops: improve snd_soc_get_volsw
    - PCI/PM: Skip resuming to D0 if device is disconnected
    - selftests: forwarding: Reorder (ar)ping arguments to obey POSIX getopt
    - remoteproc: qcom: q6v5: Avoid handling handover twice
    - wifi: ath12k: Increase DP_REO_CMD_RING_SIZE to 256
    - net: dsa: microchip: Set SPI as bus interface during reset for KSZ8463
    - bng_en: make bnge_alloc_ring() self-unwind on failure
    - ALSA: usb-audio: don't apply interface quirk to Presonus S1824c
    - tcp: Update bind bucket state on port release
    - ovl: make sure that ovl_create_real() returns a hashed dentry
    - drm/amd/display: Add missing post flip calls
    - drm/amd/display: Add AVI infoframe copy in copy_stream_update_to_stream
    - drm/amd/display: Add fast sync field in ultra sleep more for DMUB
    - drm/amd/display: Init dispclk from bootup clock for DCN314
    - drm/amd/display: Fix for test crash due to power gating
    - drm/amd/display: change dc stream color settings only in atomic commit
    - NFSv4: handle ERR_GRACE on delegation recalls
    - NFSv4.1: fix mount hang after CREATE_SESSION failure
    - net: bridge: Install FDB for bridge MAC on VLAN 0
    - net: phy: dp83640: improve phydev and driver removal handling
    - scsi: ufs: core: Change MCQ interrupt enable flow
    - scsi: libfc: Fix potential buffer overflow in fc_ct_ms_fill()
    - accel/habanalabs/gaudi2: fix BMON disable configuration
    - scsi: mpt3sas: Add support for 22.5 Gbps SAS link rate
    - accel/habanalabs: return ENOMEM if less than requested pages were pinned
    - accel/habanalabs/gaudi2: read preboot status after recovering from dirty
      state
    - ASoC: renesas: msiof: add .symmetric_xxx on snd_soc_dai_driver
    - ASoC: renesas: msiof: use reset controller
    - ASoC: renesas: msiof: tidyup DMAC stop timing
    - ASoC: renesas: msiof: set SIFCTR register
    - ext4: increase IO priority of fastcommit
    - drm/amdgpu: Add fallback to pipe reset if KCQ ring reset fails
    - drm/amdgpu: Fix fence signaling race condition in userqueue
    - ASoC: stm32: sai: manage context in set_sysclk callback
    - ASoC: tlv320aic3x: Fix class-D initialization for tlv320aic3007
    - ACPI: scan: Update honor list for RPMI System MSI
    - platform/x86: x86-android-tablets: Stop using EPROBE_DEFER
    - vfio/pci: Fix INTx handling on legacy non-PCI 2.3 devices
    - vfio/nvgrace-gpu: Add GB300 SKU to the devid table
    - selftest: net: Fix error message if empty variable
    - net/mlx5e: Don't query FEC statistics when FEC is disabled
    - Bluetooth: btintel: Add support for BlazarIW core
    - net: macb: avoid dealing with endianness in macb_set_hwaddr()
    - Bluetooth: btusb: Add new VID/PID 13d3/3627 for MT7925
    - Bluetooth: btintel_pcie: Define hdev->wakeup() callback
    - Bluetooth: ISO: Don't initiate CIS connections if there are no buffers
    - Bluetooth: btusb: Check for unexpected bytes when defragmenting HCI
      frames
    - Bluetooth: ISO: Use sk_sndtimeo as conn_timeout
    - Bluetooth: btusb: Add new VID/PID 13d3/3633 for MT7922
    - net: stmmac: est: Drop frames causing HLBS error
    - exfat: limit log print for IO error
    - 6pack: drop redundant locking and refcounting
    - page_pool: Clamp pool size to max 16K pages
    - net/mlx5e: Prevent entering switchdev mode with inconsistent netns
    - ksmbd: use sock_create_kern interface to create kernel socket
    - smb: client: update cfid->last_access_time in
      open_cached_dir_by_dentry()
    - smb: client: transport: avoid reconnects triggered by pending task work
    - usb: xhci-pci: Fix USB2-only root hub registration
    - drm/amd/display: Add fallback path for YCBCR422
    - ACPICA: Update dsmethod.c to get rid of unused variable warning
    - RDMA/bnxt_re: Fix a potential memory leak in destroy_gsi_sqp
    - RDMA/irdma: Fix SD index calculation
    - RDMA/irdma: Remove unused struct irdma_cq fields
    - RDMA/irdma: Set irdma_cq cq_num field during CQ create
    - RDMA/uverbs: Fix umem release in UVERBS_METHOD_CQ_CREATE
    - RDMA/hns: Fix recv CQ and QP cache affinity
    - RDMA/hns: Fix the modification of max_send_sge
    - RDMA/hns: Fix wrong WQE data when QP wraps around
    - btrfs: mark dirty extent range for out of bound prealloc extents
    - clk: qcom: gcc-ipq6018: rework nss_port5 clock to multiple conf
    - clk: renesas: rzv2h: Re-assert reset on deassert timeout
    - clk: samsung: exynos990: Add missing USB clock registers to HSI0
    - fs/hpfs: Fix error code for new_inode() failure in
      mkdir/create/mknod/symlink
    - clocksource: hyper-v: Skip unnecessary checks for the root partition
    - hyperv: Add missing field to hv_output_map_device_interrupt
    - um: Fix help message for ssl-non-raw
    - clk: sunxi-ng: sun6i-rtc: Add A523 specifics
    - rtc: pcf2127: clear minute/second interrupt
    - ARM: at91: pm: save and restore ACR during PLL disable/enable
    - clk: at91: add ACR in all PLL settings
    - clk: at91: sam9x7: Add peripheral clock id for pmecc
    - clk: at91: clk-master: Add check for divide by 3
    - clk: at91: clk-sam9x60-pll: force write to PLL_UPDT register
    - clk: ti: am33xx: keep WKUP_DEBUGSS_CLKCTRL enabled
    - clk: scmi: Add duty cycle ops only when duty cycle is supported
    - clk: clocking-wizard: Fix output clock register offset for Versal
      platforms
    - NTB: epf: Allow arbitrary BAR mapping
    - 9p: fix /sys/fs/9p/caches overwriting itself
    - cpufreq: tegra186: Initialize all cores to max frequencies
    - 9p: sysfs_init: don't hardcode error to ENOMEM
    - scsi: ufs: core: Include UTP error in INT_FATAL_ERRORS
    - fbdev: core: Fix ubsan warning in pixel_to_pat
    - ACPI: property: Return present device nodes only on fwnode interface
    - LoongArch: Handle new atomic instructions for probes
    - tools bitmap: Add missing asm-generic/bitsperlong.h include
    - tools: lib: thermal: don't preserve owner in install
    - tools: lib: thermal: use pkg-config to locate libnl3
    - ALSA: hda/realtek: Add quirk for ASUS ROG Zephyrus Duo
    - rtc: zynqmp: Restore alarm functionality after kexec transition
    - rtc: pcf2127: fix watchdog interrupt mask on pcf2131
    - net: wwan: t7xx: add support for HP DRMR-H01
    - kbuild: uapi: Strip comments before size type check
    - ASoC: meson: aiu-encoder-i2s: fix bit clock polarity
    - ASoC: rt722: add settings for rt722VB
    - drm/amdgpu: Report individual reset error
    - ceph: add checking of wait_for_completion_killable() return value
    - ceph: fix potential race condition in ceph_ioctl_lazyio()
    - ceph: refactor wake_up_bit() pattern of calling
    - x86: uaccess: don't use runtime-const rewriting in modules
    - rust: condvar: fix broken intra-doc link
    - rust: devres: fix private intra-doc link
    - rust: kbuild: workaround `rustdoc` doctests modifier bug
    - rust: kbuild: treat `build_error` and `rustdoc` as kernel objects
    - media: uvcvideo: Use heuristic to find stream entity
    - Revert "wifi: ath10k: avoid unnecessary wait for service ready message"
    - tracing: tprobe-events: Fix to register tracepoint correctly
    - tracing: tprobe-events: Fix to put tracepoint_user when disable the
      tprobe
    - net: libwx: fix device bus LAN ID
    - scsi: ufs: core: Fix a race condition related to the "hid" attribute
      group
    - riscv: ptdump: use seq_puts() in pt_dump_seq_puts() macro
    - Revert "wifi: ath12k: Fix missing station power save configuration"
    - scsi: ufs: core: Revert "Make HID attributes visible"
    - Bluetooth: btrtl: Fix memory leak in rtlbt_parse_firmware_v2()
    - net: dsa: tag_brcm: legacy: fix untagged rx on unbridged ports for
      bcm63xx
    - selftests/net: fix out-of-order delivery of FIN in gro:tcp test
    - selftests/net: use destination options instead of hop-by-hop
    - selftests: netdevsim: Fix ethtool-coalesce.sh fail by installing
      ethtool-common.sh
    - net: vlan: sync VLAN features with lower device
    - net: dsa: b53: fix resetting speed and pause on forced link
    - net: dsa: b53: fix bcm63xx RGMII port link adjustment
    - net: dsa: b53: fix enabling ip multicast
    - net: dsa: b53: stop reading ARL entries if search is done
    - net: dsa: b53: properly bound ARL searches for < 4 ARL bin chips
    - sctp: Hold RCU read lock while iterating over address list
    - sctp: Hold sock lock while iterating over address list
    - net: ionic: add dma_wmb() before ringing TX doorbell
    - net: ionic: map SKB after pseudo-header checksum prep
    - octeontx2-pf: Fix devm_kcalloc() error checking
    - bnxt_en: Fix a possible memory leak in bnxt_ptp_init
    - bnxt_en: Always provide max entry and entry size in coredump segments
    - bnxt_en: Fix warning in bnxt_dl_reload_down()
    - wifi: mac80211_hwsim: Limit destroy_on_close radio removal to netgroup
    - io_uring: fix types for region size calulation
    - net/mlx5e: Fix return value in case of module EEPROM read error
    - net: ti: icssg-prueth: Fix fdb hash size configuration
    - net/mlx5e: SHAMPO, Fix header mapping for 64K pages
    - net/mlx5e: SHAMPO, Fix skb size check for 64K pages
    - net/mlx5e: SHAMPO, Fix header formulas for higher MTUs and 64K pages
    - net: wan: framer: pef2256: Switch to devm_mfd_add_devices()
    - net: dsa: microchip: Fix reserved multicast address table programming
    - net: bridge: fix MST static key usage
    - selftests/vsock: avoid false-positives when checking dmesg
    - tracing: Fix memory leaks in create_field_var()
    - drm/amd/display: Enable mst when it's detected but yet to be initialized
    - wifi: cfg80211: add an hrtimer based delayed work item
    - wifi: mac80211: use wiphy_hrtimer_work for ml_reconf_work
    - wifi: mac80211: use wiphy_hrtimer_work for ttlm_work
    - wifi: mac80211: use wiphy_hrtimer_work for csa.switch_work
    - riscv: Fix memory leak in module_frob_arch_sections()
    - rtc: rx8025: fix incorrect register reference
    - x86/microcode/AMD: Add more known models to entry sign checking
    - smb: client: validate change notify buffer before copy
    - x86/amd_node: Fix AMD root device caching
    - xfs: fix delalloc write failures in software-provided atomic writes
    - xfs: fix various problems in xfs_atomic_write_cow_iomap_begin
    - x86/CPU/AMD: Add missing terminator for zen5_rdseed_microcode
    - drm: define NVIDIA DRM format modifiers for GB20x
    - drm/nouveau: Advertise correct modifiers on GB20x
    - drm/amdgpu/smu: Handle S0ix for vangogh
    - drm/amdkfd: Don't clear PT after process killed
    - virtio_net: fix alignment for virtio_net_hdr_v1_hash
    - lib/crypto: curve25519-hacl64: Fix older clang KASAN workaround for GCC
    - scsi: ufs: ufs-pci: Fix S0ix/S3 for Intel controllers
    - scsi: ufs: ufs-pci: Set UFSHCD_QUIRK_PERFORM_LINK_STARTUP_ONCE for Intel
      ADL
    - scsi: ufs: core: Add a quirk to suppress link_startup_again
    - drm/amd/display: update color on atomic commit time
    - extcon: adc-jack: Cleanup wakeup source only if it was enabled
    - kunit: Extend kconfig help text for KUNIT_UML_PCI
    - ALSA: hda/tas2781: Enable init_profile_id for device initialization
    - ACPI: SPCR: Check for table version when using precise baudrate
    - kbuild: Strip trailing padding bytes from modules.builtin.modinfo
    - drm/amdgpu: Fix unintended error log in VCN5_0_0
    - drm/amd/display: Fix vupdate_offload_work doc
    - drm/amdgpu: Fix function header names in amdgpu_connectors.c
    - drm/amdgpu/userq: assign an error code for invalid userq va
    - drm/msm/dpu: Fix adjusted mode clock check for 3d merge
    - drm/amd/display: Reject modes with too high pixel clock on DCE6-10
    - drm/amd/display: use GFP_NOWAIT for allocation in interrupt handler
    - drm/amd/display: Fix black screen with HDMI outputs
    - selftests: drv-net: Reload pkt pointer after calling filter_udphdr
    - dt-bindings: eeprom: at25: use "size" for FRAMs without device ID
    - Linux 6.17.8
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68316
    - scsi: ufs: core: Fix invalid probe error return value
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40292
    - virtio-net: fix received length check in big packets
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68180
    - drm/amd/display: Fix NULL deref in debugfs odm_combine_segments
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40327
    - perf/core: Fix system hang caused by cpu-clock usage
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40328
    - smb: client: fix potential UAF in smb2_close_cached_fid()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40291
    - io_uring: fix regbuf vector size truncation
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68322
    - parisc: Avoid crash due to unaligned access in unwinder
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40293
    - iommufd: Don't overflow during division for dirty tracking
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40294
    - Bluetooth: MGMT: Fix OOB access in parse_adv_monitor_pattern()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40329
    - drm/sched: Fix deadlock in drm_sched_entity_kill_jobs_cb
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40295
    - fscrypt: fix left shift underflow when inode->i_blkbits > PAGE_SHIFT
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40296
    - platform/x86: int3472: Fix double free of GPIO device during unregister
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40297
    - net: bridge: fix use-after-free due to MST port state bypass
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68320
    - lan966x: Fix sleeping in atomic context
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68169
    - netpoll: Fix deadlock in memory allocation under spinlock
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68197
    - bnxt_en: Fix null pointer dereference in bnxt_bs_trace_check_wrap()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40330
    - bnxt_en: Shutdown FW DMA in bnxt_shutdown()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68192
    - net: usb: qmi_wwan: initialize MAC header offset in qmimux_rx_fixup
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40331
    - sctp: Prevent TOCTOU out-of-bounds write
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68187
    - net: mdio: Check regmap pointer returned by device_node_to_regmap()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68167
    - gpiolib: fix invalid pointer access in debugfs
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68319
    - netconsole: Acquire su_mutex before navigating configs hierarchy
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40298
    - gve: Implement settime64 with -EOPNOTSUPP
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40299
    - gve: Implement gettimex64 with -EOPNOTSUPP
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40301
    - Bluetooth: hci_event: validate skb length for unknown CC opcode
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40358
    - riscv: stacktrace: Disable KASAN checks for non-current tasks
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68186
    - ring-buffer: Do not warn in ring_buffer_map_get_reader() when reader
      catches up
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68184
    - drm/mediatek: Disable AFBC support on Mediatek DRM driver
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40302
    - media: videobuf2: forbid remove_bufs when legacy fileio is active
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40303
    - btrfs: ensure no dirty metadata is written back for an fs with errors
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40362
    - ceph: fix multifs mds auth caps issue
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40332
    - drm/amdkfd: Fix mmap write lock not release
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40304
    - fbdev: Add bounds checking in bit_putcs to fix vmalloc-out-of-bounds
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40305
    - 9p/trans_fd: p9_fd_request: kick rx thread if EPOLLIN
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68318
    - clk: thead: th1520-ap: set all AXI clocks to CLK_IS_CRITICAL
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40209
    - btrfs: fix memory leak of qgroup_list in btrfs_add_qgroup_relation
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68183
    - ima: don't clear IMA_DIGSIG flag when setting or removing non-IMA xattr
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68173
    - ftrace: Fix softlockup in ftrace_module_enable
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40306
    - orangefs: fix xattr related buffer overflow...
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40307
    - exfat: validate cluster allocation bits of the allocation bitmap
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40308
    - Bluetooth: bcsp: receive data only if registered
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40309
    - Bluetooth: SCO: Fix UAF on sco_conn_free
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68174
    - amd/amdkfd: enhance kfd process check in switch partition
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40310
    - amd/amdkfd: resolve a race in amdgpu_amdkfd_device_fini_sw
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40361
    - fs: ext4: change GFP_KERNEL to GFP_NOFS to avoid deadlock
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40311
    - accel/habanalabs: support mapping cb with vmalloc-backed coherent memory
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68185
    - nfs4_setup_readdir(): insufficient locking for ->d_parent->d_inode
      dereferencing
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68176
    - PCI: cadence: Check for the existence of cdns_pcie::ops before using it
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68190
    - drm/amdgpu/atom: Check kcalloc() for WS buffer in
      amdgpu_atom_execute_table_locked()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68168
    - jfs: fix uninitialized waitqueue in transaction manager
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40312
    - jfs: Verify inode mode when loading from disk
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40333
    - f2fs: fix infinite loop in __insert_extent_tree()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68321
    - page_pool: always add GFP_NOWARN for ATOMIC allocations
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40334
    - drm/amdgpu: validate userq buffer virtual address and size
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68191
    - udp_tunnel: use netdev_warn() instead of netdev_WARN()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68309
    - PCI/AER: Fix NULL pointer access by aer_info
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40313
    - ntfs3: pretend $Extend records as regular files
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40335
    - drm/amdgpu: validate userq input args
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40314
    - usb: cdns3: gadget: Use-after-free during failed initialization and exit
      of cdnsp gadget
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40336
    - drm/gpusvm: fix hmm_pfn_to_map_order() usage
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68193
    - drm/xe/guc: Add devm release action to safely tear down CT
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68175
    - media: nxp: imx8-isi: Fix streaming cleanup on release
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68188
    - tcp: use dst_dev_rcu() in tcp_fastopen_active_disable_ofo_check()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68315
    - f2fs: fix to detect potential corrupted nid in free_nid_list
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40337
    - net: stmmac: Correctly handle Rx checksum offload errors
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40338
    - ASoC: Intel: avs: Do not share the name pointer between components
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40339
    - drm/amdgpu: fix nullptr err of vm_handle_moved
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68194
    - media: imon: make send_packet() more robust
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40363
    - net: ipv6: fix field-spanning memcpy warning in AH output
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68311
    - tty: serial: ip22zilog: Use platform device for probing
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40340
    - drm/xe: Fix oops in xe_gem_fault when running core_hotunplug test.
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68196
    - drm/amd/display: Cache streams targeting link when performing LT
      automation
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68178
    - blk-cgroup: fix possible deadlock while configuring policy
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40341
    - futex: Don't leak robust_list pointer on exec race
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40342
    - nvme-fc: use lock accessing port_state and rport state
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40343
    - nvmet-fc: avoid scheduling association deletion twice
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68177
    - cpufreq/longhaul: handle NULL policy in longhaul_exit
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68317
    - io_uring/zctx: check chained notif contexts
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40315
    - usb: gadget: f_fs: Fix epfile null pointer access after ep enable.
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40316
    - drm/mediatek: Fix device use-after-free on unbind
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40360
    - drm/sysfb: Do not dereference NULL pointer in plane reset
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68179
    - s390: Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68310
    - s390/pci: Avoid deadlock between PCI error recovery and mlx5 crdump
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40317
    - regmap: slimbus: fix bus_context pointer in regmap init calls
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40359
    - perf/x86/intel: Fix KASAN global-out-of-bounds warning
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68181
    - drm/radeon: Remove calls to drm_put_dev()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68170
    - drm/radeon: Do not kfree() devres managed rdev
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40213
    - Bluetooth: MGMT: fix crash in set_mesh_sync and set_mesh_complete
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40318
    - Bluetooth: hci_sync: fix race in hci_cmd_sync_dequeue_once
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68312
    - usbnet: Prevents free active kevent
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40344
    - ASoC: Intel: avs: Disable periods-elapsed work when closing PCM
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68172
    - crypto: aspeed - fix double free caused by devm
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40319
    - bpf: Sync pending IRQ work before freeing ring buffer
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68182
    - wifi: iwlwifi: fix potential use after free in iwl_mld_remove_link()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68314
    - drm/msm: make sure last_fence is always updated
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68189
    - drm/msm: Fix GEM free for imported dma-bufs
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68171
    - x86/fpu: Ensure XFD state on signal delivery
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68313
    - x86/CPU/AMD: Add RDSEED fix for Zen5
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40320
    - smb: client: fix potential cfid UAF in smb2_query_info_compound
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40321
    - wifi: brcmfmac: fix crash while sending Action Frames in standalone AP
      Mode
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40322
    - fbdev: bitblit: bound-check glyph index in bit_putcs*
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40211
    - ACPI: video: Fix use-after-free in acpi_video_switch_brightness()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40323
    - fbcon: Set fb_display[i]->mode to NULL when the mode is released
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40210
    - Revert "NFSD: Remove the cap on number of operations per NFSv4 COMPOUND"
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40324
    - NFSD: Fix crash in nfsd4_read_release()
  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40326
    - NFSD: Define actions for the new time_deleg FATTR4 attributes
  * Questing update: v6.17.7 upstream stable release (LP: #2136813)
    - sched_ext: Move internal type and accessor definitions to ext_internal.h
    - sched_ext: Put event_stats_cpu in struct scx_sched_pcpu
    - sched_ext: Sync error_irq_work before freeing scx_sched
    - timekeeping: Fix aux clocks sysfs initialization loop bound
    - x86/bugs: Report correct retbleed mitigation status
    - x86/bugs: Qualify RETBLEED_INTEL_MSG
    - genirq/chip: Add buslock back in to irq_set_handler()
    - genirq/manage: Add buslock back in to __disable_irq_nosync()
    - genirq/manage: Add buslock back in to enable_irq()
    - audit: record fanotify event regardless of presence of rules
    - EDAC/ie31200: Add two more Intel Alder Lake-S SoCs for EDAC support
    - perf/x86/intel: Add ICL_FIXED_0_ADAPTIVE bit into INTEL_FIXED_BITS_MASK
    - perf: Use current->flags & PF_KTHREAD|PF_USER_WORKER instead of
      current->mm == NULL
    - perf: Have get_perf_callchain() return NULL if crosstask and user are
      set
    - perf: Skip user unwind if the task is a kernel thread
    - EDAC: Fix wrong executable file modes for C source files
    - seccomp: passthrough uprobe systemcall without filtering
    - sched_ext: Keep bypass on between enable failure and
      scx_disable_workfn()
    - x86/bugs: Add attack vector controls for VMSCAPE
    - x86/bugs: Fix reporting of LFENCE retpoline
    - EDAC/mc_sysfs: Increase legacy channel support to 16
    - cpuset: Use new excpus for nocpu error check when enabling root
      partition
    - btrfs: abort transaction on specific error places when walking log tree
    - btrfs: abort transaction in the process_one_buffer() log tree walk
      callback
    - btrfs: zoned: return error from btrfs_zone_finish_endio()
    - btrfs: zoned: refine extent allocator hint selection
    - btrfs: scrub: replace max_t()/min_t() with clamp() in
      scrub_throttle_dev_io()
    - btrfs: always drop log root tree reference in btrfs_replay_log()
    - btrfs: use level argument in log tree walk callback replay_one_buffer()
    - btrfs: abort transaction if we fail to update inode in log replay dir
      fixup
    - btrfs: tree-checker: add inode extref checks
    - btrfs: use smp_mb__after_atomic() when forcing COW in
      create_pending_snapshot()
    - sched_ext: Make qmap dump operation non-destructive
    - arch: Add the macro COMPILE_OFFSETS to all the asm-offsets.c
    - btrfs: tree-checker: fix bounds check in check_inode_extref()
    - Linux 6.17.7
  * [UBUNTU 24.04] KVM: s390: improve interrupt cpu for wakeup (LP: #2132317)
    - KVM: s390: improve interrupt cpu for wakeup
  * Questing update: v6.17.6 upstream stable release (LP: #2134982)
    - sched/fair: Block delayed tasks on throttled hierarchy during dequeue
    - vfio/cdx: update driver to build without CONFIG_GENERIC_MSI_IRQ
    - expfs: Fix exportfs_can_encode_fh() for EXPORT_FH_FID
    - cgroup/misc: fix misc_res_type kernel-doc warning
    - dlm: move to rinfo for all middle conversion cases
    - exec: Fix incorrect type for ret
    - s390/pkey: Forward keygenflags to ep11_unwrapkey
    - hfs: clear offset and space out of valid records in b-tree node
    - hfs: make proper initalization of struct hfs_find_data
    - hfs: validate record offset in hfsplus_bmap_alloc
    - hfsplus: fix KMSAN uninit-value issue in hfsplus_delete_cat()
    - dlm: check for defined force value in dlm_lockspace_release
    - hfsplus: return EIO when type of hidden directory mismatch in
      hfsplus_fill_super()
    - PCI: Test for bit underflow in pcie_set_readrq()
    - lkdtm: fortify: Fix potential NULL dereference on kmalloc failure
    - arm64: sysreg: Correct sign definitions for EIESB and DoubleLock
    - m68k: bitops: Fix find_*_bit() signatures
    - powerpc/32: Remove PAGE_KERNEL_TEXT to fix startup failure
    - riscv: mm: Return intended SATP mode for noXlvl options
    - riscv: mm: Use mmu-type from FDT to limit SATP mode
    - riscv: cpufeature: add validation for zfa, zfh and zfhmin
    - drivers/perf: hisi: Relax the event ID check in the framework
    - s390/mm: Use __GFP_ACCOUNT for user page table allocations
    - smb: client: queue post_recv_credits_work also if the peer raises the
      credit target
    - smb: client: limit the range of info->receive_credit_target
    - smb: client: make use of ib_wc_status_msg() and skip IB_WC_WR_FLUSH_ERR
      logging
    - smb: server: let smb_direct_flush_send_list() invalidate a remote key
      first
    - Unbreak 'make tools/*' for user-space targets
    - platform/mellanox: mlxbf-pmc: add sysfs_attr_init() to count_clock init
    - cpufreq/amd-pstate: Fix a regression leading to EPP 0 after hibernate
    - net/mlx5e: Return 1 instead of 0 in invalid case in
      mlx5e_mpwrq_umr_entry_size()
    - rtnetlink: Allow deleting FDB entries in user namespace
    - net: enetc: fix the deadlock of enetc_mdio_lock
    - net: enetc: correct the value of ENETC_RXB_TRUESIZE
    - dpaa2-eth: fix the pointer passed to PTR_ALIGN on Tx path
    - net: phy: realtek: fix rtl8221b-vm-cg name
    - can: bxcan: bxcan_start_xmit(): use can_dev_dropped_skb() instead of
      can_dropped_invalid_skb()
    - can: esd: acc_start_xmit(): use can_dev_dropped_skb() instead of
      can_dropped_invalid_skb()
    - can: rockchip-canfd: rkcanfd_start_xmit(): use can_dev_dropped_skb()
      instead of can_dropped_invalid_skb()
    - selftests: net: fix server bind failure in sctp_vrf.sh
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for legacy RQ
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for striding
      RQ
    - net/smc: fix general protection fault in __smc_diag_dump
    - net: ethernet: ti: am65-cpts: fix timestamp loss due to race conditions
    - arm64, mm: avoid always making PTE dirty in pte_mkwrite()
    - erofs: avoid infinite loops due to corrupted subpage compact indexes
    - net: hibmcge: select FIXED_PHY
    - ptp: ocp: Fix typo using index 1 instead of i in SMA initialization loop
    - net: hsr: prevent creation of HSR device with slaves from another netns
    - espintcp: use datagram_poll_queue for socket readiness
    - net: datagram: introduce datagram_poll_queue for custom receive queues
    - ovpn: use datagram_poll_queue for socket readiness in TCP
    - net: bonding: fix possible peer notify event loss or dup issue
    - hung_task: fix warnings caused by unaligned lock pointers
    - mm: don't spin in add_stack_record when gfp flags don't allow
    - dma-debug: don't report false positives with
      DMA_BOUNCE_UNALIGNED_KMALLOC
    - arch_topology: Fix incorrect error check in
      topology_parse_cpu_capacity()
    - riscv: hwprobe: Fix stale vDSO data for late-initialized keys at boot
    - io_uring/sqpoll: switch away from getrusage() for CPU accounting
    - io_uring/sqpoll: be smarter on when to update the stime usage
    - btrfs: send: fix duplicated rmdir operations when using extrefs
    - btrfs: ref-verify: fix IS_ERR() vs NULL check in btrfs_build_ref_tree()
    - gpio: pci-idio-16: Define maximum valid register address offset
    - gpio: 104-idio-16: Define maximum valid register address offset
    - xfs: fix locking in xchk_nlinks_collect_dir
    - platform/x86: alienware-wmi-wmax: Add AWCC support to Dell G15 5530
    - Revert "cpuidle: menu: Avoid discarding useful information"
    - riscv: cpufeature: avoid uninitialized variable in
      has_thead_homogeneous_vlenb()
    - rust: device: fix device context of Device::parent()
    - slab: Avoid race on slab->obj_exts in alloc_slab_obj_exts
    - slab: Fix obj_ext mistakenly considered NULL due to race condition
    - smb: client: get rid of d_drop() in cifs_do_rename()
    - ACPICA: Work around bogus -Wstringop-overread warning since GCC 11
    - arm64: mte: Do not warn if the page is already tagged in copy_highpage()
    - can: netlink: can_changelink(): allow disabling of automatic restart
    - cifs: Fix TCP_Server_Info::credits to be signed
    - devcoredump: Fix circular locking dependency with devcd->mutex.
    - hwmon: (pmbus/max34440) Update adpm12160 coeff due to latest FW
    - MIPS: Malta: Fix keyboard resource preventing i8042 driver from
      registering
    - rv: Make rtapp/pagefault monitor depends on CONFIG_MMU
    - net: bonding: update the slave array for broadcast mode
    - net: stmmac: dwmac-rk: Fix disabling set_clock_selection
    - net: usb: rtl8150: Fix frame padding
    - net: ravb: Enforce descriptor type ordering
    - net: ravb: Ensure memory write completes before ringing TX doorbell
    - mptcp: pm: in-kernel: C-flag: handle late ADD_ADDR
    - selftests: mptcp: join: mark 'flush re-add' as skipped if not supported
    - selftests: mptcp: join: mark implicit tests as skipped if not supported
    - selftests: mptcp: join: mark 'delete re-add signal' as skipped if not
      supported
    - mm/mremap: correctly account old mapping after MREMAP_DONTUNMAP remap
    - drm/xe: Check return value of GGTT workqueue allocation
    - drm/amd/display: increase max link count and fix link->enc NULL pointer
      access
    - mm/damon/core: use damos_commit_quota_goal() for new goal commit
    - mm/damon/core: fix list_add_tail() call on damon_call()
    - spi: rockchip-sfc: Fix DMA-API usage
    - firmware: arm_ffa: Add support for IMPDEF value in the memory access
      descriptor
    - spi: spi-nxp-fspi: add the support for sample data from DQS pad
    - spi: spi-nxp-fspi: re-config the clock rate when operation require new
      clock rate
    - spi: spi-nxp-fspi: add extra delay after dll locked
    - spi: spi-nxp-fspi: limit the clock rate for different sample clock
      source selection
    - spi: cadence-quadspi: Fix pm_runtime unbalance on dma EPROBE_DEFER
    - arm64: dts: broadcom: bcm2712: Add default GIC address cells
    - arm64: dts: broadcom: bcm2712: Define VGIC interrupt
    - include: trace: Fix inflight count helper on failed initialization
    - firmware: arm_scmi: Fix premature SCMI_XFER_FLAG_IS_RAW clearing in raw
      mode
    - spi: airoha: return an error for continuous mode dirmap creation cases
    - spi: airoha: add support of dual/quad wires spi modes to exec_op()
      handler
    - spi: airoha: switch back to non-dma mode in the case of error
    - spi: airoha: fix reading/writing of flashes with more than one plane per
      lun
    - sysfs: check visibility before changing group attribute ownership
    - RISC-V: Define pgprot_dmacoherent() for non-coherent devices
    - RISC-V: Don't print details of CPUs disabled in DT
    - riscv: hwprobe: avoid uninitialized variable use in hwprobe_arch_id()
    - hwmon: (pmbus/isl68137) Fix child node reference leak on early return
    - hwmon: (sht3x) Fix error handling
    - io_uring: fix incorrect unlikely() usage in io_waitid_prep()
    - nbd: override creds to kernel when calling sock_{send,recv}msg()
    - drm/panic: Fix drawing the logo on a small narrow screen
    - drm/panic: Fix qr_code, ensure vmargin is positive
    - drm/panic: Fix 24bit pixel crossing page boundaries
    - of/irq: Convert of_msi_map_id() callers to of_msi_xlate()
    - of/irq: Add msi-parent check to of_msi_xlate()
    - block: require LBA dma_alignment when using PI
    - gpio: ljca: Fix duplicated IRQ mapping
    - io_uring: correct __must_hold annotation in io_install_fixed_file
    - sched: Remove never used code in mm_cid_get()
    - USB: serial: option: add UNISOC UIS7720
    - USB: serial: option: add Quectel RG255C
    - USB: serial: option: add Telit FN920C04 ECM compositions
    - usb/core/quirks: Add Huawei ME906S to wakeup quirk
    - usb: raw-gadget: do not limit transfer length
    - xhci: dbc: enable back DbC in resume if it was enabled before suspend
    - xhci: dbc: fix bogus 1024 byte prefix if ttyDBC read races with stall
      event
    - x86/microcode: Fix Entrysign revision check for Zen1/Naples
    - binder: remove "invalid inc weak" check
    - mei: me: add wildcat lake P DID
    - objtool/rust: add one more `noreturn` Rust function
    - nvmem: rcar-efuse: add missing MODULE_DEVICE_TABLE
    - misc: fastrpc: Fix dma_buf object leak in fastrpc_map_lookup
    - most: usb: hdm_probe: Fix calling put_device() before device
      initialization
    - tcpm: switch check for role_sw device with fw_node
    - dt-bindings: serial: sh-sci: Fix r8a78000 interrupts
    - dt-bindings: usb: dwc3-imx8mp: dma-range is required only for imx8mp
    - dt-bindings: usb: qcom,snps-dwc3: Fix bindings for X1E80100
    - serial: 8250_dw: handle reset control deassert error
    - serial: 8250_exar: add support for Advantech 2 port card with Device ID
      0x0018
    - serial: 8250_mtk: Enable baud clock and manage in runtime PM
    - serial: sc16is7xx: remove useless enable of enhanced features
    - staging: gpib: Fix device reference leak in fmh_gpib driver
    - staging: gpib: Fix no EOI on 1 and 2 byte writes
    - staging: gpib: Return -EINTR on device clear
    - staging: gpib: Fix sending clear and trigger events
    - mm/migrate: remove MIGRATEPAGE_UNMAP
    - treewide: remove MIGRATEPAGE_SUCCESS
    - vmw_balloon: indicate success when effectively deflating during
      migration
    - xfs: always warn about deprecated mount options
    - gpio: regmap: Allow to allocate regmap-irq device
    - gpio: regmap: add the .fixed_direction_output configuration parameter
    - gpio: idio-16: Define fixed direction of the GPIO lines
    - Linux 6.17.6
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40084
    - ksmbd: transport_ipc: validate payload size before reading handle
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40222
    - tty: serial: sh-sci: fix RSCI FIFO overrun handling
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40223
    - most: usb: Fix use-after-free in hdm_disconnect
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40106
    - comedi: fix divide-by-zero in comedi_buf_munge()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40224
    - hwmon: (cgbc-hwmon) Add missing NULL check after devm_kzalloc()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40225
    - drm/panthor: Fix kernel panic on partial unmap of a GPU VA region
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40226
    - firmware: arm_scmi: Account for failed debug initialization
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40227
    - mm/damon/sysfs: dealloc commit test ctx always
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40228
    - mm/damon/sysfs: catch commit test ctx alloc failure
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40229
    - mm/damon/core: fix potential memory leak by cleaning ops_filter in
      damon_destroy_scheme
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40230
    - mm: prevent poison consumption when splitting THP
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40231
    - vsock: fix lock inversion in vsock_assign_transport()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40233
    - ocfs2: clear extent cache after moving/defragmenting extents
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40235
    - btrfs: directly free partially initialized fs_info in
      btrfs_check_leaked_roots()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40236
    - virtio-net: zero unused hash fields
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40237
    - fs/notify: call exportfs_encode_fid with s_umount
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40238
    - net/mlx5: Fix IPsec cleanup over MPV device
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40239
    - net: phy: micrel: always set shared->phydev for LAN8814
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40240
    - sctp: avoid NULL dereference when chunk data buffer is missing
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40241
    - erofs: fix crafted invalid cases for encoded extents
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40242
    - gfs2: Fix unlikely race in gdlm_put_lock
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40243
    - hfs: fix KMSAN uninit-value issue in hfs_find_set_zero_bits()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40244
    - hfsplus: fix KMSAN uninit-value issue in __hfsplus_ext_cache_extent()
  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40245
    - nios2: ensure that memblock.current_limit is set when setting pfn limits
  * Questing update: v6.17.5 upstream stable release (LP: #2133557)
    - docs: kdoc: handle the obsolescensce of docutils.ErrorString()
    - Revert "fs: make vfs_fileattr_[get|set] return -EOPNOTSUPP"
    - PCI: vmd: Override irq_startup()/irq_shutdown() in
      vmd_init_dev_msi_info()
    - ata: libata-core: relax checks in ata_read_log_directory()
    - arm64/sysreg: Fix GIC CDEOI instruction encoding
    - ixgbevf: fix getting link speed data for E610 devices
    - rust: cfi: only 64-bit arm and x86 support CFI_CLANG
    - x86/CPU/AMD: Prevent reset reasons from being retained across reboot
    - slab: reset slab->obj_ext when freeing and it is OBJEXTS_ALLOC_FAIL
    - Revert "io_uring/rw: drop -EOPNOTSUPP check in
      __io_complete_rw_common()"
    - io_uring: protect mem region deregistration
    - Revert "drm/amd/display: Only restore backlight after amdgpu_dm_init or
      dm_resume"
    - r8152: add error handling in rtl8152_driver_init
    - net: usb: lan78xx: Fix lost EEPROM write timeout error(-ETIMEDOUT) in
      lan78xx_write_raw_eeprom
    - f2fs: fix wrong block mapping for multi-devices
    - gve: Check valid ts bit on RX descriptor before hw timestamping
    - jbd2: ensure that all ongoing I/O complete before freeing blocks
    - ext4: wait for ongoing I/O to complete before freeing blocks
    - btrfs: fix clearing of BTRFS_FS_RELOC_RUNNING if relocation already
      running
    - btrfs: fix memory leak on duplicated memory in the qgroup assign ioctl
    - btrfs: only set the device specific options after devices are opened
    - btrfs: fix incorrect readahead expansion length
    - can: gs_usb: gs_make_candev(): populate net_device->dev_port
    - can: gs_usb: increase max interface to U8_MAX
    - cxl/acpi: Fix setup of memory resource in cxl_acpi_set_cache_size()
    - ALSA: hda/intel: Add MSI X870E Tomahawk to denylist
    - ALSA: hda/realtek: Add quirk entry for HP ZBook 17 G6
    - drm/amdgpu: use atomic functions with memory barriers for vm fault info
    - drm/amdgpu: fix gfx12 mes packet status return check
    - drm/xe: Increase global invalidation timeout to 1000us
    - perf/core: Fix address filter match with backing files
    - perf/core: Fix MMAP event path names with backing files
    - perf/core: Fix MMAP2 event device with backing files
    - drm/amd: Check whether secure display TA loaded successfully
    - PM: hibernate: Add pm_hibernation_mode_is_suspend()
    - drm/amd: Fix hybrid sleep
    - usb: gadget: Store endpoint pointer in usb_request
    - usb: gadget: Introduce free_usb_request helper
    - HID: multitouch: fix sticky fingers
    - dax: skip read lock assertion for read-only filesystems
    - coredump: fix core_pattern input validation
    - can: m_can: m_can_plat_remove(): add missing pm_runtime_disable()
    - can: m_can: m_can_handle_state_errors(): fix CAN state transition to
      Error Active
    - can: m_can: m_can_chip_config(): bring up interface in correct state
    - can: m_can: fix CAN state in system PM
    - net: mtk: wed: add dma mask limitation and GFP_DMA32 for device with
      more than 4GB DRAM
    - net: dlink: handle dma_map_single() failure properly
    - doc: fix seg6_flowlabel path
    - can: j1939: add missing calls in NETDEV_UNREGISTER notification handler
    - dpll: zl3073x: Refactor DPLL initialization
    - dpll: zl3073x: Handle missing or corrupted flash configuration
    - r8169: fix packet truncation after S4 resume on RTL8168H/RTL8111H
    - net: phy: bcm54811: Fix GMII/MII/MII-Lite selection
    - net: phy: realtek: Avoid PHYCR2 access if PHYCR2 not present
    - amd-xgbe: Avoid spurious link down messages during interface toggle
    - Octeontx2-af: Fix missing error code in cgx_probe()
    - tcp: fix tcp_tso_should_defer() vs large RTT
    - net: airoha: Take into account out-of-order tx completions in
      airoha_dev_xmit()
    - selftests: net: check jq command is supported
    - net: core: fix lockdep splat on device unregister
    - ksmbd: fix recursive locking in RPC handle list access
    - tg3: prevent use of uninitialized remote_adv and local_adv variables
    - tls: trim encrypted message to match the plaintext on short splice
    - tls: wait for async encrypt in case of error during latter iterations of
      sendmsg
    - tls: always set record_type in tls_process_cmsg
    - tls: don't rely on tx_work during send()
    - netdevsim: set the carrier when the device goes up
    - net: usb: lan78xx: fix use of improperly initialized dev->chipid in
      lan78xx_reset
    - drm/panthor: Ensure MCU is disabled on suspend
    - nvme-multipath: Skip nr_active increments in RETRY disposition
    - riscv: kprobes: Fix probe address validation
    - drm/bridge: lt9211: Drop check for last nibble of version register
    - powerpc/fadump: skip parameter area allocation when fadump is disabled
    - ASoC: codecs: Fix gain setting ranges for Renesas IDT821034 codec
    - ASoC: nau8821: Cancel jdet_work before handling jack ejection
    - ASoC: nau8821: Generalize helper to clear IRQ status
    - ASoC: nau8821: Consistently clear interrupts before unmasking
    - ASoC: nau8821: Add DMI quirk to bypass jack debounce circuit
    - drm/i915/guc: Skip communication warning on reset in progress
    - drm/i915/frontbuffer: Move bo refcounting
      intel_frontbuffer_{get,release}()
    - drm/i915/fb: Fix the set_tiling vs. addfb race, again
    - drm/amdgpu: add ip offset support for cyan skillfish
    - drm/amdgpu: add support for cyan skillfish without IP discovery
    - drm/amdgpu: fix handling of harvesting for ip_discovery firmware
    - drm/amdgpu: handle wrap around in reemit handling
    - drm/amdgpu: set an error on all fences from a bad context
    - drm/amdgpu: drop unused structures in amdgpu_drm.h
    - drm/amd/powerplay: Fix CIK shutdown temperature
    - drm/xe: Enable media sampler power gating
    - drm/draw: fix color truncation in drm_draw_fill24
    - drm/rockchip: vop2: use correct destination rectangle height check
    - HID: intel-thc-hid: Intel-quickspi: switch first interrupt from level to
      edge detection
    - sched/fair: Fix pelt lost idle time detection
    - ALSA: firewire: amdtp-stream: fix enum kernel-doc warnings
    - accel/qaic: Synchronize access to DBC request queue head & tail pointer
    - nvme-auth: update sc_c in host response
    - cxl/trace: Subtract to find an hpa_alias0 in cxl_poison events
    - selftests/bpf: make arg_parsing.c more robust to crashes
    - blk-mq: fix stale tag depth for shared sched tags in
      blk_mq_update_nr_requests()
    - block: Remove elevator_lock usage from blkg_conf frozen operations
    - HID: hid-input: only ignore 0 battery events for digitizers
    - HID: multitouch: fix name of Stylus input devices
    - drm/xe/evict: drop bogus assert
    - selftests: arg_parsing: Ensure data is flushed to disk before reading.
    - nvme/tcp: handle tls partially sent records in write_space()
    - rust: cpufreq: fix formatting
    - arm64: debug: always unmask interrupts in el0_softstp()
    - arm64: cputype: Add Neoverse-V3AE definitions
    - arm64: errata: Apply workarounds for Neoverse-V3AE
    - xfs: rename the old_crc variable in xlog_recover_process
    - xfs: fix log CRC mismatches between i386 and other architectures
    - NFSD: Rework encoding and decoding of nfsd4_deviceid
    - NFSD: Minor cleanup in layoutcommit processing
    - NFSD: Implement large extent array support in pNFS
    - NFSD: Fix last write offset handling in layoutcommit
    - phy: cdns-dphy: Store hs_clk_rate and return it
    - phy: cadence: cdns-dphy: Fix PLL lock and O_CMN_READY polling
    - x86/resctrl: Refactor resctrl_arch_rmid_read()
    - x86/resctrl: Fix miscount of bandwidth event when reactivating
      previously unavailable RMID
    - cxl: Fix match_region_by_range() to use region_res_match_cxl_range()
    - phy: cadence: cdns-dphy: Update calibration wait time for startup state
      machine
    - drm/xe: Use devm_ioremap_wc for VRAM mapping and drop manual unmap
    - drm/xe: Use dynamic allocation for tile and device VRAM region
      structures
    - drm/xe: Move struct xe_vram_region to a dedicated header
    - drm/xe: Unify the initialization of VRAM regions
    - drm/xe: Move rebar to be done earlier
    - PM: hibernate: Fix pm_hibernation_mode_is_suspend() build breakage
    - drm/xe: Fix an IS_ERR() vs NULL bug in xe_tile_alloc_vram()
    - Linux 6.17.5
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40086
    - drm/xe: Don't allow evicting of BOs in same VM in array of VM binds
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40087
    - NFSD: Define a proc_layoutcommit for the FlexFiles layout type
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40088
    - hfsplus: fix slab-out-of-bounds read in hfsplus_strcasecmp()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40162
    - ASoC: amd/sdw_utils: avoid NULL deref when devm_kasprintf() fails
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40085
    - ALSA: usb-audio: Fix NULL pointer deference in try_to_register_card
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40172
    - accel/qaic: Treat remaining == 0 as error in find_and_map_user_pages()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40177
    - accel/qaic: Fix bootlog initialization ordering
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40163
    - sched/deadline: Stop dl_server before CPU goes offline
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40174
    - x86/mm: Fix SMP ordering in switch_mm_irqs_off()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40089
    - cxl/features: Add check for no entries in cxl_feature_info
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40176
    - tls: wait for pending async decryptions if tls_strp_msg_hold fails
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40164
    - usbnet: Fix using smp_processor_id() in preemptible code warnings
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40091
    - ixgbe: fix too early devlink_free() in ixgbe_remove()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40175
    - idpf: cleanup remaining SKBs in PTP flows
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40173
    - net/ip6_tunnel: Prevent perpetual tunnel growth
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40092
    - usb: gadget: f_ncm: Refactor bind path to use __free()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40093
    - usb: gadget: f_ecm: Refactor bind path to use __free()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40094
    - usb: gadget: f_acm: Refactor bind path to use __free()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40095
    - usb: gadget: f_rndis: Refactor bind path to use __free()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40165
    - media: nxp: imx8-isi: m2m: Fix streaming cleanup on release
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40096
    - drm/sched: Fix potential double free in
      drm_sched_job_add_resv_dependencies
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40097
    - ALSA: hda: Fix missing pointer check in hda_component_manager_init
      function
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40098
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_get_acpi_mute_state()
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40099
    - cifs: parse_dfs_referrals: prevent oob on malformed input
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40100
    - btrfs: do not assert we found block group item when creating free space
      tree
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40101
    - btrfs: fix memory leaks when rejecting a non SINGLE data profile without
      an RST
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40167
    - ext4: detect invalid INLINE_DATA + EXTENTS flag combination
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40102
    - KVM: arm64: Prevent access to vCPU events before init
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40103
    - smb: client: Fix refcount leak for cifs_sb_tlink
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40104
    - ixgbevf: fix mailbox API compatibility by negotiating supported features
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40166
    - drm/xe/guc: Check GuC running state before deregistering exec queue
  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40105
    - vfs: Don't leak disconnected dentries on umount
  * The machine didn’t go into suspend and got stuck (LP: #2132095)
    - platform/x86: alienware-wmi-wmax: Fix NULL pointer dereference in sleep
      handlers
  * CAP_PERFMON insufficient to get perf data (LP: #2131046)
    - SAUCE: perf/core: Allow CAP_PERFMON for paranoid level 4
  * Poweroff not working consistently after upgrading kernel 6.14.0-17.17 or
    later (LP: #2115860)
    - drm/amd: Unify shutdown() callback behavior
    - drm/amd: Stop exporting amdgpu_device_ip_suspend() outside amdgpu_device
    - drm/amd: Remove comment about handling errors in
      amdgpu_device_ip_suspend_phase1()
    - drm/amd: Don't always set IP block HW status to false
    - drm/amd: Pass IP suspend errors up to callers
    - drm/amd: Avoid evicting resources at S5
  * Re-enable INTEL_SKL_INT3472 for kernels >= 6.16 for Intel IPU camera
    (LP: #2128792)
    - Revert "UBUNTU: [Config] FTBFS: disable INTEL_SKL_INT3472"
    - Revert "UBUNTU: SAUCE: platform/x86: int3472: Add handshake GPIO
      function"
  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - SAUCE: media: ipu-bridge: Support s5k3j1 sensor
  * Questing update: v6.17.4 upstream stable release (LP: #2131259)
    - fs: always return zero on success from replace_fd()
    - fscontext: do not consume log entries when returning -EMSGSIZE
    - btrfs: fix the incorrect max_bytes value for find_lock_delalloc_range()
    - arm64: map [_text, _stext) virtual address range non-executable+read-
      only
    - rseq: Protect event mask against membarrier IPI
    - statmount: don't call path_put() under namespace semaphore
    - listmount: don't call path_put() under namespace semaphore
    - clocksource/drivers/clps711x: Fix resource leaks in error paths
    - memcg: skip cgroup_file_notify if spinning is not allowed
    - page_pool: Fix PP_MAGIC_MASK to avoid crashing on some 32-bit arches
    - PM: runtime: Update kerneldoc return codes
    - dma-mapping: fix direction in dma_alloc direction traces
    - cpufreq: Make drivers using CPUFREQ_ETERNAL specify transition latency
    - nfsd: unregister with rpcbind when deleting a transport
    - KVM: x86: Add helper to retrieve current value of user return MSR
    - KVM: SVM: Emulate PERF_CNTR_GLOBAL_STATUS_SET for PerfMonV2
    - iio: frequency: adf4350: Fix ADF4350_REG3_12BIT_CLKDIV_MODE
    - media: v4l2-subdev: Fix alloc failure check in
      v4l2_subdev_call_state_try()
    - asm-generic/io.h: Skip trace helpers if rwmmio events are disabled
    - clk: npcm: select CONFIG_AUXILIARY_BUS
    - clk: thead: th1520-ap: describe gate clocks with clk_gate
    - clk: thead: th1520-ap: fix parent of padctrl0 clock
    - clk: thead: Correct parent for DPU pixel clocks
    - clk: renesas: r9a08g045: Add MSTOP for GPIO
    - perf disasm: Avoid undefined behavior in incrementing NULL
    - perf test trace_btf_enum: Skip if permissions are insufficient
    - perf evsel: Avoid container_of on a NULL leader
    - libperf event: Ensure tracing data is multiple of 8 sized
    - clk: qcom: common: Fix NULL vs IS_ERR() check in qcom_cc_icc_register()
    - clk: qcom: Select the intended config in QCS_DISPCC_615
    - perf parse-events: Handle fake PMUs in CPU terms
    - clk: at91: peripheral: fix return value
    - clk: renesas: cpg-mssr: Fix memory leak in cpg_mssr_reserved_init()
    - perf: Completely remove possibility to override MAX_NR_CPUS
    - perf drm_pmu: Fix fd_dir leaks in for_each_drm_fdinfo_in_dir()
    - perf util: Fix compression checks returning -1 as bool
    - rtc: x1205: Fix Xicor X1205 vendor prefix
    - rtc: optee: fix memory leak on driver removal
    - perf arm_spe: Correct setting remote access
    - perf arm_spe: Correct memory level for remote access
    - perf vendor events arm64 AmpereOneX: Fix typo - should be
      l1d_cache_access_prefetches
    - perf test: AMD IBS swfilt skip kernel tests if paranoia is >1
    - perf test shell lbr: Avoid failures with perf event paranoia
    - perf trace: Fix IS_ERR() vs NULL check bug
    - perf session: Fix handling when buffer exceeds 2 GiB
    - perf test: Don't leak workload gopipe in PERF_RECORD_*
    - perf evsel: Fix uniquification when PMU given without suffix
    - perf test: Avoid uncore_imc/clockticks in uniquification test
    - perf evsel: Ensure the fallback message is always written to
    - perf build-id: Ensure snprintf string is empty when size is 0
    - clk: mediatek: mt8195-infra_ao: Fix parent for infra_ao_hdmi_26m
    - clk: mediatek: clk-mux: Do not pass flags to
      clk_mux_determine_rate_flags()
    - clk: nxp: lpc18xx-cgu: convert from round_rate() to determine_rate()
    - clk: nxp: Fix pll0 rate check condition in LPC18xx CGU driver
    - clk: tegra: do not overallocate memory for bpmp clocks
    - nfsd: fix assignment of ia_ctime.tv_nsec on delegated mtime update
    - nfsd: ignore ATTR_DELEG when checking ia_valid before notify_change()
    - vfs: add ATTR_CTIME_SET flag
    - nfsd: use ATTR_CTIME_SET for delegated ctime updates
    - nfsd: track original timestamps in nfs4_delegation
    - nfsd: fix SETATTR updates for delegated timestamps
    - nfsd: fix timestamp updates in CB_GETATTR
    - tracing: Fix the bug where bpf_get_stackid returns -EFAULT on the ARM64
    - PM: core: Annotate loops walking device links as _srcu
    - PM: core: Add two macros for walking device links
    - PM: sleep: Do not wait on SYNC_STATE_ONLY device links
    - cpufreq: tegra186: Set target frequency for all cpus in policy
    - scsi: mvsas: Fix use-after-free bugs in mvs_work_queue
    - perf bpf-filter: Fix opts declaration on older libbpfs
    - scsi: ufs: sysfs: Make HID attributes visible
    - mshv: Handle NEED_RESCHED_LAZY before transferring to guest
    - perf bpf_counter: Fix handling of cpumap fixing hybrid
    - ASoC: SOF: ipc4-topology: Correct the minimum host DMA buffer size
    - ASoC: SOF: ipc4-topology: Account for different ChainDMA host buffer
      size
    - ASoC: SOF: Intel: hda-pcm: Place the constraint on period time instead
      of buffer time
    - LoongArch: Add cflag -fno-isolate-erroneous-paths-dereference
    - LoongArch: Fix build error for LTO with LLVM-18
    - LoongArch: Init acpi_gbl_use_global_lock to false
    - ASoC: SOF: Intel: Read the LLP via the associated Link DMA channel
    - net: usb: lan78xx: Fix lost EEPROM read timeout error(-ETIMEDOUT) in
      lan78xx_read_raw_eeprom
    - net/mlx4: prevent potential use after free in mlx4_en_do_uc_filter()
    - drm/xe/hw_engine_group: Fix double write lock release in error path
    - drm/xe/i2c: Don't rely on d3cold.allowed flag in system PM path
    - s390/cio: Update purge function to unregister the unused subchannels
    - drm/vmwgfx: Fix a null-ptr access in the cursor snooper
    - drm/vmwgfx: Fix Use-after-free in validation
    - drm/vmwgfx: Fix copy-paste typo in validation
    - net/sctp: fix a null dereference in sctp_disposition
      sctp_sf_do_5_1D_ce()
    - tcp: Don't call reqsk_fastopen_remove() in tcp_conn_request().
    - net: mscc: ocelot: Fix use-after-free caused by cyclic delayed work
    - selftest: net: ovpn: Fix uninit return values
    - ice: ice_adapter: release xa entry on adapter allocation failure
    - net: fsl_pq_mdio: Fix device node reference leak in fsl_pq_mdio_probe
    - tools build: Align warning options with perf
    - perf python: split Clang options when invoking Popen
    - tcp: take care of zero tp->window_clamp in tcp_set_rcvlowat()
    - mailbox: zynqmp-ipi: Remove redundant mbox_controller_unregister() call
    - mailbox: zynqmp-ipi: Remove dev.parent check in zynqmp_ipi_free_mboxes
    - mailbox: zynqmp-ipi: Fix out-of-bounds access in mailbox cleanup loop
    - mailbox: zynqmp-ipi: Fix SGI cleanup on unbind
    - bpf: Fix metadata_dst leak __bpf_redirect_neigh_v{4,6}
    - net: mdio: mdio-i2c: Hold the i2c bus lock during smbus transactions
    - net: sparx5/lan969x: fix flooding configuration on bridge join/leave
    - net/mlx5: Prevent tunnel mode conflicts between FDB and NIC IPsec tables
    - net/mlx5e: Prevent tunnel reformat when tunnel mode not allowed
    - mailbox: mtk-cmdq: Remove pm_runtime APIs from cmdq_mbox_send_data()
    - drm/amdgpu: Add additional DCE6 SCL registers
    - drm/amd/display: Add missing DCE6 SCL_HORZ_FILTER_INIT* SRIs
    - drm/amd/display: Properly clear SCL_*_FILTER_CONTROL on DCE6
    - drm/amd/display: Properly disable scaling on DCE6
    - drm/amd/display: Disable scaling on DCE6 for now
    - drm/amdkfd: Fix kfd process ref leaking when userptr unmapping
    - net: pse-pd: tps23881: Fix current measurement scaling
    - crypto: skcipher - Fix reqsize handling
    - netfilter: nft_objref: validate objref and objrefmap expressions
    - bridge: br_vlan_fill_forward_path_pvid: use br_vlan_group_rcu()
    - selftests: netfilter: nft_fib.sh: fix spurious test failures
    - selftests: netfilter: query conntrack state to check for port clash
      resolution
    - io_uring/zcrx: increment fallback loop src offset
    - net: airoha: Fix loopback mode configuration for GDM2 port
    - cifs: Fix copy_to_iter return value check
    - smb: client: fix missing timestamp updates after utime(2)
    - rtc: isl12022: Fix initial enable_irq/disable_irq balance
    - cifs: Query EA $LXMOD in cifs_query_path_info() for WSL reparse points
    - tpm_tis: Fix incorrect arguments in tpm_tis_probe_irq_single
    - gpio: wcd934x: mark the GPIO controller as sleeping
    - bpf: Avoid RCU context warning when unpinning htab with internal structs
    - kbuild: always create intermediate vmlinux.unstripped
    - kbuild: keep .modinfo section in vmlinux.unstripped
    - kbuild: Restore pattern to avoid stripping .rela.dyn from vmlinux
    - kbuild: Add '.rel.*' strip pattern for vmlinux
    - s390: vmlinux.lds.S: Reorder sections
    - s390/vmlinux.lds.S: Move .vmlinux.info to end of allocatable sections
    - ACPICA: acpidump: drop ACPI_NONSTRING attribute from file_name
    - ACPI: property: Fix buffer properties extraction for subnodes
    - ACPI: TAD: Add missing sysfs_remove_group() for ACPI_TAD_RT
    - ACPICA: Debugger: drop ACPI_NONSTRING attribute from name_seg
    - ACPI: debug: fix signedness issues in read/write helpers
    - ACPI: battery: Add synchronization between interface updates
    - arm64: dts: qcom: msm8916: Add missing MDSS reset
    - arm64: dts: qcom: msm8939: Add missing MDSS reset
    - arm64: dts: qcom: sdm845: Fix slimbam num-channels/ees
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-pmics: Disable pm8010
      by default"
    - arm64: dts: qcom: x1e80100-pmics: Disable pm8010 by default
    - arm64: dts: ti: k3-am62a-main: Fix main padcfg length
    - arm64: dts: ti: k3-am62p: Fix supported hardware for 1GHz OPP
    - arm64: kprobes: call set_memory_rox() for kprobe page
    - arm64: mte: Do not flag the zero page as PG_mte_tagged
    - ARM: AM33xx: Implement TI advisory 1.0.36 (EMU0/EMU1 pins state on
      reset)
    - ARM: OMAP2+: pm33xx-core: ix device node reference leaks in
      amx3_idle_init
    - firmware: arm_scmi: quirk: Prevent writes to string constants
    - perf/arm-cmn: Fix CMN S3 DTM offset
    - KVM: s390: Fix to clear PTE when discarding a swapped page
    - KVM: arm64: Fix debug checking for np-guests using huge mappings
    - KVM: arm64: Fix page leak in user_mem_abort()
    - x86/kvm: Force legacy PCI hole to UC when overriding MTRRs for TDX/SNP
    - KVM: SVM: Re-load current, not host, TSC_AUX on #VMEXIT from SEV-ES
      guest
    - KVM: TDX: Fix uninitialized error code for __tdx_bringup()
    - dt-bindings: phy: rockchip-inno-csi-dphy: make power-domains non-
      required
    - xen: take system_transition_mutex on suspend
    - xen/events: Cleanup find_virq() return codes
    - xen/manage: Fix suspend error path
    - xen/events: Return -EEXIST for bound VIRQs
    - xen/events: Update virq_to_irq on migration
    - firmware: exynos-acpm: fix PMIC returned errno
    - firmware: meson_sm: fix device leak at probe
    - media: cec: extron-da-hd-4k-plus: drop external-module make commands
    - media: cx18: Add missing check after DMA map
    - media: i2c: mt9p031: fix mbus code initialization
    - media: i2c: mt9v111: fix incorrect type for ret
    - media: mc: Fix MUST_CONNECT handling for pads with no links
    - media: pci: ivtv: Add missing check after DMA map
    - media: pci: mg4b: fix uninitialized iio scan data
    - media: platform: mtk-mdp3: Add missing MT8188 compatible to comp_dt_ids
    - media: s5p-mfc: remove an unused/uninitialized variable
    - media: staging/ipu7: fix isys device runtime PM usage in firmware
      closing
    - media: uvcvideo: Avoid variable shadowing in uvc_ctrl_cleanup_fh
    - media: venus: firmware: Use correct reset sequence for IRIS2
    - media: venus: pm_helpers: add fallback for the opp-table
    - media: vivid: fix disappearing <Vendor Command With ID> messages
    - media: vsp1: Export missing vsp1_isp_free_buffer symbol
    - media: ti: j721e-csi2rx: Use devm_of_platform_populate
    - media: ti: j721e-csi2rx: Fix source subdev link creation
    - media: lirc: Fix error handling in lirc_register()
    - drm/exynos: exynos7_drm_decon: remove ctx->suspended
    - drm/panthor: Fix memory leak in panthor_ioctl_group_create()
    - drm/msm/a6xx: Fix PDC sleep sequence
    - drm/rcar-du: dsi: Fix 1/2/3 lane support
    - drm/nouveau: fix bad ret code in nouveau_bo_move_prep
    - drm/xe/uapi: loosen used tracking restriction
    - drm/amd/display: Incorrect Mirror Cositing
    - drm/amd/display: Enable Dynamic DTBCLK Switch
    - drm/amd/display: Fix unsafe uses of kernel mode FPU
    - blk-crypto: fix missing blktrace bio split events
    - btrfs: avoid potential out-of-bounds in btrfs_encode_fh()
    - bus: mhi: ep: Fix chained transfer handling in read path
    - bus: mhi: host: Do not use uninitialized 'dev' pointer in
      mhi_init_irq_setup()
    - cdx: Fix device node reference leak in cdx_msi_domain_init
    - clk: qcom: tcsrcc-x1e80100: Set the bi_tcxo as parent to eDP refclk
    - clk: samsung: exynos990: Use PLL_CON0 for PLL parent muxes
    - clk: samsung: exynos990: Fix CMU_TOP mux/div bit widths
    - clk: samsung: exynos990: Replace bogus divs with fixed-factor clocks
    - copy_sighand: Handle architectures where sizeof(unsigned long) <
      sizeof(u64)
    - cpufreq: CPPC: Avoid using CPUFREQ_ETERNAL as transition delay
    - cpufreq: intel_pstate: Fix object lifecycle issue in
      update_qos_request()
    - crypto: aspeed - Fix dma_unmap_sg() direction
    - crypto: atmel - Fix dma_unmap_sg() direction
    - crypto: rockchip - Fix dma_unmap_sg() nents value
    - eventpoll: Replace rwlock with spinlock
    - fbdev: Fix logic error in "offb" name match
    - fs/ntfs3: Fix a resource leak bug in wnd_extend()
    - fs: quota: create dedicated workqueue for quota_release_work
    - fsnotify: pass correct offset to fsnotify_mmap_perm()
    - fuse: fix possibly missing fuse_copy_finish() call in fuse_notify()
    - fuse: fix livelock in synchronous file put from fuseblk workers
    - gpio: mpfs: fix setting gpio direction to output
    - i3c: Fix default I2C adapter timeout value
    - iio/adc/pac1934: fix channel disable configuration
    - iio: dac: ad5360: use int type to store negative error codes
    - iio: dac: ad5421: use int type to store negative error codes
    - iio: frequency: adf4350: Fix prescaler usage.
    - iio: xilinx-ams: Fix AMS_ALARM_THR_DIRECT_MASK
    - iio: xilinx-ams: Unmask interrupts after updating alarms
    - init: handle bootloader identifier in kernel parameters
    - iio: imu: inv_icm42600: Simplify pm_runtime setup
    - iio: imu: inv_icm42600: Drop redundant pm_runtime reinitialization in
      resume
    - iio: imu: inv_icm42600: Avoid configuring if already pm_runtime
      suspended
    - iommu/vt-d: PRS isn't usable if PDS isn't supported
    - ipmi: Rework user message limit handling
    - ipmi:msghandler:Change seq_lock to a mutex
    - kernel/sys.c: fix the racy usage of task_lock(tsk->group_leader) in
      sys_prlimit64() paths
    - KEYS: trusted_tpm1: Compare HMAC values in constant time
    - kho: only fill kimage if KHO is finalized
    - lib/genalloc: fix device leak in of_gen_pool_get()
    - loop: fix backing file reference leak on validation error
    - md: fix mssing blktrace bio split events
    - of: unittest: Fix device reference count leak in
      of_unittest_pci_node_verify
    - openat2: don't trigger automounts with RESOLVE_NO_XDEV
    - padata: Reset next CPU when reorder sequence wraps around
    - parisc: don't reference obsolete termio struct for TC* constants
    - parisc: Remove spurious if statement from raw_copy_from_user()
    - nvme-pci: Add TUXEDO IBS Gen8 to Samsung sleep quirk
    - pinctrl: samsung: Drop unused S3C24xx driver data
    - PM: EM: Fix late boot with holes in CPU topology
    - PM: hibernate: Fix hybrid-sleep
    - PM: hibernate: Restrict GFP mask in power_down()
    - power: supply: max77976_charger: fix constant current reporting
    - powerpc/powernv/pci: Fix underflow and leak issue
    - powerpc/pseries/msi: Fix potential underflow and leak issue
    - pwm: berlin: Fix wrong register in suspend/resume
    - pwm: Fix incorrect variable used in error message
    - Revert "ipmi: fix msg stack when IPMI is disconnected"
    - sched/deadline: Fix race in push_dl_task()
    - scsi: hpsa: Fix potential memory leak in hpsa_big_passthru_ioctl()
    - scsi: sd: Fix build warning in sd_revalidate_disk()
    - sctp: Fix MAC comparison to be constant-time
    - smb client: fix bug with newly created file in cached dir
    - sparc64: fix hugetlb for sun4u
    - sparc: fix error handling in scan_one_device()
    - xtensa: simdisk: add input size check in proc_write_simdisk
    - xsk: Harden userspace-supplied xdp_desc validation
    - mtd: rawnand: fsmc: Default to autodetect buswidth
    - mtd: nand: raw: gpmi: fix clocks when CONFIG_PM=N
    - mmc: core: SPI mode remove cmd7
    - mmc: mmc_spi: multiple block read remove read crc ack
    - memory: samsung: exynos-srom: Fix of_iomap leak in exynos_srom_probe
    - memory: stm32_omm: Fix req2ack update test
    - rtc: interface: Ensure alarm irq is enabled when UIE is enabled
    - rtc: interface: Fix long-standing race when setting alarm
    - rseq/selftests: Use weak symbol reference, not definition, to link with
      glibc
    - PCI: xilinx-nwl: Fix ECAM programming
    - PCI: tegra: Convert struct tegra_msi mask_lock into raw spinlock
    - PCI/sysfs: Ensure devices are powered for config reads
    - PCI/IOV: Add PCI rescan-remove locking when enabling/disabling SR-IOV
    - PCI/ERR: Fix uevent on failure to recover
    - PCI/AER: Fix missing uevent on recovery when a reset is requested
    - PCI/AER: Support errors introduced by PCIe r6.0
    - PCI: Ensure relaxed tail alignment does not increase min_align
    - PCI: Fix failure detection during resource resize
    - PCI: j721e: Fix module autoloading
    - PCI: j721e: Fix programming sequence of "strap" settings
    - PCI: keystone: Use devm_request_irq() to free "ks-pcie-error-irq" on
      exit
    - PCI: rcar-gen4: Fix PHY initialization
    - PCI: rcar-host: Drop PMSR spinlock
    - PCI: rcar-host: Convert struct rcar_msi mask_lock into raw spinlock
    - PCI: tegra194: Fix broken tegra_pcie_ep_raise_msi_irq()
    - PCI: tegra194: Handle errors in BPMP response
    - PCI: tegra194: Reset BARs when running in PCIe endpoint mode
    - PCI/pwrctrl: Fix device leak at registration
    - PCI/pwrctrl: Fix device and OF node leak at bus scan
    - PCI/pwrctrl: Fix device leak at device stop
    - spi: cadence-quadspi: Flush posted register writes before INDAC access
    - spi: cadence-quadspi: Flush posted register writes before DAC access
    - spi: cadence-quadspi: Fix cqspi_setup_flash()
    - xfs: use deferred intent items for reaping crosslinked blocks
    - x86/fred: Remove ENDBR64 from FRED entry points
    - x86/umip: Check that the instruction opcode is at least two bytes
    - x86/umip: Fix decoding of register forms of 0F 01 (SGDT and SIDT
      aliases)
    - mptcp: pm: in-kernel: usable client side with C-flag
    - mptcp: reset blackhole on success with non-loopback ifaces
    - selftests: mptcp: join: validate C-flag + def limit
    - s390/cio/ioasm: Fix __xsch() condition code handling
    - s390/dasd: enforce dma_alignment to ensure proper buffer validation
    - s390/dasd: Return BLK_STS_INVAL for EINVAL from do_dasd_request
    - s390: Add -Wno-pointer-sign to KBUILD_CFLAGS_DECOMPRESSOR
    - slab: prevent warnings when slab obj_exts vector allocation fails
    - slab: mark slab->obj_exts allocation failures unconditionally
    - wifi: ath11k: HAL SRNG: don't deinitialize and re-initialize again
    - wifi: iwlwifi: Fix dentry reference leak in iwl_mld_add_link_debugfs
    - wifi: rtw89: avoid possible TX wait initialization race
    - wifi: mt76: mt7925u: Add VID/PID for Netgear A9000
    - wifi: mt76: mt7921u: Add VID/PID for Netgear A7500
    - mm/thp: fix MTE tag mismatch when replacing zero-filled subpages
    - mm/rmap: fix soft-dirty and uffd-wp bit loss when remapping zero-filled
      mTHP subpage to shared zeropage
    - mm/page_alloc: only set ALLOC_HIGHATOMIC for __GPF_HIGH allocations
    - mm/hugetlb: early exit from hugetlb_pages_alloc_boot() when
      max_huge_pages=0
    - mm/damon/vaddr: do not repeat pte_offset_map_lock() until success
    - mm/damon/lru_sort: use param_ctx for damon_attrs staging
    - nfsd: decouple the xprtsec policy check from check_nfsd_access()
    - NFSD: Fix destination buffer size in nfsd4_ssc_setup_dul()
    - nfsd: nfserr_jukebox in nlm_fopen should lead to a retry
    - media: iris: Call correct power off callback in cleanup path
    - media: iris: Fix firmware reference leak and unmap memory after load
    - media: iris: fix module removal if firmware download failed
    - media: iris: vpu3x: Add MNoC low power handshake during hardware power-
      off
    - media: iris: Fix port streaming handling
    - media: iris: Fix buffer count reporting in internal buffer check
    - media: iris: Allow substate transition to load resources during output
      streaming
    - media: iris: Always destroy internal buffers on firmware release
      response
    - media: iris: Simplify session stop logic by relying on vb2 checks
    - media: iris: Update vbuf flags before v4l2_m2m_buf_done
    - media: iris: Send dummy buffer address for all codecs during drain
    - media: iris: Fix missing LAST flag handling during drain
    - media: iris: Fix format check for CAPTURE plane in try_fmt
    - media: iris: Allow stop on firmware only if start was issued.
    - ext4: add ext4_sb_bread_nofail() helper function for
      ext4_free_branches()
    - ext4: fail unaligned direct IO write with EINVAL
    - ext4: verify orphan file size is not too big
    - ext4: increase i_disksize to offset + len in
      ext4_update_disksize_before_punch()
    - ext4: correctly handle queries for metadata mappings
    - ext4: avoid potential buffer over-read in parse_apply_sb_mount_options()
    - ext4: fix an off-by-one issue during moving extents
    - ext4: guard against EA inode refcount underflow in xattr update
    - ext4: validate ea_ino and size in check_xattrs
    - ACPICA: Allow to skip Global Lock initialization
    - ext4: free orphan info with kvfree
    - ipmi: Fix handling of messages with provided receive message pointer
    - Squashfs: add additional inode sanity checking
    - Squashfs: reject negative file sizes in squashfs_read_inode()
    - mm/ksm: fix incorrect KSM counter handling in mm_struct during fork
    - media: mc: Clear minor number before put device
    - arm64: dts: qcom: qcs615: add missing dt property in QUP SEs
    - ACPI: property: Disregard references in data-only subnode lists
    - ACPI: property: Add code comments explaining what is going on
    - ACPI: property: Do not pass NULL handles to acpi_attach_data()
    - irqchip/sifive-plic: Avoid interrupt ID 0 handling during suspend/resume
    - copy_file_range: limit size if in compat mode
    - minixfs: Verify inode mode when loading from disk
    - pid: Add a judgment for ns null in pid_nr_ns
    - fs: Add 'initramfs_options' to set initramfs mount options
    - cramfs: Verify inode mode when loading from disk
    - nsfs: validate extensible ioctls
    - mnt_ns_tree_remove(): DTRT if mnt_ns had never been added to mnt_ns_list
    - writeback: Avoid softlockup when switching many inodes
    - writeback: Avoid excessively long inode switching times
    - iomap: error out on file IO when there is no inline_data buffer
    - pidfs: validate extensible ioctls
    - mount: handle NULL values in mnt_ns_release()
    - Linux 6.17.4
  * Questing update: v6.17.4 upstream stable release (LP: #2131259) // Race
    condition in perf build causes build failure due to missing unistd_64.h
    header on arm64 (LP: #2131702)
    - perf tools: Fix arm64 libjvmti build by generating unistd_64.h
  * Questing update: v6.17.3 upstream stable release (LP: #2129610)
    - arch: copy_thread: pass clone_flags as u64
    - filelock: add FL_RECLAIM to show_fl_flags() macro
    - init: INITRAMFS_PRESERVE_MTIME should depend on BLK_DEV_INITRD
    - pid: use ns_capable_noaudit() when determining net sysctl permissions
    - Fix CC_HAS_ASM_GOTO_OUTPUT on non-x86 architectures
    - [Config]: Update CC configs for v6.17.3
    - seccomp: Fix a race with WAIT_KILLABLE_RECV if the tracer replies too
      fast
    - kbuild: Add missing $(objtree) prefix to powerpc crtsavres.o artifact
    - selftests: arm64: Check fread return value in exec_target
    - selftests: arm64: Fix -Waddress warning in tpidr2 test
    - kselftest/arm64/gcs: Correctly check return value when disabling GCS
    - hfsplus: fix slab-out-of-bounds read in hfsplus_uni2asc()
    - gfs2: Fix GLF_INVALIDATE_IN_PROGRESS flag clearing in do_xmote
    - gfs2: Remove space before newline
    - gfs2: Further sanitize lock_dlm.c
    - gfs2: Fix LM_FLAG_TRY* logic in add_to_queue
    - gfs2: Remove duplicate check in do_xmote
    - gfs2: Get rid of GLF_INVALIDATE_IN_PROGRESS
    - gfs2: do_xmote cleanup
    - gfs2: Add proper lockspace locking
    - powerpc/8xx: Remove left-over instruction and comments in
      DataStoreTLBMiss handler
    - powerpc/603: Really copy kernel PGD entries into all PGDIRs
    - powerpc/ftrace: ensure ftrace record ops are always set for NOPs
    - powerpc64/modules: correctly iterate over stubs in
      setup_ftrace_ool_stubs
    - uprobes: uprobe_warn should use passed task
    - raid6: riscv: Clean up unused header file inclusion
    - coresight: trbe: Prevent overflow in PERF_IDX2OFF()
    - perf: arm_spe: Prevent overflow in PERF_IDX2OFF()
    - erofs: avoid reading more for fragment maps
    - smb: client: fix sending the iwrap custom IRD/ORD negotiation messages
    - smb: server: fix IRD/ORD negotiation with the client
    - perf/x86/intel: Use early_initcall() to hook bts_init()
    - perf/x86/intel: Fix IA32_PMC_x_CFG_B MSRs access error
    - x86/vdso: Fix output operand size of RDPID
    - selftests: cgroup: Make test_pids backwards compatible
    - sched/fair: Get rid of sched_domains_curr_level hack for tl->cpumask()
    - [Config]: Update CONFIG_SCHED_MC for v6.17.3
    - lsm: CONFIG_LSM can depend on CONFIG_SECURITY
    - cpuset: fix failure to enable isolated partition when containing
      isolcpus
    - btrfs: return any hit error from extent_writepage_io()
    - btrfs: fix symbolic link reading when bs > ps
    - pinctrl: renesas: rzg2l: Fix invalid unsigned return in rzg3s_oen_read()
    - arm64: dts: renesas: rzg2lc-smarc: Disable CAN-FD channel0
    - bpf: Tidy verifier bug message
    - regmap: Remove superfluous check for !config in __regmap_init()
    - selftests/bpf: Copy test_kmods when installing selftest
    - rust: cpumask: Mark CpumaskVar as transparent
    - bpf/selftests: Fix test_tcpnotify_user
    - bpf: Remove migrate_disable in kprobe_multi_link_prog_run
    - libbpf: Fix reuse of DEVMAP
    - tools/nolibc: fix error return value of clock_nanosleep()
    - ARM: dts: renesas: porter: Fix CAN pin group
    - leds: max77705: Function return instead of variable assignment
    - leds: flash: leds-qcom-flash: Update torch current clamp setting
    - s390/bpf: Do not write tail call counter into helper and kfunc frames
    - s390/bpf: Write back tail call counter for BPF_PSEUDO_CALL
    - s390/bpf: Write back tail call counter for BPF_TRAMP_F_CALL_ORIG
    - cpufreq: scmi: Account for malformed DT in scmi_dev_used_by_cpus()
    - arm64: dts: renesas: sparrow-hawk: Invert microSD voltage selector on
      EVTB1
    - arm64: dts: renesas: sparrow-hawk: Set VDDQ18_25_AVB voltage on EVTB1
    - libbpf: Export bpf_object__prepare symbol
    - firmware: arm_scmi: Mark VirtIO ready before registering
      scmi_virtio_driver
    - arm64: dts: imx93-kontron: Fix GPIO for panel regulator
    - arm64: dts: imx93-kontron: Fix USB port assignment
    - arm64: dts: imx95: Correct the lpuart7 and lpuart8 srcid
    - bpf: Remove preempt_disable in bpf_try_get_buffers
    - ACPI: processor: idle: Fix memory leak when register cpuidle device
      failed
    - genirq: Add irq_chip_(startup/shutdown)_parent()
    - PCI/MSI: Add startup/shutdown for per device domains
    - irqchip/sg2042-msi: Fix broken affinity setting
    - scripts/misc-check: update export checks for EXPORT_SYMBOL_FOR_MODULES()
    - soc: qcom: rpmh-rsc: Unconditionally clear _TRIGGER bit for TCS
    - pinctrl: meson-gxl: add missing i2c_d pinmux
    - blk-mq: check kobject state_in_sysfs before deleting in
      blk_mq_unregister_hctx
    - selftests/futex: Remove the -g parameter from futex_priv_hash
    - ARM: at91: pm: fix MCKx restore routine
    - arm64: dts: apple: t8103-j457: Fix PCIe ethernet iommu-map
    - regulator: scmi: Use int type to store negative error codes
    - selftests/futex: Fix some futex_numa_mpol subtests
    - tools/nolibc: avoid error in dup2() if old fd equals new fd
    - selftests/nolibc: fix EXPECT_NZ macro
    - leds: leds-lp55xx: Use correct address for memory programming
    - PCI/MSI: Check MSI_FLAG_PCI_MSI_MASK_PARENT in
      cond_[startup|shutdown]_parent()
    - block: use int to store blk_stack_limits() return value
    - ARM: dts: stm32: stm32mp151c-plyaqm: Use correct dai-format property
    - dt-bindings: vendor-prefixes: Add undocumented vendor prefixes
    - genirq/test: Fix depth tests on architectures with NOREQUEST by default.
    - genirq/test: Select IRQ_DOMAIN
    - genirq/test: Depend on SPARSE_IRQ
    - genirq/test: Drop CONFIG_GENERIC_IRQ_MIGRATION assumptions
    - genirq/test: Ensure CPU 1 is online for hotplug test
    - selftests/bpf: Fix count write in testapp_xdp_metadata_copy()
    - vdso/datastore: Gate time data behind CONFIG_GENERIC_GETTIMEOFDAY
    - PM: sleep: core: Clear power.must_resume in noirq suspend error path
    - blk-mq: fix elevator depth_updated method
    - vdso: Add struct __kernel_old_timeval forward declaration to gettime.h
    - ARM: dts: ti: omap: am335x-baltos: Fix ti,en-ck32k-xtal property in DTS
      to use correct boolean syntax
    - ARM: dts: ti: omap: omap3-devkit8000-lcd: Fix ti,keep-vref-on property
      to use correct boolean syntax in DTS
    - ARM: dts: omap: am335x-cm-t335: Remove unused mcasp num-serializer
      property
    - PM / devfreq: mtk-cci: Fix potential error pointer dereference in
      probe()
    - power: supply: cw2015: Fix a alignment coding style issue
    - hwmon: (asus-ec-sensors) Narrow lock for X870E-CREATOR WIFI
    - pinctrl: renesas: Use int type to store negative error codes
    - pinctrl: eswin: Fix regulator error check and Kconfig dependency
    - null_blk: Fix the description of the cache_size module argument
    - blk-throttle: fix access race during throttle policy activation
    - selftests: vDSO: Fix -Wunitialized in powerpc VDSO_CALL() wrapper
    - selftests: vDSO: vdso_test_abi: Correctly skip whole test with missing
      vDSO
    - irqchip/gic-v5: Fix loop in gicv5_its_create_itt_two_level() cleanup
      path
    - irqchip/gic-v5: Fix error handling in gicv5_its_irq_domain_alloc()
    - tick: Do not set device to detached state in tick_shutdown()
    - arm64: dts: mediatek: mt8195: Remove suspend-breaking reset from pcie0
    - arm64: dts: mediatek: mt8183: Fix out of range pull values
    - nbd: restrict sockets to TCP and UDP
    - PM / devfreq: rockchip-dfi: double count on RK3588
    - firmware: firmware: meson-sm: fix compile-test default
    - dts: arm: amlogic: fix pwm node for c3
    - soc: mediatek: mtk-svs: fix device leaks on mt8183 probe failure
    - soc: mediatek: mtk-svs: fix device leaks on mt8192 probe failure
    - cpuidle: qcom-spm: fix device and OF node leaks at probe
    - block: cleanup bio_issue
    - block: initialize bio issue time in blk_mq_submit_bio()
    - block: factor out a helper bio_submit_split_bioset()
    - block: skip unnecessary checks for split bio
    - block: fix ordering of recursive split IO
    - blk-mq: remove useless checkings in blk_mq_update_nr_requests()
    - blk-mq: check invalid nr_requests in queue_requests_store()
    - blk-mq: convert to serialize updating nr_requests with
      update_nr_hwq_lock
    - blk-mq: cleanup shared tags case in blk_mq_update_nr_requests()
    - blk-mq: split bitmap grow and resize case in blk_mq_update_nr_requests()
    - blk-mq-sched: add new parameter nr_requests in blk_mq_alloc_sched_tags()
    - blk-mq: fix potential deadlock while nr_requests grown
    - arm64: dts: allwinner: a527: cubie-a5e: Add ethernet PHY reset setting
    - arm64: dts: allwinner: t527: avaota-a1: Add ethernet PHY reset setting
    - arm64: dts: rockchip: Add RTC on rk3576-evb1-v10
    - arm64: dts: rockchip: Add WiFi on rk3576-evb1-v10
    - arm64: dts: rockchip: Fix network on rk3576 evb1 board
    - arm64: dts: ti: k3-j742s2-mcu-wakeup: Override firmware-name for MCU R5F
      cores
    - arm64: dts: ti: k3: Rename rproc reserved-mem nodes to 'memory@addr'
    - Revert "arm64: dts: ti: k3-j721e-sk: Fix reversed C6x carveout
      locations"
    - Revert "arm64: dts: ti: k3-j721e-beagleboneai64: Fix reversed C6x
      carveout locations"
    - arm64: dts: mediatek: mt8188: Change efuse fallback compatible to mt8186
    - arm64: dts: mediatek: mt8186-tentacruel: Fix touchscreen model
    - arm64: dts: ti: k3-pinctrl: Fix the bug in existing macros
    - arm64: dts: renesas: r9a09g047e57-smarc: Fix gpio key's pin control node
    - arm64: dts: mediatek: mt6331: Fix pmic, regulators, rtc, keys node names
    - mmc: core: Fix variable shadowing in mmc_route_rpmb_frames()
    - arm64: dts: mediatek: mt6795-xperia-m5: Fix mmc0 latch-ck value
    - arm64: dts: mediatek: mt7986a: Fix PCI-Express T-PHY node address
    - arm64: dts: mediatek: mt8395-kontron-i1200: Fix MT6360 regulator nodes
    - arm64: dts: mediatek: mt8516-pumpkin: Fix machine compatible
    - arm64: dts: allwinner: a527: cubie-a5e: Add LEDs
    - arm64: dts: allwinner: a527: cubie-a5e: Drop external 32.768 KHz crystal
    - arm64: dts: allwinner: t527: avaota-a1: hook up external 32k crystal
    - arm64: dts: allwinner: t527: orangepi-4a: hook up external 32k crystal
    - pwm: tiehrpwm: Don't drop runtime PM reference in .free()
    - pwm: tiehrpwm: Make code comment in .free() more useful
    - pwm: tiehrpwm: Fix various off-by-one errors in duty-cycle calculation
    - pwm: tiehrpwm: Fix corner case in clock divisor calculation
    - ACPICA: Apply ACPI_NONSTRING
    - ACPICA: Fix largest possible resource descriptor index
    - riscv, bpf: Sign extend struct ops return values properly
    - nvme-auth: update bi_directional flag
    - nvmet-fc: move lsop put work to nvmet_fc_ls_req_op
    - nvmet-fcloop: call done callback even when remote port is gone
    - nvme-tcp: send only permitted commands for secure concat
    - i3c: master: svc: Use manual response for IBI events
    - i3c: master: svc: Recycle unused IBI slot
    - block: update validation of atomic writes boundary for stacked devices
    - block: fix stacking of atomic writes when atomics are not supported
    - selftests: watchdog: skip ping loop if WDIOF_KEEPALIVEPING not supported
    - selftests/kselftest_harness: Add harness-selftest.expected to TEST_FILES
    - blk-throttle: fix throtl_data leak during disk release
    - bpf: Explicitly check accesses to bpf_sock_addr
    - mmc: select REGMAP_MMIO with MMC_LOONGSON2
    - selftests/futex: Fix futex_wait() for 32bit ARM
    - selftest/futex: Make the error check more precise for futex_numa_mpol
    - selftest/futex: Compile also with libnuma < 2.0.16
    - bpf: dont report verifier bug for missing bpf_scc_visit on speculative
      path
    - bpf, arm64: Call bpf_jit_binary_pack_finalize() in bpf_jit_free()
    - arm64: dts: apple: t600x: Add missing WiFi properties
    - arm64: dts: apple: t600x: Add bluetooth device nodes
    - arm64: dts: apple: Add ethernet0 alias for J375 template
    - selftests: always install UAPI headers to the correct directory
    - smp: Fix up and expand the smp_call_function_many() kerneldoc
    - mfd: max77705: max77705_charger: move active discharge setting to mfd
      parent
    - power: supply: max77705_charger: refactoring: rename charger to chg
    - power: supply: max77705_charger: use regfields for config registers
    - power: supply: max77705_charger: rework interrupts
    - tools/nolibc: make time_t robust if __kernel_old_time_t is missing in
      host headers
    - spi: fix return code when spi device has too many chipselects
    - clocksource/drivers/timer-tegra186: Avoid 64-bit divide operation
    - clocksource/drivers/tegra186: Avoid 64-bit division
    - bpf: Mark kfuncs as __noclone
    - once: fix race by moving DO_ONCE to separate section
    - hwmon: (mlxreg-fan) Separate methods of fan setting coming from
      different subsystems
    - tools/nolibc: add stdbool.h to nolibc includes
    - thermal/drivers/qcom: Make LMH select QCOM_SCM
    - thermal/drivers/qcom/lmh: Add missing IRQ includes
    - i2c: mediatek: fix potential incorrect use of I2C_MASTER_WRRD
    - i2c: spacemit: ensure bus release check runs when wait_bus_idle() fails
    - i2c: spacemit: remove stop function to avoid bus error
    - i2c: spacemit: disable SDA glitch fix to avoid restart delay
    - i2c: spacemit: check SDA instead of SCL after bus reset
    - i2c: spacemit: ensure SDA is released after bus reset
    - i2c: designware: Fix clock issue when PM is disabled
    - i2c: designware: Add disabling clocks when probe fails
    - libbpf: Fix error when st-prefix_ops and ops from differ btf
    - bpf: Enforce expected_attach_type for tailcall compatibility
    - i3c: fix big-endian FIFO transfers
    - mfd: max77705: Setup the core driver as an interrupt controller
    - drm/sched: Fix a race in DRM_GPU_SCHED_STAT_NO_HANG test
    - drm/panel-edp: Add disable to 100ms for MNB601LS1-4
    - drm/display: bridge-connector: correct CEC bridge pointers in
      drm_bridge_connector_init
    - drm/panel-edp: Add 50ms disable delay for four panels
    - drm/vmwgfx: fix missing assignment to ts
    - drm/amd/display: Reduce Stack Usage by moving 'audio_output' into
      'stream_res' v4
    - drm/panel: novatek-nt35560: Fix invalid return value
    - drm/amdgpu: fix link error for !PM_SLEEP
    - drm/amdgpu: Fix jpeg v4.0.3 poison irq call trace on sriov guest
    - drm/amdgpu: Fix vcn v4.0.3 poison irq call trace on sriov guest
    - PCI: endpoint: pci-ep-msi: Fix NULL vs IS_ERR() check in
      pci_epf_write_msi_msg()
    - PCI: xgene-msi: Return negative -EINVAL in xgene_msi_handler_setup()
    - drm/radeon/r600_cs: clean up of dead code in r600_cs
    - f2fs: fix condition in __allow_reserved_blocks()
    - f2fs: fix to avoid overflow while left shift operation
    - f2fs: fix to zero data after EOF for compressed file correctly
    - drm/bridge: it6505: select REGMAP_I2C
    - wifi: rtw88: Lock rtwdev->mutex before setting the LED
    - HID: steelseries: refactor probe() and remove()
    - media: zoran: Remove zoran_fh structure
    - phy: rockchip: naneng-combphy: Enable U3 OTG port for RK3568
    - drm/bridge: cdns-dsi: Fix the _atomic_check()
    - usb: host: max3421-hcd: Fix error pointer dereference in probe cleanup
    - usb: misc: qcom_eud: Access EUD_MODE_MANAGER2 through secure calls
    - PCI/pwrctrl: Fix double cleanup on devm_add_action_or_reset() failure
    - misc: pci_endpoint_test: Fix array underflow in
      pci_endpoint_test_ioctl()
    - serial: max310x: Add error checking in probe()
    - drm/amd/display: Remove redundant semicolons
    - drm/amd/display: Add NULL pointer checks in dc_stream cursor attribute
      functions
    - crypto: keembay - Add missing check after sg_nents_for_len()
    - hwrng: nomadik - add ARM_AMBA dependency
    - docs: iio: ad3552r: Fix malformed code-block directive
    - fwctl/mlx5: Fix memory alloc/free in mlx5ctl_fw_rpc()
    - scsi: pm80xx: Restore support for expanders
    - scsi: pm80xx: Fix array-index-out-of-of-bounds on rmmod
    - scsi: libsas: Add dev_parent_is_expander() helper
    - scsi: pm80xx: Use dev_parent_is_expander() helper
    - scsi: pm80xx: Add helper function to get the local phy id
    - scsi: pm80xx: Fix pm8001_abort_task() for chip_8006 when using an
      expander
    - mptcp: Fix up subflow's memcg when CONFIG_SOCK_CGROUP_DATA=n.
    - scsi: myrs: Fix dma_alloc_coherent() error check
    - f2fs: fix to clear unusable_cap for checkpoint=enable
    - f2fs: fix to avoid NULL pointer dereference in
      f2fs_check_quota_consistency()
    - f2fs: fix to allow removing qf_name
    - Revert "UBUNTU: SAUCE: drm/dp: drm_edp_backlight_set_level: do not
      always send 3-byte commands"
    - drm/dp: drm_edp_backlight_set_level: do not always send 3-byte commands
    - crypto: octeontx2 - Call strscpy() with correct size argument
    - drm: re-allow no-op changes on non-primary planes in async flips
    - media: rj54n1cb0c: Fix memleak in rj54n1_probe()
    - media: staging/ipu7: convert to use pci_alloc_irq_vectors() API
    - media: staging/ipu7: Don't set name for IPU7 PCI device
    - media: staging/ipu7: cleanup the MMU correctly in IPU7 driver release
    - media: i2c: vd55g1: Fix duster register address
    - drm/panel: Allow powering on panel follower after panel is enabled
    - HID: i2c-hid: Make elan touch controllers power on after panel is
      enabled
    - RDMA/mlx5: Better estimate max_qp_wr to reflect WQE count
    - RDMA/mlx5: Fix vport loopback forcing for MPV device
    - wifi: rtw88: Use led->brightness_set_blocking for PCI too
    - net: phy: introduce phy_id_compare_vendor() PHY ID helper
    - net: phy: as21xxx: better handle PHY HW reset on soft-reboot
    - PCI: rcar-host: Pass proper IRQ domain to generic_handle_domain_irq()
    - fuse: remove unneeded offset assignment when filling write pages
    - PCI: qcom: Restrict port parsing only to PCIe bridge child nodes
    - cdx: don't select CONFIG_GENERIC_MSI_IRQ
    - PCI/ACPI: Fix pci_acpi_preserve_config() memory leak
    - HID: i2c-hid: Fix test in i2c_hid_core_register_panel_follower()
    - ALSA: lx_core: use int type to store negative error codes
    - media: st-delta: avoid excessive stack usage
    - drm/amdgpu/vcn: Add regdump helper functions
    - drm/amdgpu/vcn: Hold pg_lock before vcn power off
    - drm/amdgpu: Check vcn state before profile switch
    - accel/amdxdna: Use int instead of u32 to store error codes
    - efi: Explain OVMF acronym in OVMF_DEBUG_LOG help text
    - net: dst: introduce dst->dev_rcu
    - ipv6: mcast: Add ip6_mc_find_idev() helper
    - ipv6: start using dst_dev_rcu()
    - ipv6: use RCU in ip6_xmit()
    - ipv6: use RCU in ip6_output()
    - net: use dst_dev_rcu() in sk_setup_caps()
    - tcp_metrics: use dst_dev_net_rcu()
    - ipv4: start using dst_dev_rcu()
    - crypto: hisilicon/zip - remove unnecessary validation for high-
      performance mode configurations
    - crypto: hisilicon - re-enable address prefetch after device resuming
    - crypto: hisilicon - check the sva module status while enabling or
      disabling address prefetch
    - crypto: hisilicon/qm - check whether the input function and PF are on
      the same device
    - crypto: hisilicon/qm - request reserved interrupt for virtual function
    - inet: ping: check sock_net() in ping_get_port() and ping_lookup()
    - dmaengine: Fix dma_async_tx_descriptor->tx_submit documentation
    - coresight: trbe: Add ISB after TRBLIMITR write
    - coresight: Fix missing include for FIELD_GET
    - coresight: Only register perf symlink for sinks with alloc_buffer
    - drm/amdgpu: Power up UVD 3 for FW validation (v2)
    - drm/amd/pm: Disable ULV even if unsupported (v3)
    - drm/amd/pm: Fix si_upload_smc_data (v3)
    - drm/amd/pm: Adjust si_upload_smc_data register programming (v3)
    - drm/amd/pm: Treat zero vblank time as too short in si_dpm (v3)
    - drm/amd/pm: Disable MCLK switching with non-DC at 120 Hz+ (v2)
    - drm/amd/pm: Disable SCLK switching on Oland with high pixel clocks (v3)
    - wifi: mac80211: Make CONNECTION_MONITOR optional for MLO sta
    - wifi: mwifiex: send world regulatory domain to driver
    - wifi: brcmfmac: fix 43752 SDIO FWVID incorrectly labelled as Cypress
      (CYW)
    - drm/msm: Do not validate SSPP when it is not ready
    - PCI: tegra: Fix devm_kcalloc() argument order for port->phys allocation
    - wifi: mac80211: consider links for validating SCAN_FLAG_AP in scan
      request during MLO
    - PCI: qcom: Add equalization settings for 8.0 GT/s and 32.0 GT/s
    - tcp: fix __tcp_close() to only send RST when required
    - fanotify: Validate the return value of mnt_ns_from_dentry() before
      dereferencing
    - drm/amdkfd: Fix error code sign for EINVAL in svm_ioctl()
    - usb: phy: twl6030: Fix incorrect type for ret
    - usb: gadget: configfs: Correctly set use_os_string at bind
    - tty: n_gsm: Don't block input queue by waiting MSC
    - misc: genwqe: Fix incorrect cmd field being reported in error
    - pps: fix warning in pps_register_cdev when register device fail
    - drm/msm: Fix obj leak in VM_BIND error path
    - drm/msm: Fix missing VM_BIND offset/range validation
    - wifi: iwlwifi: Remove redundant header files
    - drm/msm/mdp4: stop supporting no-IOMMU configuration
    - drm/msm: stop supporting no-IOMMU configuration
    - idpf: fix Rx descriptor ready check barrier in splitq
    - ASoC: Intel: bytcht_es8316: Fix invalid quirk input mapping
    - ASoC: Intel: bytcr_rt5640: Fix invalid quirk input mapping
    - ASoC: Intel: bytcr_rt5651: Fix invalid quirk input mapping
    - ipv6: snmp: do not use SNMP_MIB_SENTINEL anymore
    - ipv6: snmp: do not track per idev ICMP6_MIB_RATELIMITHOST
    - drm/msm: Fix bootup splat with separate_gpu_drm modparam
    - drm/msm/dpu: fix incorrect type for ret
    - wifi: mac80211: fix reporting of all valid links in sta_set_sinfo()
    - fs: ntfs3: Fix integer overflow in run_unpack()
    - fs/ntfs3: reject index allocation if $BITMAP is empty but blocks exist
    - iio: consumers: Fix handling of negative channel scale in
      iio_convert_raw_to_processed()
    - iio: consumers: Fix offset handling in iio_convert_raw_to_processed()
    - mm/slub: Fix cmp_loc_by_count() to return 0 when counts are equal
    - tools: ynl: fix undefined variable name
    - RDMA/mlx5: Fix page size bitmap calculation for KSM mode
    - netfilter: ipset: Remove unused htable_bits in macro ahash_region
    - ipvs: Use READ_ONCE/WRITE_ONCE for ipvs->enable
    - HID: steelseries: Fix STEELSERIES_SRWS1 handling in steelseries_remove()
    - watchdog: intel_oc_wdt: Do not try to write into const memory
    - watchdog: mpc8xxx_wdt: Reload the watchdog timer when enabling the
      watchdog
    - PCI: endpoint: pci-epf-test: Fix doorbell test support
    - drivers/base/node: handle error properly in register_one_node()
    - RDMA/cm: Rate limit destroy CM ID timeout error message
    - wifi: mt76: mt7996: Fix mt7996_mcu_sta_ba wcid configuration
    - wifi: mt76: mt7996: Fix mt7996_mcu_bss_mld_tlv routine
    - wifi: mt76: fix potential memory leak in mt76_wmac_probe()
    - wifi: mt76: mt7996: Use proper link_id in link_sta_rc_update callback
    - wifi: mt76: mt7996: Check phy before init msta_link in
      mt7996_mac_sta_add_links()
    - wifi: mt76: mt7996: Fix tx-queues initialization for second phy on
      mt7996
    - wifi: mt76: mt7996: Fix RX packets configuration for primary WED device
    - wifi: mt76: mt7996: Convert mt7996_wed_rro_addr to LE
    - wifi: mt76: mt7915: fix mt7981 pre-calibration
    - wifi: mt76: mt7996: remove redundant per-phy mac80211 calls during
      restart
    - ASoC: Intel: hda-sdw-bpt: set persistent_buffer false
    - srcu/tiny: Remove preempt_disable/enable() in srcu_gp_start_if_needed()
    - drm/amdgpu: Fix allocating extra dwords for rings (v2)
    - f2fs: fix to update map->m_next_extent correctly in f2fs_map_blocks()
    - f2fs: fix to truncate first page in error path of f2fs_truncate()
    - f2fs: fix to avoid migrating empty section
    - f2fs: fix to mitigate overhead of f2fs_zero_post_eof_page()
    - RISC-V: KVM: Write hgatp register with valid mode bits
    - ALSA: pcm: Disable bottom softirqs as part of spin_lock_irq() on
      PREEMPT_RT
    - ACPI: NFIT: Fix incorrect ndr_desc being reportedin dev_err message
    - scsi: qla2xxx: edif: Fix incorrect sign of error code
    - scsi: qla2xxx: Fix incorrect sign of error code in START_SP_W_RETRIES()
    - scsi: qla2xxx: Fix incorrect sign of error code in qla_nvme_xmt_ls_rsp()
    - HID: hidraw: tighten ioctl command parsing
    - f2fs: fix zero-sized extent for precache extents
    - smc: Fix use-after-free in __pnet_find_base_ndev().
    - smc: Use __sk_dst_get() and dst_dev_rcu() in in smc_clc_prfx_set().
    - smc: Use __sk_dst_get() and dst_dev_rcu() in smc_clc_prfx_match().
    - smc: Use __sk_dst_get() and dst_dev_rcu() in smc_vlan_by_tcpsk().
    - tls: Use __sk_dst_get() and dst_dev_rcu() in get_netdev_for_sock().
    - mptcp: Call dst_release() in mptcp_active_enable().
    - mptcp: Use __sk_dst_get() and dst_dev_rcu() in mptcp_active_enable().
    - Revert "usb: xhci: Avoid Stop Endpoint retry loop if the endpoint seems
      Running"
